2011-11-01  Petr Mladek  <pmladek@suse.cz>  [10d10a6b2c2d45f6ca61b96c3b36b881d284e901]

Version 3.4.4.2, tag libreoffice-3.4.4.2 (3.4.4-rc2)


2011-10-25  Petr Mladek  <pmladek@suse.cz>  [89ab6866ac6169ae33393df7bd65a15d6082c439]

Branch libreoffice-3-4-4

This is 'libreoffice-3-4-4' - the stable branch for the 3.4.4 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.4.x release,
please use the 'libreoffice-3-4' branch.

If you want to build something cool, unstable, and risky, use master.

2011-10-25  Petr Mladek  <pmladek@suse.cz>  [20ba7c31bb4f922b7875436aca762a67d2051c3b]

Version 3.4.4.1, tag libreoffice-3.4.4.1 (3.4.4-rc1)


2011-10-24  Julien Nabet  <serval2412@yahoo.fr>  [718e2912d031280a52991157ffc024c5516eec32]

Fix fdo#38286. Perhaps it could be simplified

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-10-05  Caolán McNamara  <caolanm@redhat.com>  [3c7a0b5d5455805210262529fbd9815aed6fe267]

tweak ambiguities for F-15 gcc 4.6.1-9


2011-08-16  Petr Mladek  <pmladek@suse.cz>  [9a78d6c3fc8febc2e53e3d9e73e6a5cdf1461574]

Version 3.4.3.1, tag libreoffice-3.4.3.1 (3.4.3-rc1)


2011-07-12  Petr Mladek  <pmladek@suse.cz>  [959aacc59eb2fe1ff5e8eb6e6b0df6faf7e64e35]

Version 3.4.2.1, tag libreoffice-3.4.2.1 (3.4.2-rc1)


2011-07-01  Jan Holesovsky  <kendy@suse.cz>  [6bfa004c52451b618691b56938611ffd368549e2]

Don't crash when selecting target to db document, fdo#36545.

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-06-14  Petr Mladek  <pmladek@suse.cz>  [098b93f274f04a039f8613547967c5aabbcfd40d]

Version 3.4.1.1, tag libreoffice-3.4.1.1 (3.4.1-rc1)


2011-05-17  Petr Mladek  <pmladek@suse.cz>  [2f365185d6c66f03ab62961f8e7886b5e5a90f30]

Version 3.4.0.1, tag libreoffice-3.4.0.1 (3.4.0-rc1)


2011-05-10  Petr Mladek  <pmladek@suse.cz>  [a90b2345ae40bdc41b2e0d8c050f56e36917e247]

Version 3.3.99.5, tag libreoffice-3.3.99.5 (3.4.0-beta5)


2011-05-03  Petr Mladek  <pmladek@suse.cz>  [e9b7fff0c26b16bd37579a2f3f72bf637615323a]

Version 3.3.99.4, tag libreoffice-3.3.99.4 (3.4.0-beta4)


2011-04-26  Petr Mladek  <pmladek@suse.cz>  [aaeaa57f46f0655a0bccc93ed100ea459a21b7ed]

Version 3.3.99.3, tag libreoffice-3.3.99.3 (3.4.0-beta3)


2011-04-22  Petr Mladek  <pmladek@suse.cz>  [8156bce86a3cc607d958e418a41b2cf4ba1914d3]

dbaccess-default-varchar-lenght.diff: default VARCHAR length to 100 (i#62664)


2011-04-19  Petr Mladek  <pmladek@suse.cz>  [7e8a4888be548390148cc932a5d0b899e4fdd318]

Version 3.3.99.2, tag libreoffice-3.3.99.2 (3.4.0-beta2)


2011-04-11  Petr Mladek  <pmladek@suse.cz>  [9e0bd7014e5fbfe17f084e386d1ad368e78828c9]

Version 3.3.99.1, tag libreoffice-3.3.99.1 (3.4.0-beta1)


2011-04-05  Petr Mladek  <pmladek@suse.cz>  [d988b491b5a72e497542e6054a3c937843b2373b]

Merge remote-tracking branch 'origin/libreoffice-3-3' into libreoffice-3-4


2011-04-01  Petr Mladek  <pmladek@suse.cz>  [b1aa02bab52141e91ee74b0cce872df67ce0d169]

Branch libreoffice-3-4

This is 'libreoffice-3-4' - the stable branch for the 3.4.x releases

    + only bug fixes are allowed
    + no approval needed during beta phase (two weeks after branch)
    + 1 approval needed during rc phase and for bugfix releases
    + 2 approvals with different/no affiliation needed for late features
    + regularly merged into master by a selected person when living

Please watch http://wiki.documentfoundation.org/ReleasePlan
and read announces on libreoffice@lists.freedesktop.org

If you want to build something cool, unstable, and risky, use master.

2011-03-31  Caolán McNamara  <caolanm@redhat.com>  [6cbb726d6717cf0bf1f7de83ad339923b9bdfa9e]

catch exceptions by const reference


2011-03-29  Francisco Saito  <saito@4linux.com.br>  [cd5f64eb6237ca97498014ce1f567472c854c6cf]

drop bogus executable flag from idl/build/src and config files


2011-03-29  Francisco Saito  <saito@4linux.com.br>  [4b18ac21a2e5fde1ddb2c9ff79789375fdfcd675]

drop bogus executable flag from odf files


2011-03-29  Francisco Saito  <saito@4linux.com.br>  [fbc205a96edd2ad89b2b00800208b046f3d1d41c]

drop bogus executable flag from [ch]xx/bas/asm files


2011-03-28  Caolán McNamara  <caolanm@redhat.com>  [9617e79b46d961b1ed2d11606e480e8c3bf81326]

catch exceptions by const reference


2011-03-28  Caolán McNamara  <caolanm@redhat.com>  [963ec93fd46a3773e7a133d8cde628c731b2339f]

catch exceptions by const reference


2011-03-28  Caolán McNamara  <caolanm@redhat.com>  [670b3cefc905a7dbbe35fbeabb3ba29694486cc0]

catch exceptions by const reference


2011-03-28  Caolán McNamara  <caolanm@redhat.com>  [f98a69d4832bf829a0a61b0170b92cd0b7423e69]

catch exceptions by reference


2011-03-28  Caolán McNamara  <caolanm@redhat.com>  [02220efbe5d036432a8dd131baf7b445e1edbf0e]

use PartialWeakComponentImplHelperX for overloaded-virtual


2011-03-28  Caolán McNamara  <caolanm@redhat.com>  [dead258d06c865e0c98815c4a292b7da66528c9d]

use PartialWeakComponentImplHelperX for overloaded-virtual


2011-03-28  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [adf423f8e9bd5cabadbe77a6c94473fe422495a2]

migrate dbaccess subsequenttests to gbuild


2011-03-26  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [1538b1b8de79e9a9e41233b618b4b0d4495d64c4]

fd#35693: disable hangin subsequenttests (complex and unoapi tests)

 - chart2/qa/unoapi
 - configmgr/qa/unoapi
 - dbaccess/qa/unoapi
 - forms/qa/complex/forms
 - linguistic/qa/unoapi
 - qadevOOo/qa/unoapi
 - sd/qa/unoapi
 - starmath/qa/unoapi
 - ucb/qa/complex/ucb
 - ucb/qa/unoapi
 - unotools/qa/complex/tempfile

2011-03-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [05977c0d700dee0bc2f74c6fd565cf51cebc9f3f]

Wholesale prewin.h/postwin.h removal


2011-03-25  Luboš Luňák  <l.lunak@suse.cz>  [23bceb3008a8c91b07f7e4008035c1a134f0a806]

more sensible SdrObject::Clone() and SdrObject::operator=()

Virtual operator=() is IMO pointless, and especially in a class hierarchy
like SdrObject it's pretty unlikely one could reasonably assign any
SdrObject-based object to any other one. Moreover, it was actually
only used in Clone(), which was almost never reimplemented, so the
more sensible choice is to have non-virtual operator= and virtual
Clone() always being reimplemented and using that.

This commit also fixes various smaller or bigger, er, interesting
details in the various operator= implementations.

2011-03-25  Petr Mladek  <pmladek@suse.cz>  [74de773c6366fde8fab701db245403437f476461]

set build depencencies against the new "translations" module


2011-03-23  Luboš Luňák  <l.lunak@suse.cz>  [234edaa620d045ee3fb3cc9f8bbf86deb0ee5748]

remove virtual from operator=

pointless, nothing overrides it

2011-03-19  David Tardon  <dtardon@redhat.com>  [9956e54c3f74045a31f49921af427f1add455754]

solar types are gone--remove this hack


2011-03-19  Thomas Arnhold  <thomas@arnhold.org>  [602ffda305408ea4dc44a45658bc0c75dbb825ec]

Move OSL_ENSURE(sal_False,...) to OSL_FAIL(...)


2011-03-17  Jan Holesovsky  <kendy@suse.cz>  [167a7dba05b156a1f183960ccc73d7deb18a6679]

Merge remote-tracking branch 'origin/integration/dev300_m101'

Conflicts:
	dbaccess/source/core/misc/services.cxx
	dbaccess/source/filter/migration/cfgimport.cxx
	reportdesign/source/core/api/ReportDefinition.cxx

2011-03-12  Norbert Thiebaud  <nthiebaud@gmail.com>  [f1d22ca5fc03cb20bf6ebed7e7d8844b36bf2968]

fix mis-merge: no vso3 and use boost for hash


2011-03-12  Norbert Thiebaud  <nthiebaud@gmail.com>  [d8021d7d67ced311667c65eae6ae9891841dc5cf]

fix mis-merge


2011-03-12  Thomas Arnhold  <thomas@arnhold.org>  [7cb820eec5206afbdec039055131b140ec00358b]

Move OSL_ENSURE(0,...) to OSL_FAIL(...)


2011-03-12  Thomas Arnhold  <thomas@arnhold.org>  [04e4235ce2ba0b51c434ca7c374cde3c0d55a455]

Move OSL_ENSURE(false,...) to OSL_FAIL(...)


2011-03-12  Thomas Arnhold  <thomas@arnhold.org>  [edbcc9ac3c2fdf8e0f5715857cf7f52e9b66d51f]

Remove exclamation marks from OSL_FAIL statements


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [2cb6918d07e5c431689e028f39430fc5e84c6d56]

Move DBG_TRACE3 to OSL_TRACE


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [58c0819e01c9657f2cc143e70673c74cf8164ad0]

Move DBG_TRACE2 to OSL_TRACE


2011-03-09  Norbert Thiebaud  <nthiebaud@gmail.com>  [9da3711604902d631ce93f45f74cfe30d1ec9409]

Merge commit 'ooo/DEV300_m101' into integration/dev300_m101

* commit 'ooo/DEV300_m101': (76 commits)
  masterfix DEV300: #i10000# usage of L10N build_type
  removetooltypes01: Fix build problems after rebase to DEV300m99 in basctl, cui, reportdesign, sw
  hr75: #i116747#: remove obsolete copyright notices
  gnumake3: remove comphelper version; fix including extract.hxx
  removetooltypes01: #i112600# Replace missing tools types replacement
  removetooltypes01: #i112600# remove tooltypes from reportdesign
  removetooltypes01: #i112600# remove tooltypes from dbaccess
  undoapi: don't use deprecated JUnit API, this seems to fail now (but didn't before the rebase)
  undoapi: those two classes do not belong into JAVATESTFILES, but JAVAFILES only
  undoapi: (I|Sfx)UndoManager now working with size_t instead of USHORT
  gridsort: give the UnoControl(Model/Base) classes a ctor taking a service factory, so we have access to the factory which created us, and don't need to resort to the process'es service factory
  dba34b: #109956# notify column value in correct order
  dba34b: #i114309# set default values for bit boolean and reset when we are on the insertrow
  undoapi: assert unknown slots in ImplInvalidateFeature
  dba34b: #i110907# check if design handle event
  dba34b: #i109956# notify column values when row is refreshed
  dba34b: #i115753# add test again
  undoapi: renamed Undo.* to RptUndo.*, to not confuse a certain IDE with different same-named files in the source tree ...
  undoapi: migrated report designer to use an own, model-bound UndoManager, instead of the UndoManager formerly bound to the controller
  undoapi: split OSingleDocumentController into DBSubComponentController (which the report design's controller will be derived from) and the still-so-named OSingleDocumentController. Module reportdesign does not compile with this change, this is yet to come.
  ...

Conflicts:
	dbaccess/inc/IEnvironment.hxx
	dbaccess/inc/dataview.hxx
	dbaccess/qa/complex/dbaccess/RowSet.java
	dbaccess/source/core/api/CacheSet.cxx
	dbaccess/source/core/api/KeySet.hxx
	dbaccess/source/core/api/OptimisticSet.hxx
	dbaccess/source/core/api/RowSet.cxx
	dbaccess/source/core/api/RowSetCache.cxx
	dbaccess/source/ext/adabas/Acomponentmodule.cxx
	dbaccess/source/ext/adabas/Aservices.cxx
	dbaccess/source/filter/migration/cfgimport.cxx
	dbaccess/source/filter/migration/cfgimport.hxx
	dbaccess/source/filter/migration/cfgservices.cxx
	dbaccess/source/filter/migration/makefile.mk
	dbaccess/source/inc/cfg_reghelper.hxx
	dbaccess/source/sdbtools/misc/sdbt_services.cxx
	dbaccess/source/shared/cfg_reghelper.cxx
	dbaccess/source/shared/cfgstrings.cxx
	dbaccess/source/shared/registrationhelper.cxx
	dbaccess/source/ui/app/AppController.cxx
	dbaccess/source/ui/app/AppDetailPageHelper.cxx
	dbaccess/source/ui/app/AppDetailPageHelper.hxx
	dbaccess/source/ui/app/AppDetailView.cxx
	dbaccess/source/ui/app/AppIconControl.cxx
	dbaccess/source/ui/app/AppSwapWindow.cxx
	dbaccess/source/ui/browser/brwctrlr.cxx
	dbaccess/source/ui/browser/dataview.cxx
	dbaccess/source/ui/browser/unodatbr.cxx
	dbaccess/source/ui/control/dbtreelistbox.cxx
	dbaccess/source/ui/control/opendoccontrols.cxx
	dbaccess/source/ui/control/tabletree.cxx
	dbaccess/source/ui/dlg/ConnectionHelper.cxx
	dbaccess/source/ui/dlg/ConnectionPage.src
	dbaccess/source/ui/dlg/ExtensionNotPresent.cxx
	dbaccess/source/ui/dlg/ExtensionNotPresent.hrc
	dbaccess/source/ui/dlg/ExtensionNotPresent.src
	dbaccess/source/ui/dlg/TablesSingleDlg.cxx
	dbaccess/source/ui/dlg/adodatalinks.hxx
	dbaccess/source/ui/dlg/dbadmin2.src
	dbaccess/source/ui/dlg/dbadminsetup.src
	dbaccess/source/ui/dlg/dlgattr.cxx
	dbaccess/source/ui/dlg/dlgsize.src
	dbaccess/source/ui/dlg/makefile.mk
	dbaccess/source/ui/dlg/sqlmessage.cxx
	dbaccess/source/ui/inc/ExtensionNotPresent.hxx
	dbaccess/source/ui/inc/TokenWriter.hxx
	dbaccess/source/ui/inc/imageprovider.hxx
	dbaccess/source/ui/misc/DExport.cxx
	dbaccess/source/ui/misc/HtmlReader.cxx
	dbaccess/source/ui/misc/RowSetDrop.cxx
	dbaccess/source/ui/misc/RtfReader.cxx
	dbaccess/source/ui/misc/TokenWriter.cxx
	dbaccess/source/ui/misc/imageprovider.cxx
	dbaccess/source/ui/misc/linkeddocuments.cxx
	dbaccess/source/ui/misc/singledoccontroller.cxx
	dbaccess/source/ui/querydesign/ConnectionData.hxx
	dbaccess/source/ui/querydesign/JoinTableView.cxx
	dbaccess/source/ui/querydesign/SelectionBrowseBox.cxx
	dbaccess/source/ui/querydesign/TableConnectionData.cxx
	dbaccess/source/ui/querydesign/TableWindowListBox.cxx
	dbaccess/source/ui/relationdesign/RelationController.cxx
	dbaccess/source/ui/relationdesign/RelationTableView.cxx
	dbaccess/source/ui/tabledesign/table.src
	reportdesign/inc/RptPage.hxx
	reportdesign/qa/complex/reportdesign/ReportDesignerTest.java
	reportdesign/source/core/api/ReportDefinition.cxx
	reportdesign/source/core/sdr/ReportUndoFactory.cxx
	reportdesign/source/core/sdr/UndoEnv.cxx
	reportdesign/source/filter/xml/xmlservices.cxx
	reportdesign/source/ui/dlg/GroupsSorting.cxx
	reportdesign/source/ui/dlg/Navigator.cxx
	reportdesign/source/ui/inspection/metadata.cxx
	reportdesign/source/ui/misc/RptUndo.cxx
	reportdesign/source/ui/misc/UITools.cxx
	reportdesign/source/ui/misc/rptuiservices.cxx
	reportdesign/source/ui/report/DesignView.cxx
	reportdesign/source/ui/report/FixedTextColor.cxx
	reportdesign/source/ui/report/ReportController.cxx
	reportdesign/source/ui/report/ReportSection.cxx
	reportdesign/source/ui/report/SectionView.cxx
	reportdesign/source/ui/report/SectionWindow.cxx
	reportdesign/source/ui/report/StartMarker.cxx
	reportdesign/source/ui/report/ViewsWindow.cxx
	reportdesign/source/ui/report/dlgedfunc.cxx
	reportdesign/source/ui/report/report.src

2011-03-08  Petr Mladek  <pmladek@suse.cz>  [946a33c8404212b6d697b1703d3aa370f5c18441]

Version 3.3.2.1, tag libreoffice-3.3.2.1 (3.3.2-rc1)


2011-03-05  J. Graeme Lingard  <jgraeme+git@gmail.com>  [14b3638399d2665b4fc1d69eb3a74d1f726b9153]

Remove 'added by' comments


2011-03-04  Christina Rossmanith  <ChrRossmanith@web.de>  [863a90f3811d1b2f68c7e14627a22f5357bfa464]

Removed /* ### ACHTUNG: Neuer Text in Resource? - lines from base


2011-03-02  Thomas Arnhold  <thomas@arnhold.org>  [b30fa40eaa77b4065ad28f38b3ca6ff3dcd8f19b]

Move DBG_ERROR to OSL_FAIL


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [8602f40d7d7cd1830e841fe185fca92cc11e4d0f]

resolve ambiguities


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [e4ce526ebcb5448f729cf9f8e5d49a3eaa2234df]

Pointless to convert char* to OString and back


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [1e58b993fdd59baba3dac293cf77406d65290364]

pointless cast


2011-03-01  Guillaume Poussel  <gpoussel@gmail.com>  [2964111dca2ba0864f89b6578a4ba9f8bf885e25]

Remove bogus comments.


2011-03-01  Guillaume Poussel  <gpoussel@gmail.com>  [66a9d4be45d8bc968507dca80d9d79509ccd311a]

Remove date comments in base.


2011-02-26  David Tardon  <dtardon@redhat.com>  [c10b3f263f906d51c5c669d975af71f4b0320a57]

OSL_ASSERT takes a condition, not a message


2011-02-26  Thomas Arnhold  <thomas@arnhold.org>  [dc02f815566ca53cc917c32671164bfc5c627850]

Move bogus OSL_ASSERT(msg) to OSL_FAIL(msg)


2011-02-25  David Tardon  <dtardon@redhat.com>  [9391bfcd34b2f54f0a5e78578fe78f843d9f8671]

fix assertions


2011-02-25  David Tardon  <dtardon@redhat.com>  [f5502dad6c1fcf575e43579d62d732ed61636ca6]

fix debug build


2011-02-24  Thomas Arnhold  <thomas@arnhold.org>  [a66fec7123aa82cf441066cf91e0e287450f0784]

Move DBG_ERROR -> OSL_ASSERT


2011-02-24  Thomas Arnhold  <thomas@arnhold.org>  [5f923eaba6743180a10685029694b3e5869605ed]

Move DBG_ASSERT -> OSL_ENSURE


2011-02-22  Ivo Hinkelmann  <ihi@openoffice.org>  [c290b52a7aa1cd705ccbcf1faeecf9f03f0f70b0]

masterfix DEV300: #i10000# usage of L10N build_type


2011-02-18  Release Engineering  <releng@openoffice.org>  [811c29f8977bb5991c56d4fcc87d1afa4834517a]

merged DEV300


2011-02-17  Ivo Hinkelmann  <ihi@openoffice.org>  [dfcb5b7a715a499b2ca90091e73272f75b58209c]

CWS-TOOLING: integrate CWS gridsort


2011-02-15  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [5dbbd6bfd93ebd1dc24da08bffb46820320a04bc]

chart52: merge with DEV300_m100


2011-02-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [b050c687ee7cf0d9e6f113fb37df3f4e66db5423]

gridsort: pulled and merged DEV300_m100


2011-02-10  Jens-Heiner Rechtien [hr]  <jens-heiner.rechtien@oracle.com>  [f0539ca73e451988047d57c61e6a1181489ba6af]

CWS-TOOLING: integrate CWS hr75


2011-02-09  Thomas Arnhold  <thomas@arnhold.org>  [e033d877e34a72c1252795d15d522487835f636a]

Remove static if-statement


2011-02-09  Tor Lillqvist  <tlillqvist@novell.com>  [3c1eec559fb6c886f0641a922931fd9f39f450f8]

prewin.h already includes <windows.h>


2011-02-08  Luboš Luňák  <l.lunak@suse.cz>  [01fbde9e2d747ef3ac0f1a1004ac2a4622389935]

more std:: -> o3tl:: build fixes


2011-02-08  Luboš Luňák  <l.lunak@suse.cz>  [763c5a989060ded107fca189e38afd31082b79cc]

more std:: -> o3tl:: build fixes


2011-02-08  Luboš Luňák  <l.lunak@suse.cz>  [abe0f8d9bb6ea0150ee0188e3c51feb859d8ef86]

std::bit_vector -> std::vector<bool>


2011-02-08  Luboš Luňák  <l.lunak@suse.cz>  [0dcf8d5e192431709db389dc5b8cdb63203b6711]

more std:: -> o3tl:: build fixes


2011-02-08  Guillaume Poussel  <gpoussel@gmail.com>  [1c534b18d83ed7afe41bb959c56335e0a7a54ee7]

Remove useless comments.


2011-02-08  Guillaume Poussel  <gpoussel@gmail.com>  [ca3b6a4e65f27fda6170ec4a88a4d84daeebb039]

Clean-up bogus comments in base.


2011-02-08  Tor Lillqvist  <tlillqvist@novell.com>  [ef7fc738b92cdec37d5f5ca0805bd729a1cca878]

Adapt to move of prewin.h and postwin.h


2011-02-08  Mathias Bauer  <mba@openoffice.org>  [2af97cad6810aeb65431c17c86c35b4fa2499422]

CWS gnumake3: pull in cws removetooltypes01


2011-02-08  Carsten Driesner  <cd@openoffice.org>  [8a226a96cf6f326681d372d2ba3d60be0b1bb8a1]

removetooltypes01: Fix build problems after rebase to DEV300m99 in basctl, cui, reportdesign, sw


2011-02-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [86da57887f826bdf7c2dc10d641ed28974510d27]

std::bit_vector -> ::std::vector<bool, std::allocator<bool> >


2011-02-08  Jan Holesovsky  <kendy@suse.cz>  [65ef0f630fef7af092cc990297b8007632a60dca]

Merge remote branch 'origin/libreoffice-3-3'


2011-02-07  Thomas Arnhold  <thomas@arnhold.org>  [76083e2a4195a7b9e2bb07d6b7807c9de8d9f59d]

Remove unused using namespace


2011-02-07  Jens-Heiner Rechtien [hr]  <jens-heiner.rechtien@oracle.com>  [87d39aaa29e4ea9c99754a6230d9b24cec47998c]

hr75: #i116747#: remove obsolete copyright notices


2011-02-07  Carsten Driesner  <cd@openoffice.org>  [df459a6a206bda0ad92416c510a1e579f0e2dc7f]

removetooltypes01: Rebase to DEV300m99


2011-02-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [07a0a4bcdda453dc5fc760ebbc27bb7b19863cc0]

move to unordered containers


2011-02-03  Mathias Bauer  <mba@openoffice.org>  [0da69cc40b1cbb84f2d2d6619f9347202549e387]

CWS gnumake3: resync to m99


2011-02-03  Caolán McNamara  <caolanm@redhat.com>  [66736d046626897001e2bc91b506161c9ca26d45]

mark unimplemented copy ctor and assignment as private, and fix sigs


2011-02-03  Joseph Powers  <jpowers27@cox.net>  [d1240282164c8d6165e3a946aea33d707e80d57e]

Remove a #include that wasn't needed.

Plus, some tailing white space.

2011-02-03  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [e7e0b5b71724399f5975656581e51caedbd7c702]

chart52: merge with DEV300_m99


2011-02-03  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [c911fa774343a714d6c26bbbb69ea08bf95b8fc9]

pulled and merged DEV300.m99


2011-02-03  David Tardon  <dtardon@redhat.com>  [5c591c832c37c3006ef3919c1b5b0c06ac849047]

now enable the impl too


2011-02-03  Kenneth Venken  <kenneth.venken@gmail.com>  [e735e86976a2f7f1de4b05581791e694459d4c32]

replaced DGB_ASSERT with OSL_ENSURE


2011-02-01  Julien Nabet  <serval2412@yahoo.fr>  [cec9b2e67ebef22fe67fc4cbd260762fcb9065c9]

cppcheck reduce scope of a variable


2011-02-01  Thomas Arnhold  <thomas@arnhold.org>  [b99a298f9048df521700959a123b9e894e2e4e57]

Clean up makefiles


2011-02-01  Vladimir Glazunov  <vg@openoffice.org>  [c1a45b9a85bd5f221c27a73cfb9f4758b264d6f6]

CWS-TOOLING: integrate CWS dba34b


2011-01-31  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [cef8fa9ac876b3b0bd561b2858b716ba38fa0676]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba34b


2011-01-28  Hans-Joachim Lankenau  <hjs@openoffice.org>  [1ea50a36ed2857f150b9e0bc71e73f61da7f40b2]

gnumake3: remove comphelper version; fix including extract.hxx


2011-01-28  Vladimir Glazunov  <vg@openoffice.org>  [2b0eb51fb4e335e81ca660c3d2722c5861fcae7b]

CWS-TOOLING: integrate CWS undoapi


2011-01-28  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [27d08a7e06b49e826a0be642f680ac3eb37c9ebd]

undoapi: pulled and merged DEV300.m98


2011-01-28  Caolán McNamara  <caolanm@redhat.com>  [8a7aeb5078dc2de3348243928a869fc20fd3c015]

WaE: gcc 4.6.0 various warnings


2011-01-27  Caolán McNamara  <caolanm@redhat.com>  [cd5b04851c596c69cd4af78fa0149cbb57237eef]

WaE: gcc 4.6.0 various warnings


2011-01-26  Caolán McNamara  <caolanm@redhat.com>  [67e031ea1933a566b4c9bd3d5f2947a7fffdea24]

WaE: gcc 4.6.0 various warnings


2011-01-26  David Tardon  <dtardon@redhat.com>  [15bf2bd0556ee71a8a8b08e75ec956fade49a502]

WaE: remove unused variable


2011-01-26  David Tardon  <dtardon@redhat.com>  [22f6062545c9dbe8bba96cf22482869dc85cfa5b]

fix build with system ODBC


2011-01-25  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [d2cb2893c9dcac638fee2fda4c026e9e13a858db]

gridsort: pulled and merged DEV300m98


2011-01-25  Tor Lillqvist  <tlillqvist@novell.com>  [0043c9690342c34ff3132bfaeab9375e05033ac3]

Workaround for <odbc/sqltypes.h> ULONG and BOOL screwup


2011-01-25  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [5cc25a4eb1984bc14d14a7f111d3ee8712edac25]

gridsort: pulled CWS dba34b


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [6e2243eb77b39c3e8d2ce03f00f06943000d4a3f]

WaE: gcc 4.6.0 various warnings


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [49014c935df22c8944ed592fb498de82ae79d844]

Replace suitable equalsAscii calls with equalsAsciiL.


2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [c9bac51279faccac16601caa2c0d7de98bebd0d9]

Include the wntmscx build directories


2011-01-21  Thomas Arnhold  <thomas@arnhold.org>  [44bab75b30f8329677b0cb9464af3b07971f2e26]

Remove doubled define of MAP_LEN(x).


2011-01-21  Carsten Driesner  <cd@openoffice.org>  [d4531386906c47e7bf01d1db8cd3a0c7f15ba53a]

removetooltypes01: Rebase to DEV300m98


2011-01-21  Caolán McNamara  <caolanm@redhat.com>  [32f40c5c40e346b97b4f84f68064c71b6524c12c]

oops, I'm such an idiot


2011-01-21  Lionel Elie Mamane  <lionel@mamane.lu>  [cd83a62442883e9fc7fc3b489af7e9c7ff06b97c]

Fix property type / default value mismatch

Fixes:
 Error: caught an exception
 message: Invalid value type for 'WindowTop'.
 Expected: long
 Found: hyper
  From File dbaccess/source/ui/querydesign/querycontroller.cxx at Line 1722
when editing a query

2011-01-21  Michael Koch  <miko@gmx.ch>  [dc23e492785b8a24f1351ca64bb7efe5d4e50dff]

removed newlines


2011-01-21  Thomas Arnhold  <thomas@arnhold.org>  [6621ecdb9d52bc72b7d387b9dd1e0e33fe0e92e1]

Remove old RCS lines.


2011-01-20  Thomas Arnhold  <thomas@arnhold.org>  [174da50e0ba2dc1733fd2e59254b43e33b03c9b9]

Replace suitable equalsAscii calls with equalsAsciiL.

Done with sed -i 's%\(\.equalsAscii\)(\(\s\?"[^"]\+"\)\(\s\?\))%\1L(\3RTL_CONSTASCII_STRINGPARAM(\2\3)\3)%g'.

2011-01-19  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [c146ab4e85210be51b268fd2a31f9bb004914560]

gnumake3: mergeing changes from DEV300_m97, fixing jars for svl complex test, deliver globlmn.hrc for now, adding component registration for svx libraries, still misses gengal and friends when packing


2011-01-17  Carsten Driesner  <cd@openoffice.org>  [44f0d37010326722472c88f178eba1358d484b35]

removetooltypes01: #i112600# Replace missing tools types replacement


2011-01-17  Caolán McNamara  <caolanm@redhat.com>  [7810732ef8404b238980f555a0aeb1656098f2ab]

cppcheck: object destroyed immediately


2011-01-15  Lionel Elie Mamane  <lionel@mamane.lu>  [7351e5dc8e24e51af5af5c17798f26e00626711c]

i#116187: report left/right page margin setting ignored on Unix 64 bit (cherry picked from commit 51a9333217687ff16df40ea3bd8983faaf5e425a)


2011-01-15  Lionel Elie Mamane  <lionel@mamane.lu>  [51a9333217687ff16df40ea3bd8983faaf5e425a]

i#116187: report left/right page margin setting ignored on Unix 64 bit


2011-01-15  serval  <serval2412@yahoo.fr>  [47e1b5e9bf38ee6af629ed7e3e74d6b7a5519d86]

Some cppcheck cleaning


2011-01-14  Mikhail Voytenko  <mav@openoffice.org>  [a09b71522004641e2f50afba4f8ab7bdc7c27494]

removetooltypes01: #i112600# remove tooltypes from reportdesign


2011-01-14  Kohei Yoshida  <kyoshida@novell.com>  [aa3b692805e5581d6f770f5a59b3563423dd3f9d]

Remove the Registration... menu item which we don't want. (fdo#33112)


2011-01-14  Mikhail Voytenko  <mav@openoffice.org>  [7450cf343d9b86bb985f5f8787d9069f902335d5]

removetooltypes01: #i112600# remove tooltypes from dbaccess


2011-01-12  Noel Power  <noel.power@novell.com>  [e97e6fd2a34584fbf1c974e6663f7e2b06a83d49]

fix for fdo#32742#


2011-01-12  Noel Power  <noel.power@novell.com>  [0afe2266016b03f6e11008463042c7daacead0e1]

fix for fdo#32742#


2011-01-11  Petr Mladek  <pmladek@suse.cz>  [9673a66350edf8bdb3a9af74df7eb3ed0cd7042f]

Please, ignore the previous message; it was for the libreoffice-3-3-0 branch

This is 'libreoffice-3-3' - the stable branch for the 3.3.x releases.
Only safe changes, reviewed by anoter person are allowed.

If you want to build something cool, unstable, and risky, use master.

2011-01-11  Petr Mladek  <pmladek@suse.cz>  [8f7887da80732abf15538fe4efe8571ad32e8715]

Branch libreoffice-3-3-0

This is 'libreoffice-3-3-0' - the stable branch for the 3.3.0 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.3.x release,
please use the 'libreoffice-3-3' branch.

If you want to build something cool, unstable, and risky, use master.

2011-01-10  Petr Mladek  <pmladek@suse.cz>  [a175c9433c60391a911ad595c510b3831335980b]

Version 3.3.0.3, tag libreoffice-3.3.0.3 (3.3-rc3)


2011-01-10  David Tardon  <dtardon@redhat.com>  [2701c05e85fde40433a089662ba0574c433e5a37]

fix debug build breakage


2011-01-10  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [b816b3678df6b96a1faf80eb0b8034f0d68cb904]

undoapi: don't use deprecated JUnit API, this seems to fail now (but didn't before the rebase)


2011-01-10  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [1e9fa23cb2335eb127675c813d6c8e215034df88]

undoapi: those two classes do not belong into JAVATESTFILES, but JAVAFILES only


2011-01-09  Takeshi Abe  <tabe@fixedpoint.jp>  [cdb028606c4192e08d40f5c51401a0a76fbc20fb]

Remove unused code and fix typos


2011-01-07  Caolán McNamara  <caolanm@redhat.com>  [3304e69b8689bcb3c03665e4f5c1dd10405aef5c]

fix this up but keep cppcheck silent


2011-01-07  Caolán McNamara  <caolanm@redhat.com>  [016c4073da8b6997d3b688be93132ea56684ac06]

fix syntax


2011-01-07  Guillaume Poussel  <gpoussel@gmail.com>  [47e68d01327a85c0fa58f02958a2076770ac647b]

cppcheck cleanliness


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [fcca556b758d21319a8fb8ce1949f0fe8b74a22f]

cppunit: prefer prefix variant


2011-01-06  Mikhail Voytenko  <mav@openoffice.org>  [54c2ecedc7d83498428678b4f7f0a25372e82f0d]

removetooltypes01: rebase to DEV300_m96


2011-01-06  Vladimir Glazunov  <vg@openoffice.org>  [7055a95a66a20a8c8641587ae1fe40ef7ce8f27e]

CWS-TOOLING: integrate CWS vcl117


2011-01-06  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [febe64a0cdaec13cadad79502eccd20dbdc9dd32]

rebase to DEV300_m96


2011-01-05  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [ffaad89d0606aac0760052034702afb1ce6394db]

dba34b: merged DEV300m96


2011-01-03  Joseph Powers  <jpowers27@cox.net>  [e637110109590257795a1a971085ac2beaba370e]

White space cleanup


2011-01-03  Joseph Powers  <jpowers27@cox.net>  [1094a2545c51f012c8fab36adcb73dabf282088a]

Remove unused header


2010-12-27  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [8bd3d0f80894effa11eed14654b8cf1e0321e0a9]

dr77: rebase to DEV300m96


2010-12-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [b4174c90b599e3344180720b450602797dc51a64]

undoapi: merged after pulling DEV300_m96. Most probably still not buildable:A number of changes which happened in the CWS need to be redone due to the new build system


2010-12-20  Jan Holesovsky  <kendy@suse.cz>  [35263e09ed8f60594dcc95132427ed210af55819]

Merge commit 'libreoffice-3.3.0.2'


2010-12-18  Petr Mladek  <pmladek@suse.cz>  [2a86e29b6da4a70cf10e21ad24cf23c4f5462227]

Version 3.3.0.2, tag libreoffice-3.3.0.2 (3.3-rc2)


2010-12-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [8b5002c764f01a1faaaabcad3ae1c2e0f67ee9c9]

CWS-TOOLING: integrate CWS sb131


2010-12-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [47f310c553f0867b3a0ca7b9da50cc35c9a8be52]

CWS-TOOLING: integrate CWS gnumake2


2010-12-17  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [c25cf7671bf4516a701cb801405e9554c5e811d4]

undoapi: (I|Sfx)UndoManager now working with size_t instead of USHORT


2010-12-12  Gert Faller  <gertfaller@aliceadsl.fr>  [32516b5b00c84f5a9c556a01bfa2027b72936d47]

change of __READONLY_DATA define to const


2010-12-07  Julien Nabet  <serval2412@yahoo.fr>  [a2ae281311a21be0bd067813569bfbe0bce27bcd]

string tweakage


2010-12-06  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [2e43a8bdb921877f62796915928623b5d344145d]

gridsort: give the UnoControl(Model/Base) classes a ctor taking a service factory, so we have access to the factory which created us, and don't need to resort to the process'es service factory


2010-12-06  Michael Callahan  <callahan@xmission.com>  [b40db1ccd387c9818b5685754f6539ea0a942cb2]

remove obsolete __FAR_DATA


2010-12-05  Takeshi Abe  <tabe@fixedpoint.jp>  [dea471ac358680e991094d128e9c1262a5077d37]

Replace all occured, occurance etc.


2010-12-02  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [85b346e583c622f06f55cea775ab821588b96d26]

Automated merge with ssh://hg.services.openoffice.org/cws/gridcontrol07


2010-12-01  Petr Mladek  <pmladek@suse.cz>  [027091a237a4d90c0361fc6beb176fd72d32a55a]

Version 3.3.0.1, tag LIBREOFFICE_3_3_0_1 (3.3-rc1)


2010-11-29  Wol  <anthony@youngman.org.uk>  [5fe3a3d6e621597b883b45faa302460d2949bd63]

More comment deletions


2010-11-29  Wol  <anthony@youngman.org.uk>  [316de246fe28f93c2779a4ce794f5064d4f85763]

More deleted comments ../../../dbaccess/source/core/misc/0001-More-translations-and-comment-deletion-for-Base.patch


2010-11-29  Takeshi Abe  <tabe@fixedpoint.jp>  [29c54734435829424cbf9c3a02fba474f0a62dbb]

Remove undesirable comments


2010-11-29  Ocke Janssen [oj]  <Ocke.Janssen@oracle.com>  [1a273e914e872ff40f8a2f4db84ba374d6b4d372]

dba34b: #109956# notify column value in correct order


2010-11-28  Joseph Powers  <jpowers27@cox.net>  [44bef177fad85de9bed001403b74903c593f860f]

Dead Code Removal


2010-11-28  Caolán McNamara  <caolanm@redhat.com>  [8f066c09264941e91e008d98d6738c9eb24e13fd]

stray slash


2010-11-28  Wol  <anthony@youngman.org.uk>  [7181d011083f2a1a4843a34156c68174f281c499]

More dead code deleted


2010-11-28  Wol  <anthony@youngman.org.uk>  [22492dff274d5f44904d006c75a43e3ed2765da7]

More dead code deletion


2010-11-28  Wol  <anthony@youngman.org.uk>  [920eae2c2a178db5e24e65a33ad546d465926afc]

Remove dead code


2010-11-28  Wol  <anthony@youngman.org.uk>  [9ae21f9ff8a643dc27191bd23e6d7f5facfdcbba]

More dead code removal


2010-11-28  Wol  <anthony@youngman.org.uk>  [4d05dad8c0ff6d12c5c94b6ec5e2bb6054af3ac3]

Dead code deletion again


2010-11-27  Takeshi Abe  <tabe@fixedpoint.jp>  [61dd0525ead20ec6d7eb7803417b0e83800262cf]

cppcheck: variables assigned but never used


2010-11-27  Takeshi Abe  <tabe@fixedpoint.jp>  [57fde288102a36cf82b7706bcc8636a60c6e39c1]

cppcheck: use ++ as prefix


2010-11-27  Takeshi Abe  <tabe@fixedpoint.jp>  [48c3e3c69aaa714c4c646a553ad722ad4a92f572]

cppcheck: reduce the scope of variables


2010-11-26  David Tardon  <dtardon@redhat.com>  [9979fd397191b005c3204ccd1fa5ce5b5fa387e8]

do not catch exception by value


2010-11-26  Takeshi Abe  <tabe@fixedpoint.jp>  [a36c72589891557d2fb56804c0d90db39dfc39fb]

Remove dead codes and confusing comments


2010-11-26  Rene Engelhard  <rene@debian.org>  [e7408faac3dfb08ced36d2496de847625d3f30a2]

Merge branch 'libreoffice-3-3'


2010-11-26  Thorsten Behrens  <tbehrens@novell.com>  [76fe475df62311e280d68874edf6773936c7d9d6]

Put show credits entry into all app ui configs


2010-11-26  Mathias Bauer  <mba@openoffice.org>  [e447fd175f35d0332dad8b6f4905673dddd6335e]

CWS gnumake2: resync to m94


2010-11-26  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [1e098993bfea9b96f43fae750ed81a4e6749473b]

Automated merge with http://hg.services.openoffice.org/cws/dba34b


2010-11-26  Takeshi Abe  <tabe@fixedpoint.jp>  [0599ea17606e42864fbb095c250adf6abd0c6dcc]

Remove dead codes and undesired comments with fixed typo

Hi,

yet another cleanup on base.

Cheers,
-- Takeshi Abe

>From dff2f8d6d37863a5517a412ea4f92ebdbee536ff Mon Sep 17 00:00:00 2001
From: Takeshi Abe <tabe@fixedpoint.jp>
Date: Fri, 26 Nov 2010 01:45:21 +0900
Subject: [PATCH] Remove dead codes and undesired comments with fixed typo

2010-11-26  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [7c6060d39053ebee808f305cd24c6035ec3ba8d7]

dba34b: #i114309# set default values for bit boolean and reset when we are on the insertrow


2010-11-26  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [5b7fc35ecb898e37bd6ea28427d0bf2cbcd44058]

undoapi: assert unknown slots in ImplInvalidateFeature


2010-11-26  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [e7d2aac7856da787371e9904888774508d1a45d6]

dba34b: #i110907# check if design handle event


2010-11-26  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [18e4e629073f8cabdc5dd116ced4683c7ae65dbe]

dba34b: #i109956# notify column values when row is refreshed


2010-11-25  Thorsten Behrens  <tbehrens@novell.com>  [051db20ce52a00d15b6494fd67656204a218dd98]

Put show credits entry into all app ui configs


2010-11-25  Wol  <anthony@youngman.org.uk>  [2b695c0c6a4268d4cd5c5808051aa53dde95cf29]

Dead code deletion


2010-11-25  Michael Stahl  <mst@openoffice.org>  [2000a1670e3af124fff5b2cdde5066602e20aa9d]

udoapi: merge sw refactoring with undoapi stuff


2010-11-25  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [7fb8648fbc83d264b31f35573069dea3392afdc3]

Automated merge with http://hg.services.openoffice.org/cws/dba34b


2010-11-25  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [b0ce3ecf83bb657adc702e586ba3f8341496565d]

dba34b: #i115753# add test again


2010-11-25  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [f377191a1a9d9173aa9eb9b79c9b30db5848630b]

undoapi: renamed Undo.* to RptUndo.*, to not confuse a certain IDE with different same-named files in the source tree ...


2010-11-25  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [1b277a3560f07733f7f627833269630996e7134a]

undoapi: migrated report designer to use an own, model-bound UndoManager, instead of the UndoManager formerly bound to the controller


2010-11-25  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [8bf44c90e4675ec6b98de0bcbfe7d095a89c28cf]

undoapi: split OSingleDocumentController into DBSubComponentController (which the report design's controller will be derived from) and the still-so-named OSingleDocumentController. Module reportdesign does not compile with this change, this is yet to come.


2010-11-25  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [2c6afcae6de59469b5d15bf73f39900cde984920]

dba34b: #i115384# check if the length of BIT > 1 otherwise use setBoolean, and change typeinfo for ado types


2010-11-25  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [fe9ceb5b1aba02b1b03806b654210bd396a50748]

dba34b: #i115655# new ui setting for max row scan for text db


2010-11-25  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [3e21e6f5008b7bdada726f33acee16b099b15213]

dba34b: #i115655# check first 50 lines for type info


2010-11-24  Wol  <anthony@youngman.org.uk>  [baa39df3058c6e5a050215cfbd1678e258732908]

Spelling, dead code removal


2010-11-24  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [68a486cc01b3848e0c2c48e636ddf6fb8e3e7aac]

merge with DEV300_m94


2010-11-24  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [d919860c2ec7fb5367853e47a6d77981230980a5]

vcl117: #i115686# remove old unused style setting


2010-11-24  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [553aa5bda472785e65a72dc71deef50bdb1d154f]

dba34b: #i114617# test_for_null: wrong child asked for


2010-11-24  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [f02f6f9203902f788e2e7e39335b016a4a2fa0f7]

dba34b: #i111542# fix for max rows


2010-11-24  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [842de991e2ed6caa1a031d52b73244f92450b3ee]

undoapi: remove unused IEnvironment interface


2010-11-24  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [51f78b61b8f481ed9602394651632926c41b9a0e]

dba34b: merge


2010-11-24  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [471857ffe8da1b2dfa455b868f82ffe603411966]

dba34b: merge


2010-11-23  Joseph Powers  <jpowers27@cox.net>  [9609b627e18af6e2aa8a487aba54b6218eceaead]

.bmp to .png, plus formatting issues.


2010-11-23  Wol  <anthony@youngman.org.uk>  [a1104fb03dc5a5ec9dcb7325aad267218803a8b0]

Spelling mistakes and dead code


2010-11-23  Wol  <anthony@youngman.org.uk>  [a5f93221d0384c495dc7aad1d246b942895d0609]

Dead code and spelling mistakes


2010-11-23  Wol  <anthony@youngman.org.uk>  [3cf9de9b2bdc2bfc73658beed96fe378cd7cb627]

Dead code removal


2010-11-23  Wol  <anthony@youngman.org.uk>  [ab8dbd0ac720115345e8c506f23e0501273fa25a]

Dead code, spelling mistakes


2010-11-23  Wol  <anthony@youngman.org.uk>  [bf068ba7d25f30bd274b8fb0bdb9de5753b778e9]

Dead code, translations.


2010-11-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [1a4db0a88458f080512e4b1737d7685a4fe8adf7]

dba34b: disable CopyTableWizard test for now, since it fails (which is issue #i115753#)


2010-11-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [443b01dfaf22edb459b0a13b70bb7d8cfc8ee7b1]

dba34b: massaged the dbaccess complex test cases a bit, made them running, again, re-implemented functionality which got list in the recent refactoring (assureException)


2010-11-23  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [c5277b18139524870d85c92342d8fea516c7437d]

vcl117: removed obsolete header


2010-11-23  Caolán McNamara  <caolanm@redhat.com>  [5f0401a2ef24f286f5d2c7f8a96379328ebfe287]

make possible to build with c++0x


2010-11-23  Takeshi Abe  <tabe@fixedpoint.jp>  [ac6dd66266c39ca08345d630290e60876d21c822]

remove dead codes and undesired comments


2010-11-22  Joseph Powers  <jpowers27@cox.net>  [024954e65e3c1c2bea354a7dc7d533f2579c04d3]

Fix .gitignore for mac


2010-11-22  Gert Faller  <gertfaller@aliceadsl.fr>  [75488d8683f229eb01404e2625a0f718179451d2]

RTL_CONSTASCII_USTRINGPARAM in base


2010-11-22  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [764b30ae976adf650a721d82c0031639b6c21a4b]

dba34b: merge after pulling DEV300.m94


2010-11-22  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [9cc4cf7c36c2fe13bb81f38b6ec40b0f03b96df2]

undoapi: merge after pulling DEV300.m94


2010-11-19  sb  <sb@openoffice.org>  [02441c8caaa1802bc8a0ab04809074d1594709b7]

sb131: merged in re/DEV300_next towards DEV300_m94


2010-11-18  Wol  <anthony@youngman.org.uk>  [ac06637f11c6c2e26df0474f8a91b3549064e243]

Spelling mistake


2010-11-18  Wol  <anthony@youngman.org.uk>  [458566b62a7771940b7349388bdc0972a275d773]

More spelling mistakes, translations and dead code deletions


2010-11-18  Wol  <anthony@youngman.org.uk>  [7ddbcced490948cd71e2ac0eac5efba955354cca]

Comment fixes - dead code and spelling mistakes


2010-11-17  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [9aa45f82cd5f6d95e6a8e79def1bfa0224ebd9dc]

Automated merge with http://hg.services.openoffice.org/cws/dba34b


2010-11-17  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [6fb52b07dbd8b3e5d6484787d805878b1c3d13f0]

undoapi: implement XUndoManager/Supplier for Base sub components


2010-11-17  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [4daabc17480bf3ffb737e9e2a2a3c1e075879c04]

undoapi: make the SfxUndoManager an impl detail of OSingleDocumentControllerImpl, instead of exposing it as member


2010-11-17  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [015c05be2c2a5c30c54ba44ab643f0b3859ed64d]

undoapi: carry the SfxUndoManager around as &, not as *


2010-11-16  Joseph Powers  <jpowers27@cox.net>  [51392ec4319478b14dc33e6d2684e7e6d1063fc6]

HC Cleanup - base


2010-11-16  Kohei Yoshida  <kyoshida@novell.com>  [4314498a0f4459be7118ca35d02c5e7afe46e890]

Fixed several build breakages.


2010-11-16  Caolán McNamara  <caolanm@redhat.com>  [890fe003c904143b4297c2989fc630c9a5492781]

fix these again


2010-11-16  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [b1123d0e80a6295760f9956aaae72da7a4a605b2]

Forgot to remove one _HC definition


2010-11-16  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [4345ada3ebbdc0f25c54194155caf6b8ff074db7]

Remove _HC occurences


2010-11-16  Caolán McNamara  <caolanm@redhat.com>  [5ca671d2cf4cbb3122c4225b086bc502eec41c31]

get this to build again


2010-11-16  Caolán McNamara  <caolanm@redhat.com>  [88919901be9d61a1f6992e6d6375f49ad77b4f74]

get this to build again


2010-11-16  Caolán McNamara  <caolanm@redhat.com>  [f364dced8efbf3cfc455920e9f7cbd697751476c]

get this building again


2010-11-16  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [fa82d4de348ec744331d0f5610e724c4df7a4151]

more _HC removal


2010-11-16  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [78aec2ef15ad46b796f5795dcf9deef2610404f8]

More _HC removal


2010-11-16  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [4c5a7037157bf78ec2d4528439159de297977f0a]

Remove High contrast image use


2010-11-16  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [f3ae562680e574664fc0e5dda78ff01b730ae265]

Remove more _HC _SHC uses


2010-11-15  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [1976006a6acab4bf40da0490c178b0b4bdbe7db6]

dba34b: #i115579# check for children


2010-11-15  pjacquod  <pjacquod@alumni.ethz.ch>  [184db64d1bf1f351bbd52915586fe071377d70fa]

RTL_CONSTASCII_USTRINGPARAM in base


2010-11-14  Caolán McNamara  <caolanm@redhat.com>  [27fc0cbfbc77aa08c180bf0f537378589fe6d283]

Misuse of RTL_CONSTASCII_STRINGPARAM instead of RTL_CONSTASCII_USTRINGPARAM


2010-11-14  Santiago Alessandri  <salessandri@nasel.com.ar>  [1c48ceb4730a0fcdf35f6d8c8a8fcb8b59abe9f5]

Replaced all createFromAscii with macro RTL_CONSTASCII_USTRINGPARAM in base


2010-11-13  Santiago Alessandri  <salessandri@nasel.com.ar>  [5dd4418a16a4e74e0d22be32e52bbf2429f44d86]

Replaced createFromAscii in all dbaccess tree under base repo


2010-11-13  pjacquod  <pjacquod@alumni.ethz.ch>  [c904a7a1df2706191bf6992da584e21a174a8f3c]

RTL_CONSTASCII_USTRINGPARAM cleaning in base

base/reportdesign/source/ui/report should now be clean and having no more
createFromAssci with constant.

2010-11-13  Caolán McNamara  <caolanm@redhat.com>  [edee68e73343940af208fa9b712cfa77f725d550]

remove unused HiContrast args


2010-11-13  Joseph Powers  <jpowers27@cox.net>  [8e1a52e95c3568d9d32abe782ebfd6b9a95c28a2]

Purged BmpColorMode from libs-gui - base


2010-11-12  Jan Holesovsky  <kendy@suse.cz>  [985644ba3b2e3826b5e7035252473fa5d034f0e8]

Merge remote branch 'origin/libreoffice-3-3'


2010-11-12  Joseph Powers  <jpowers27@cox.net>  [229f6907268629d2bacdbfc31fc3576b25688dac]

Removed BmpColorMode from SvLBoxContextBmp_Impl and SvLBoxButtonData - base


2010-11-12  Santiago Alessandri  <salessandri@nasel.com.ar>  [1aade2c873338df604f50cfb2e1b8f742523cf84]

Changed usage of createFromAscii for macro RTL_CONSTASCII_USTRINGPARAM


2010-11-11  Santiago Alessandri  <salessandri@cert.unlp.edu.ar>  [bf042717088e43606c3876fa1ae6e1135a84f794]

Replaced the use of createFromAscii for the macro RTL_CONSTASCII_USTRINGPARAM


2010-11-11  Petr Mladek  <pmladek@suse.cz>  [bed896d99d9d228081d174d23f7bb74ce15109cc]

Version 3.2.99.3, tag LIBREOFFICE_3_2_99_3 (3.3-beta3)


2010-11-10  Wol  <anthony@youngman.org.uk>  [d78afdf0a7e4519a249f7bda5c149336496dd239]

Spelling mistakes and code removal


2010-11-10  Wol  <anthony@youngman.org.uk>  [92b58d90821b646f1f8c6f90a7a1039a9d90d5d4]

Translation, spelling mistakes and dead code


2010-11-10  Wol  <anthony@youngman.org.uk>  [28571c7c1b90ce015759242e5f0496e28ce50572]

Fix spelling mistakes


2010-11-10  Wol  <anthony@youngman.org.uk>  [019c8a2c5318e4183a4b1f7ab1d52dfb31ac1007]

Fix spelling mistake


2010-11-10  Wol  <anthony@youngman.org.uk>  [d1293ce3dd1bd9620a19d784a6640edffcb02765]

More translations and comment deletion for Base


2010-11-10  Joseph Powers  <jpowers27@cox.net>  [ab97c09b7e8ac06d3c42f5617f6169fbee186249]

Bitmap Tree Cleanup - base

Removed all references to HIGHCONTRAST mode from svtools classes:
        SvImpLBox
        SvTreeListBox

The reset is just fall out.

2010-11-10  Wol  <anthony@youngman.org.uk>  [58e14f5b92dd203f4fd0942ecdc82f4c3151b328]

Spelling mistakes, and deleting unwanted comments and commented code


2010-11-10  Xiaofei Zhang  <Zhangxiaofei@openoffice.org>  [5a8f9434c7f6fb1191d6f20fe51b7d4b78182923]

 removetooltypes01: #i112600# resync to DEV300_m92; remove tooltypes from xmloff, linguistic, vcl, svtools, accessibility, fpicker, uui and framework


2010-11-09  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [462b4db9d6b73afba4ebaa13355c1a4f67962186]

dr77: rebase to DEV300m92


2010-11-09  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [b928902f5030997f4a478850c2849c7e2d90997f]

dba34b: removed dead files from makefile.mk, too


2010-11-08  Ricardo Moreno  <parcero.cubano@gmail.com>  [5752e5b28e75158de8babe09e7b43adb63209028]

Removed commented-out code.


2010-11-08  Vladimir Glazunov  <vg@openoffice.org>  [c66f767b220ced6ffd3773dff021c9636a36c51d]

CWS-TOOLING: integrate CWS dba34a


2010-11-08  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [39f5a207064c2326b60e09ddb835dffb597899c9]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba34b


2010-11-08  Norbert Thiebaud  <nthiebaud@gmail.com>  [9994e19b1cca88be0a723cf1a1151ba577b19a44]

Revert "Smelling pistakes, german comments, and a little commented code in base"

This reverts commit 8d33d95cde5f423aee284bbbcff810cbba1a910a.

I've been told by a german native speaker that the translation was mostly babelish
and quite incomprehensible, so revert for now.

2010-11-07  Wol  <anthony@youngman.org.uk>  [94dbc322129746e15e53ec2670f46ba9be5cddfb]

Delete commented code


2010-11-06  Wols Lists  <antlists@youngman.org.uk>  [8d33d95cde5f423aee284bbbcff810cbba1a910a]

Smelling pistakes, german comments, and a little commented code in base

I think I've translated most of the german stuff correctly (I speak
german somewhat, and used babelfish to help) .

From f203be2f74f8ea4df960876434f8e55cd7973ab9 Mon Sep 17 00:00:00 2001
From: Wol <anthony@youngman.org.uk>
Date: Sun, 7 Nov 2010 01:52:20 +0000
Subject: [PATCH] Miscellaneous spelling mistakes, german, and commented code

2010-11-06  Tor Lillqvist  <tlillqvist@novell.com>  [ffa8c3c72edffbc39bb468d811b8cf335b2ee987]

Fix build breakage in a dbgutil-enabled build


2010-11-06  Tor Lillqvist  <tlillqvist@novell.com>  [8a0d563a9d7ed94eb5a12676d682f59ffb19eb78]

Fix build breakage in a dbgutil-enabled build


2010-11-06  Tor Lillqvist  <tlillqvist@novell.com>  [f94a127b3be1acfafa7875ab9f907a29d19a778d]

Fix build breakage in a dbgutil-enabled build


2010-11-06  Tor Lillqvist  <tlillqvist@novell.com>  [f30819c9f78930379c181dc4a668e333b845fc00]

Fix build breakage in a dbgutil-enabled build


2010-11-04  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [ea57ac8d558beafbb6d0dd4aadaf96c79e7b4ef8]

merge with DEV300_m92


2010-11-04  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [9ffda776d7e5449727f0a7bfddce829121de2e8b]

dba34b: #i110409# remove DataSourceMigration


2010-11-01  Thomas Klausner  <wiz@NetBSD.org>  [04ba44dfe598b1cb433126b9bc657466ccc9d64a]

Add more files to EXCEPTIONSFILES, needed at least on NetBSD.


2010-11-01  Vladimir Glazunov  <vg@openoffice.org>  [c3a8753eb49072715f467c6478823e16d0d20a4c]

#i10000# changes from OOO330 m13


2010-11-01  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [91f31d15c3ba940a4c094198b1f6d29e882e8402]

undoapi: moved the last remaining method of SfxMacroConfig (::Call) into the SfxApplication, and got rid of the class completely


2010-10-30  Caolán McNamara  <caolanm@redhat.com>  [98f3528a457bf8bd0e1fd5f83bfd7235be13b3d0]

fix my own cockup


2010-10-30  Gert Faller  <gertfaller@aliceadsl.fr>  [52e672dbfa8e34b3929783267df56282d514e058]

Use RTL_CONSTASCII_USTRINGPARAM


2010-10-29  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [30b269090d9a5a572991fe36e13b676a82bf14d8]

merge after pulling DEV300.m91


2010-10-29  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [1d411424db08a8fe11795f1d278c4fd8c7c84b88]

merge after pulling DEV300.m91


2010-10-28  Mathias Bauer  <mba@openoffice.org>  [2377ad9455939ec1d64e20d3adcb5c650eb96394]

CWS gnumake: resync to m91; conflicts unresolved


2010-10-28  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [fe8d4f64f69f9bb13395c84bc0877289ef6f7000]

Automated merge with http://hg.services.openoffice.org/cws/dba34b


2010-10-28  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [37719de02e4c43ec8300e9ee003e60f852b9bd96]

Automated merge with http://hg-lan.germany.sun.com/ooo/DEV300


2010-10-28  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [c5b97bdf8a3fd887b18acfe03e7a85eff18b7a65]

dba34b: #i115290# use insert row instead of key row


2010-10-27  Caolán McNamara  <caolanm@redhat.com>  [f5f1a496ef25c68550155ad5423f6918f5363a3a]

add modelines to .hxx files as well


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [d25f877edaecd06821475a3097cc11d7bad7f4d7]

Finally, gut the vos module out of the build


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [cc94cb3f0275be04c49bf8d8e1a5b9c61a201f2a]

make a osl:Reference de-reference a little more sane..


2010-10-25  Jan Holesovsky  <kendy@suse.cz>  [6b9e8540da1be0c1c954cdaafe129c8dadd3c001]

Fix typo: something->get; into something->get();


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [f5aa85eec6557ca014b7db9835ca123c37c8a50a]

merge vosremoval-mutex.diff

In practice the changeset is 'inspired' by vosremoval-mutex.diff
but was essentially redone manually

2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [74e22b0646dabdfb2ca1eba7eeb881273e5713e1]

merge vosremoval-reference.diff


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [a7d66700ee73b0772af7953ac60ce2d700e206e0]

repl OClearableGuard(SolarMutex) by SolarMutexGuard as none needed clear()

Four site used a Clearbale Guard on the SolarMutex, but non of these site
actually needed to clear the Guard, so SolarMutexGuard fit nicely

2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [de192697c61dd56465011aade1ebe445d6429c19]

use SolarMutexGuard to guard the SolarMutex


2010-10-24  Jan Holesovsky  <kendy@suse.cz>  [d10a4b873926455cd2df7d82ea3ccfe3a1b91281]

Merge commit 'ooo/OOO330_m12'


2010-10-22  sb  <sb@openoffice.org>  [3e1937c2cc8197cf8d3815a39c0ad7b0053b118a]

sb131: #i115124# $(XSLTPROC) implies LIBXSLT:libxslt


2010-10-21  sb  <sb@openoffice.org>  [fecb843d88e553084b52caa80c924687466865b2]

sb131: merged in DEV300_m90


2010-10-21  Mathias Bauer  <mba@openoffice.org>  [14e356fa33c96e3175ed60937a4a4610b22de9f8]

CWS changehid: resync to m90


2010-10-21  Sean McMurray  <smcmurray@mcmurrays.org>  [72cc77c8bbbdd3a8b3b00ad6f24f26c6abb5c285]

Use SAL_N_ELEMENTS


2010-10-20  Kurt Zenker  <kz@openoffice.org>  [2ac71a6dcdee4119c7b302faecbfd49c1b79652b]

CWS-TOOLING: integrate CWS dba33k


2010-10-19  Thorsten Behrens  <tbehrens@novell.com>  [1b46c80f2d736362a5918951e264aca59b99e5b5]

Switch all urls from TDF to LibreOffice

Additionally, fixes fdo#30667 with new about dialog text, and a
link to http://libreoffice.org/credits.html

2010-10-18  Povilas Kanapickas  <povilas.kanapickas@gmail.com>  [4b665e7a7b4b8c16fba323025ead225084b163fb]

remove non-compiled code


2010-10-18  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [00c826fce4b50f97f85ae0cf87a897be3b36cfa6]

dba33k: #i114026# check if key columns from all tables are involved


2010-10-14  Vladimir Glazunov  <vg@openoffice.org>  [7fc0d537db56cc6cc29ba735468f2531ba225b11]

CWS-TOOLING: integrate CWS sb123


2010-10-14  Vladimir Glazunov  <vg@openoffice.org>  [686cf6927fdc031d07a8c2da04cbbc3de290d940]

#i10000# changes from OOO330 m10


2010-10-13  Noel Power  <noel.power@novell.com>  [596b945afcdb38a3c2481595d6e08cd7a541fc23]

Merge branch 'master' of ssh://noelp@git.freedesktop.org/git/libreoffice/base


2010-10-13  Jan Holesovsky  <kendy@suse.cz>  [b453af9c9bad2c671770a1bab2ffd4bd26ad7cd7]

Merge branch 'master' of ssh://git.freedesktop.org/git/libreoffice/base


2010-10-13  Noel Power  <noel.power@novell.com>  [2d66bdeb628aeed96070bb6d61c62cac2951cd41]

initial apply of vba patches ( no container controls, no operator precedence )


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [7a21b3f79d63f840781eb043fd046f26a25a61d8]

close namespace


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [654cf6ce6726dd2fbb9bccc726e45910ab064a4c]

remove conflict markers


2010-10-13  Gil Forcada  <gforcada@gnome.org>  [5bf1c6b7723abeaa26260d2b56dbba6359038867]

Removed comments, trailing spaces and death code (3)


2010-10-13  Gil Forcada  <gforcada@gnome.org>  [f061cefaf96f4937b58d0e2ba4fa5bf5187b2d6a]

Removed comments, trailing spaces and death code (2)


2010-10-13  Gil Forcada  <gforcada@gnome.org>  [2ab6d2bd492320472e33526674923b02876d427d]

Removed comments, trailing spaces and death code


2010-10-13  Jan Holesovsky  <kendy@suse.cz>  [97531e546835b6a306f67b26a4f5b2cd5ec076d8]

Merge commit 'ooo/OOO330_m10'

Conflicts:
	dbaccess/source/core/api/RowSetCache.cxx
	dbaccess/source/core/misc/DatabaseDataProvider.cxx

2010-10-13  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [a3d79e7f7b596f856b5f07ea55779ba8d366a4b3]

Add vim/emacs modelines to all source files

Fixes #fdo30794
Based on bin/add-modelines script (originally posted in mail
1286706307.1871.1399280959@webmail.messagingengine.com)

Signed-off-by: Sebastian Spaeth <Sebastian@SSpaeth.de>

2010-10-11  Mathias Bauer  <mba@openoffice.org>  [8579e2faea4c0a5082058aa4c4b039c3cfe8e25d]

CWS changehid: generate former auto hids into src files


2010-10-11  Caolán McNamara  <caolanm@redhat.com>  [be3b404ee3acd82605ad6ff5023dfda8c5b189cc]

#i112786# make ConfigManager a well-behaved singleton


2010-10-11  Rubén Jáñez  <rjanezfer@gmail.com>  [1362e62f0c9510d74e853ec26ff303b0223817f7]

Removes some bogus comments found in Base.


2010-10-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [a5aeb902a7145b4863695abc989855a6766e4c3d]

merge vosremoval-thread patch


2010-10-09  Kayo Hamid  <revol.code@yahoo.com>  [a06e8658b3b19d399bcc08a75cc14fad0f1ba4e4]

Use SAL_N_ELEMENTS macro


2010-10-09  Mathias Bauer  <mba@openoffice.org>  [6f86a314e064afe75255ae40fcc212272e8dffdd]

CWS changehid: resync to m89


2010-10-09  Kalman Szalai - KAMI  <kami911@gmail.com>  [8ba767a1257693e7c6a3dbfbc4a5f07dd8ecf1f1]

Some base commented code cleanup


2010-10-08  Petr Mladek  <pmladek@suse.cz>  [6dd0ea8a401d3e176d076405f8303cbb337a4790]

Merge branch 'master' of ssh://pmladek@git.freedesktop.org/git/libreoffice/base


2010-10-08  Petr Mladek  <pmladek@suse.cz>  [59b5f86866aad80b054ada76173f71a8257cc5b4]

Version 3.2.99.2, tag LIBREOFFICE_3_2_99_2 (3.3-beta2)


2010-10-08  obo  <obo@openoffice.org>  [c07e7342edf658a0722ad3b0c8b4fe8da8c0742b]

CWS-TOOLING: integrate CWS dba33j


2010-10-07  Norbert Thiebaud  <nthiebaud@gmail.com>  [e4dc86995d11ba3ab52a272c584e72169b06a00f]

FASTBOOL to bool conversion


2010-10-07  Thorsten Behrens  <tbehrens@novell.com>  [525ec67a47f2a4e66cb7713826e1b02561bbd859]

Webservice URLs now point to documentfoundation

Changed places referencing OOo webservices to refer to
*.documentfoundation.org instead. Also, append coutry string to URL.

2010-10-06  Jan Holesovsky  <kendy@suse.cz>  [25a10665e1fcf74f6bbf01b8037c9ce573536d0b]

Merge commit 'ooo/OOO330_m9'


2010-10-05  Petr Mladek  <pmladek@suse.cz>  [65e8a6aeebce899b1c2d0217c608af37607f205e]

more removed include guards using fixguard.py


2010-10-05  Petr Mladek  <pmladek@suse.cz>  [06052e404ffd12c291ba9b0acb6a0cb3dd7a7e37]

remove include guards using fixguard.py


2010-10-05  Kohei Yoshida  <kyoshida@novell.com>  [c2ea9bc8622244d0c5386f669a24f131346573c2]

Ported calc-distributed-cell-text-*.diff from ooo-build.

This feature enables horizontal 'distributed' alignment and vertical
'justified' and 'distributed' alignments for cell contents in Calc.
Note that this feature relies on ODF 1.2 extended in order for the
relevant cell attributes to be saved in ODS.

2010-10-05  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [4c4e47fc53dcf6455fa14f2f2073a969273e5726]

undoapi: pulled DEV300.m89 and sb123


2010-10-05  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [d96a93bc97d778425124d435dadfb6bebfc66a51]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/sb123


2010-10-04  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [9b793acf03338c9941c68515786f0777b464caff]

dba34b: pulled DEV300:m89


2010-10-04  sb  <sb@openoffice.org>  [42bf2ed8923abaa230b8875b175eedff91a3678c]

sb132: merged in DEV300_m89


2010-10-04  Norbert Thiebaud  <nthiebaud@gmail.com>  [cc4d1da105a6157956c558d7fcc5f331bc71b141]

native bool support in SvXMLUnitConverter


2010-10-04  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [d5cd86c8c00424b94b71f391b3d0b3a5c3324007]

dba34b: merge after pulling sb123


2010-10-02  J. Graeme Lingard  <jgraeme+git@gmail.com>  [dd410664b8ba689b6ea2455262ebcb77d526ac6e]

Remove commented out #include directives

Signed-off-by: Kalman Szalai - KAMI <kami911@gmail.com>

2010-10-01  Kohei Yoshida  <kyoshida@novell.com>  [e856f7d2e34683aeeb024d3f1d9f12cb318c0c4a]

Ported calc-perf-import-dbf-dbaccess.diff from ooo-build.

Add mechanism to optionally turn off property change notification,
which is quite expensive.

2010-10-01  Vladimir Glazunov  <vg@openoffice.org>  [797f6c2c125f5bd93fc82066b9171d1a44440e73]

#i10000#


2010-10-01  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [7d1002dda6ace8862e6239f35dc3c7e175675a32]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba34a


2010-09-30  J. Graeme Lingard  <jgraeme+git@gmail.com>  [d80507fb767d2bb2a9b0a065cef5f69f874f7e9e]

Remove unnecessary comments containing //CHINA001


2010-09-30  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [60d65353045af42d6fc733143b74208a9c4bc1e0]

dba34b: #ii109580# impl_sanitizeRowSetClauses_nothrow: completed the check for order column validity


2010-09-30  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [727f6a8398bb355219f3f81b7372499f9232514c]

dba34b: #i109580# don't attempt to apply Order clauses which refer to nonexistent tables


2010-09-29  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [daf60c863a81cad3928917aad550d1e666ea259e]

dba34b: #i109580# (preparations)


2010-09-29  Vladimir Glazunov  <vg@openoffice.org>  [af1dc86ee34735981b24e22fc0bf50509c29978e]

CWS-TOOLING: integrate CWS sb129


2010-09-29  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [108d04b9d404a8e83284d5e55d41ef185827bb55]

dba34a: #i112617#


2010-09-29  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [601f305539b4cb96bb9dff56b368d3fb3003b11c]

dba34a: if there exists a data source registration from the previous test run, revoke it


2010-09-28  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [9613366fa786c6db4e6522653127a47d38b8b1dc]

dr77: rebase to DEV300_m88


2010-09-28  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [ec783bc328aee5f467a53643de95fbcb57402301]

Automated merge with http://hg-lan.germany.sun.com/ooo/DEV300


2010-09-28  Petr Mladek  <pmladek@suse.cz>  [073c2fbffd8b22e548bd0c5ab83a2a7d82c673a5]

Version 3.2.99.1, tag LIBREOFFICE_3_2_99_1  (3.3-beta1)


2010-09-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fd44d4ab45850f6291b29107c531fce1ef97b8ee]

Replace the "Help Support" menu item by the "License Information" one


2010-09-27  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [b0b355ebcb7bcf25bcbb73f9e982d4298cc2e597]

dba34a: #i31275# allow 'select as you type' aka 'quick selection' for tree list boxes (SvLBox derivees, to be precise), and enable this for Base main window, and the stylist


2010-09-27  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [8ace7b94fc9399cdb8d9860dbe49b146d4c24d14]

dba34a: #i97111# make the 'Test Connection' button big enough to display all its text


2010-09-24  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [6c5811cabe9dcbddf09bf1840064ad2bc8379c09]

dba34a: #i114698# allow for property change notifications for properties which do not exist as real property, but as attribute only


2010-09-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [20b2b51d6b6de6c5f6f7ea542b6cf355ea668ecc]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba34a


2010-09-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [00bbadf629242a2a4d9c63df330f857f20e8a659]

dba34a: merged latest changes from CWS dba33j


2010-09-23  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [e0774fa9253e41e4c425acaca97f6722b095a1c1]

dba34a: #i114671#


2010-09-22  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [12c509b3bdd2a8eea1179869d1538fec1bc92633]

dba33j: unxmacxi.pro: WaE


2010-09-22  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [a7f7f39eaf6757e3bc06285eeb9cd195cf82d383]

dba33j: GCC WaE


2010-09-22  sb  <sb@openoffice.org>  [593863090b2346f0cc4a35f99c3f4bbcd2e6f71f]

sb123: merged in DEV300_m88


2010-09-22  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [b27fedef83c2d757b88fd5d6e4c8c9c0e41ec108]

dba34a: merged latest changes from CWS dba33j


2010-09-22  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [878fc7b222632f45a632da367785c6d2136c791b]

dba34a: merge after pulling latest changes from CWS dba33j


2010-09-22  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [013b4fb1df6a8de80d1be42d47c68ef26c665047]

dba33j: i114026: findTableColumnsMatching_throw: take the update-table's name as parameter, to catch the cases where the name is an alias


2010-09-22  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [3599c6740042fa358ff2cf3dc69fcb9bc3bb33a4]

dba34a: GCC WaE


2010-09-22  sb  <sb@openoffice.org>  [0d2be90445192135630ba4ae524473ff7723f857]

sb129: merged in DEV300_m88


2010-09-21  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [9e425986fdb9bd9009011f247816a65bcc21cdb3]

dba34a: WaE


2010-09-21  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [7ecf3c9afa8896bc698ca193f6ae88861d73661c]

dba34a: merge


2010-09-21  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [64b05e9a406eb09d2b6ceb9c399ad7fb925658ae]

dba34a: merged latest changes from CWS dba33j


2010-09-20  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [16c75566dfbd112d2b12a4db688d21a8c271fb3c]

dba33j: #i114627# do not let the SubComponentManager manage reports executed for data display


2010-09-20  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [2c7baf6bb58a4901289195c5405e9f938a9dee89]

dba33j: #i114438#


2010-09-20  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [ced48af4e3baf2cbc0ad3c393a1f0a1a100f0af0]

dba33j: #i114438#


2010-09-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [e483a7e493fa7821ce2e9b3bd6d9898dee36a8e2]

DEV300: changesets OOO330 up to m8


2010-09-17  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [13447df26a315f7bdfd474c138d87ba053182de9]

dba34a: #i113475# SRB->ORB


2010-09-16  Tor Lillqvist  <tlillqvist@novell.com>  [77771fc0cd149a1de5d2402dfb8c1d0ca9e514f9]

Update .gitignore for Windows builds


2010-09-15  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [003e0e5536ac4aedf888be1cd3cd0d043ed9928e]

dba34a: removed unused string resources / resource IDs


2010-09-15  Michael Meeks  <michael.meeks@novell.com>  [74f0c9f152553bf5ca2992f3867b760a33b30c22]

default-no-registration-menu.diff: Remove registration from menu.


2010-09-14  sb  <sb@openoffice.org>  [0a0e5930710bd41f30d08ad4ed46aba9b23cd9cc]

sb129: #i113189# removed obviously unnecessary service registrations; allow empty <implementation/>


2010-09-14  obo  <obo@openoffice.org>  [701fc2df43967b2657f343e905fbcd226142339c]

CWS-TOOLING: integrate CWS dba33i


2010-09-10  sb  <sb@openoffice.org>  [33941d0e52e0a6479a825cc9981b2da27b55a853]

sb129: #i113189# change UNO components to use passive registration


2010-09-10  sb  <sb@openoffice.org>  [4361cdee3491ef0451bb159c1b00dc5e5130ad49]

sb123: merged in DEV300_m87


2010-09-08  Jan Holesovsky  <kendy@suse.cz>  [da0499fda565b1f105c96b3a386670c0ad0a2c2b]

Merge commit 'ooo/OOO330_m7'


2010-09-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [037490ba8654ca28b1391a39ee97470b30bb5bb1]

dba34a: removed SvLBox'es (and friends) Set/GetWindowBits. They were used in parallel to Window's Set/GetStyle, with WB_* values which overlapped with existing (generic) WB_* bits. Since this overlapping has been removed, there's no need to have both Style and WindowBits at those classes. Should remove some source of confusion and error (and, well, perhaps introduce some new errors :) ).


2010-09-03  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [7086f3fc9f17c694766c4479b7b46830ec53776f]

merged in latest changes from CWS dba33i


2010-09-03  Kurt Zenker  <kz@openoffice.org>  [2ee0e40b14191b4933e87cd85cee82d9ace2c800]

CWS-TOOLING: integrate CWS fs33a


2010-09-02  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [3491ed16e63a78f4d7806f6c3fdcfa1bad78922c]

dba34a: merged in CWS dba33i


2010-09-02  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [67b88d07aafe90c525a2f3dae201de5571bb21e4]

dba33i: merged latest changes from CWS dba33h


2010-09-02  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [6b620931b37f11076ac7f057a98a9e5bc62e122a]

dba33h: merged latest changes from CWS fs33a


2010-09-02  Ocke Janssen [oj]  <Ocke.Janssen@oracle.com>  [f391dff52596dca6d1944f115a8e166ccea48f1f]

fs33a: #i113583# use the categorie column as well to build table


2010-09-02  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [24d181f1087569b3c5ad68b7bb2f4e90efbc4094]

dba33i: #i113506# when loading a sub component which is already open, return the existing component instead of NULL


2010-09-01  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [3864a0acb6f15c905f6b33565bff7238b914314c]

dba33h: merge


2010-09-01  Ocke Janssen [oj]  <Ocke.Janssen@oracle.com>  [e1b5be6c104d48a85ce9dd8cecc45c1f4b59c98f]

dba33h: #i114246# use correct table name


2010-09-01  Ocke Janssen [oj]  <Ocke.Janssen@oracle.com>  [9bac46bf7bebcadfdbf4ee03a1e64650c950e036]

dba33h: #i114246# use correct table name


2010-09-01  Ocke Janssen [oj]  <Ocke.Janssen@oracle.com>  [d6fa31e6c7c1f881d89cdd5cba3562dbcc790555]

dba33i: #i114189# correct wrong used variable


2010-08-31  Ocke Janssen [oj]  <Ocke.Janssen@oracle.com>  [e2526f4b238517d1c80abee19b1b819ed95affa7]

dba33i: #i114173# fix name to select from and field name of auto incremtn column


2010-08-30  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [f1e9c998e738536e3c26c858cf6c169829c35b1b]

dr77: rebase to DEV300m87


2010-08-30  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [e5f7b09e6978bd1979ac001ad9044c72765e0d41]

dba33h: merge after pulling DEV300.m87


2010-08-27  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [8d2c8b1c670fc900e1387ae9c4ddbe50418596a3]

dba33h: merge after pulling in fs33a


2010-08-27  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [8a8dfab16025dedebc1053f168e2598ce348b6d8]

dba34a: #i112617# typo


2010-08-27  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [bf76cc893df69ecb3408e4fcf1321c171a039c57]

fs33a: reverting the fix for i112671. No string changes allowed in this phase.


2010-08-25  Vladimir Glazunov  <vg@openoffice.org>  [f96e8bf595277ed02443e92550c26e4b5e38fb69]

CWS-TOOLING: integrate CWS codecleanup02


2010-08-24  Jan Holesovsky  <kendy@suse.cz>  [5eb7688757c95c9bd3d1a5c4d52e7780336241a4]

Update .gitignore.


2010-08-24  Ocke Janssen [oj]  <Ocke.Janssen@oracle.com>  [5521d0e17eccd263a154ad11066f07e1575eb806]

fs33a: #i113631# use m_sUpdateTableName


2010-08-24  Ocke Janssen [oj]  <Ocke.Janssen@oracle.com>  [8fe8d81132d3b307e318afc1720dafe4b8fc8b3f]

fs33a: #i113744# check length of value


2010-08-24  Ocke Janssen [oj]  <Ocke.Janssen@oracle.com>  [54b57355495353aadd18c1846dec503c3d474b05]

fs33a: #i113583# handle column names from complex descriptions


2010-08-23  Lars Langhans  <lla@openoffice.org>  [618b227443b4b8ee34b9d80145cef71655f029ce]

sb123:#i111449# remove all subdirs in complex tests


2010-08-20  Jan Holesovsky  <kendy@suse.cz>  [de9aa7800657e08d02a6af3d8de7808ba7e7e39c]

Create .gitignore.


2010-08-18  Jan Holesovsky  <kendy@suse.cz>  [e5195161320004e818e5bb2a966dfe3d6d884dc1]

Merge commit 'ooo/OOO330_m4'


2010-08-10  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [adaa62d63307602bfb940d42a8ad7d960d3fc0b2]

merging in latest changes from OOO330(m3)


2010-08-05  Daniel Rentz  <dr@openoffice.org>  [709ba92cf09e089c8757d57827f79f4d8262c687]

dr77: rebase to m86


2010-07-29  obo  <obo@openoffice.org>  [326d52055c54af60ee29f7486873213287c961cb]

Integrate OOO330_m2 into DEV300 (merge)


2010-07-22  Jens-Heiner Rechtien  <hr@openoffice.org>  [4022fd7a19b70988893bab117d83fde3919cc3a0]

CWS-TOOLING: integrate CWS dba33g


2010-07-22  Mathias Bauer  <mba@openoffice.org>  [be6f59673f5ca0fd2c5c0d5e2995fa5b056ecb05]

CWS changehid: resync to m85


2010-07-20  Mathias Bauer  <mba@openoffice.org>  [6527cecb56ddf15333c76bb2a283bf3ef5b64a3c]

CWS changehid: #i111784#: consolidate usage of HID schema; remove unused SetDialogHelpId methods


2010-07-20  Ocke Janssen [oj]  <Ocke.Janssen@oracle.com>  [e2a015c16fc39463fec8e4451dfd540db87a5fea]

Automated merge with http://hg.services.openoffice.org/cws/dba33g


2010-07-20  Ocke Janssen [oj]  <Ocke.Janssen@oracle.com>  [046ed77b63f5b317ecce88dfc2213e8e7d6536ca]

dba33g: #i111205# quote tablename


2010-07-20  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [e32369e92d2ed7cdb3e1f4fe3ff1062822432190]

dba33g: second version of bBookmarkSelection corrected


2010-07-19  Mathias Bauer  <mba@openoffice.org>  [f5f3816f044c6495cca621e0f4038563c112f438]

CWS changehid: #i111784#: use mhids.pl to generate conversion list for HIDs


2010-07-19  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [efc1c5f7d43570b126e8607376827154e87ec576]

Automated merge with http://hg.services.openoffice.org/cws/dba33g


2010-07-16  Mathias Bauer  <mba@openoffice.org>  [c3b6e711396939ff681b39771b7d9b64a31a1b58]

CWS changehid: #i111784#: SID_FRAME_UP/DOWN already existed as commands


2010-07-15  Mathias Bauer  <mba@openoffice.org>  [0a73612070af088168e321b994676e1432db1794]

CWS changehid: #i111874#: remove unnecessary HelpIds


2010-07-14  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [b43021c166c9002d64213b7585b81edb13ad1b07]

Automated merge with http://hg.services.openoffice.org/cws/dba33g


2010-07-14  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [f62f37d99a4dcc5912f347735ab9ab60882001d0]

Automated merge with http://hg.services.openoffice.org/cws/dba33g


2010-07-14  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [ae3cbff10499ab91c8c0a27889e85a5f5e8c4f69]

dba33g: #i112503# wae fix


2010-07-14  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [4c44989f24d51d75a942caf1039c71e0aa5cf943]

dba33g: #i112668# reverting


2010-07-14  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [b59d086009693935d6ec5e1a3b9660e2abb72fe6]

dba33g: #i112668# add missing word  not


2010-07-14  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [d81b33b449c6a23c88a65c21675174dd1b6795e7]

dba33g: handle bookmark corrected after insertrow


2010-07-13  Mathias Bauer  <mba@openoffice.org>  [b8e707cf0d696ffd2f2cc8376d05b2b2a27ebc14]

CWS changehid: resync to m84


2010-07-13  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [f73c0eb65fd816a6f1010c8edb06b646f94fec92]

CWS gnumake2: resync to DEV300_m84


2010-07-12  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [d184f1a29aa2cbcfd3290bd50d4db3a80043ffa4]

Automated merge with http://hg.services.openoffice.org/cws/dba33g


2010-07-12  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [9efddbd159431900a65ce80671079b101a70feb3]

dba33g: #i112213# handle chart import for columns


2010-07-12  Lars Langhans  <lla@openoffice.org>  [5b459fe5e67e8fe6f2d092b14bfc16e41fcb45f1]

sb123:merge


2010-07-12  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [bc441374d53a5ffcb1d4c17372d9102e08043dd9]

dba33g: add missing eol


2010-07-10  Caol?n McNamara  <cmc@openoffice.org>  [71d5f1109e3565332223ac85d18894174284737a]

cmcfixes76: #i113071# NULLs that should be sal_False


2010-07-10  Mathias Bauer  <mba@openoffice.org>  [a5ea22da420c6e9ecc970ce6ab586c7645c6c313]

CWS changehid: #i111874#: change code to support HelpIds as byte strings


2010-07-09  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [deeec03ee2f0ad8802543cdebc770d031913ac51]

dba33g: #i112213# handle chart import for columns


2010-07-08  Lars Langhans  <lla@openoffice.org>  [239a4d9bade01ff981f30b1599709cbd24df7341]

sb123:#i111449# make clear buildable.


2010-07-08  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [3299b5654699fc7bc460e6683c8598c1686f8d07]

dba33g: #i111142# handle insertrow corrected


2010-07-08  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [f14fd48792162934514527f60a7d0e8e55f9f3e2]

dba33g: #i109528# remove clipboard listener


2010-07-08  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [7711863af2903f7e5410abdeff6f081d7585de1f]

dba33g: #i111205# handle filter for key and update and insert row


2010-07-08  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [a035cddf79f291837a2973c7aab81a7f9daa18e0]

dba33g: #i111205# handle filter for key and update and insert row


2010-07-07  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [608286b94d247efc158021d7ccd4f1fcdbb1792b]

dba33g: #i112620# modified state is not set correctly at sdrmodel


2010-07-07  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [8741dbd2cefcd99782179d0cdf6ea740eed15a85]

dba33g: clear warnings when free resource to avoid disposed exception when reloaded


2010-07-07  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [77d0850d26bb99f53429aaf68de477d6a97ca8e9]

dba33g: #i112609# do not limited tables to the selection


2010-07-06  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [2fbec17c655c59232ba4b9f3ea3665507ba99d53]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/unoawt2


2010-07-06  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [1863a6a42df03ffcff486d0d24c0a8704bf083fc]

dba33g: #i112520# don't use getBestRowIdent..


2010-07-02  Malte Timmermann [mt]  <malte.timmermann@sun.com>  [4ccd7b8eb509b60bc7c4dfd5fd94d373642737f9]

codecleanup02: merge with DEV300_m84


2010-06-29  Lars Langhans  <lla@openoffice.org>  [2e7893145b9bdb1535d4a0804642b27a75eb7969]

sb123:#i111449# makefile cleanups for qa/complex tests


2010-06-25  Malte Timmermann  <Malte.Timmermann@sun.com>  [9988f823c811763980a2ca39fccafbc2b74f3ffe]

codecleanup02: #i112685# Removed ifdefs and code for WIN,W30,W31


2010-06-23  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [5c756956da3e5b218f63022430527bc3780afbcf]

fs33a: #i112617# fixed typo (thanks sophie)


2010-06-22  obo  <obo@openoffice.org>  [8a08abbcbbcab74177800d262da5c77753e742ba]

CWS-TOOLING: integrate CWS mingwport30


2010-06-21  Lars Langhans  <lla@openoffice.org>  [703e82b015884a58fbd2b884ad50a23732a3ac30]

sb123:#i111449# cleanups in dbaccess for qa/complex tests


2010-06-21  Lars Langhans  <lla@openoffice.org>  [4acbfb1e9b8f9f9caacfcf5d9e7067d106d15eb0]

sb123:#i111449# cleanups in dbaccess for qa/complex tests


2010-06-21  Lars Langhans  <lla@openoffice.org>  [53b41efb90951b89789cf239dc2f807f84b45e80]

sb123:#i111449# cleanups in reportdesign qa/complex tests


2010-06-18  tono  <tono@openoffice.org>  [ec9c5b60db3cd4f91f8ea000ca2eb3ed31e02e02]

Merge backout


2010-06-18  tono  <tono@openoffice.org>  [e074fcc1c82a741f97519fb793cfd4a02efa4bbe]

Backed out changeset: f63af3433bcb


2010-06-18  tono  <tono@openoffice.org>  [9b4fd394d68d0ea416ff1be849aa8606e4183aba]

Backed out changeset: d80a58fd55d9


2010-06-18  Lars Langhans  <lla@openoffice.org>  [2ee5312db27f7cad69b72b91a12960a3e334c78c]

merge DEV300_m83


2010-06-18  obo  <obo@openoffice.org>  [716dcf5f571707c7189502aa707c25c80e1090da]

CWS-TOOLING: integrate CWS tl79


2010-06-18  Thomas Lange [tl]  <tl@openoffice.org>  [8360fcb0987c67c6d3b07c2d603b0632d369b3ec]

cws tl79: merge with DEV300_m83


2010-06-18  Lars Langhans  <lla@openoffice.org>  [75fcea20c42f2506d532873bd1766a64bfc3a68a]

sb123:#i111449# cleanups in reportdesign qa/complex tests


2010-06-18  Lars Langhans  <lla@openoffice.org>  [207f540f42246c914095cafeb5b00b653551bf3d]

sb123:#i111449# cleanups in reportdesign qa/complex tests


2010-06-15  tono  <tono@openoffice.org>  [0c66e66f1b17f5a8c5ac795ea3743bbb469ba537]

i#111956: MinGW port fix: dependency to shared library: pure porting fix


2010-06-15  obo  <obo@openoffice.org>  [8c9b11794acc7edb27b603949abdeadf56f08743]

CWS-TOOLING: integrate CWS unoawt


2010-06-08  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [c64e4838dafb56e940389271c1a1f851e44dab8e]

Automated merge with http://x42-so4:8009/ooo


2010-06-07  Release Engineering  <releng@openoffice.org>  [e63df2dc465f781449fb976151ec9ec28d5053ae]

masterfix: #i10000# build issue


2010-06-07  Release Engineering  <releng@openoffice.org>  [7fa15bdd592bad7955ae532add287023ca9d592b]

masterfix: #i10000# build issue


2010-06-07  Thomas Lange [tl]  <tl@openoffice.org>  [122bcfa60b2e840ba2cd9264ce403fe8dfd0f7a4]

cws tl79: merge with DEV300_m80


2010-06-05  tono  <tono@openoffice.org>  [e3b1d6191dea6a19c33dc57e6ca72fea45e1c2be]

mingwport30: merge with DEV300 m80


2010-06-05  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [a6a55f90993af66c12c56fde9244f777a288d023]

fix warnings


2010-06-04  Ivo Hinkelmann  <ihi@openoffice.org>  [cb563668f55a6b7abf3fb16e148b183b4404bda0]

CWS-TOOLING: integrate CWS dba33f


2010-06-04  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [33be7aaa803f05176163886321b5dacc0e6843b3]

changehid: #i111874# remove SmartId, make HID of type rtl::OString, fill in dummies for all explicit help ids


2010-06-04  Ivo Hinkelmann  <ihi@openoffice.org>  [63a2cda807aae020af40d025e6321b32840dc0c7]

CWS-TOOLING: integrate CWS slidecopy


2010-06-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [e4522b7acb3a8cb2bb30c0fd90668e114a829764]

slidecopy: merge after copying in CWS renaissance2


2010-06-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [ea243b9f6ce216be900b3a0b3a4b379789a614a3]

unoawt: merged in latest changes from CWS slidecopy (rebase to m80)


2010-06-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [aa7536d71ac648a9ac51d107aafa0ac534236715]

slidecopy: merged latest DEV300.m80 changes


2010-06-01  Christian Lippka  <christian.lippka@sun.com>  [84208aa4b7e236165de6defccd8c2b90349b1934]

cws renaissance2: rebase m80


2010-06-01  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [562b84918ce6c8e07bd69bb3688492428bbeb24b]

dba33f: #i111949# move resultset to beforeFirst


2010-05-31  Caolán McNamara  <cmc@openoffice.org>  [77f8bff336bde01a9e6f00ea7b0d3206cf5643a4]

cmcfixes74: merge with DEV300 m80


2010-05-31  tono  <tono@openoffice.org>  [42c07f4332571b75dae92dacdb5221e9c9519326]

i#111956: MinGW port fix: dependency to shared library


2010-05-27  Vladimir Glazunov  <vg@openoffice.org>  [4cddcb0207ce471e1264d874e1a1003484e8d883]

CWS-TOOLING: integrate CWS sb120


2010-05-27  Thomas Lange [tl]  <tl@openoffice.org>  [03c9b3498a91ae565ae291e551325018bcf51e50]

cws tl79: merge with DEV300_m79


2010-05-26  Caolán McNamara  <cmc@openoffice.org>  [805bf4fecaefc0ceaf34d3dab03b55a9f00f100e]

cmcfixes74: merge with DEV300 m79


2010-05-25  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [ec4d6cbcbb8f4c4c6c0120b72fd43ec62c6798ae]

unoawt: onFinish does not need this parameter, it's always called with RET_OK


2010-05-25  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [46d0d1ebfa4623291b55d95f97e150e7a445b107]

unoawt: completely separated the controller functionality of a wizard page from the wizard page itself, by moving the canAdvance method from OWizardPage to the IWizardPage interface, which in this course has been renamed to IWizardPageController. This will later on allow to have implementations where the TabPage is provided by an external component (e.g. as UNO Service), but the controlling of those pages is still intercepted and handled internally.


2010-05-20  sb  <sb@openoffice.org>  [05b2ee2f93f755b05f5620d289607f1e36d414a7]

sb123: merged in DEV300_m78 via cws/sb120


2010-05-20  sb  <sb@openoffice.org>  [2ec86ad2ea47bbac29966f70e85d7216561b34a1]

sb120: merged in DEV300_m78


2010-05-20  Vladimir Glazunov  <vg@openoffice.org>  [2274e3d02de899866141d2dcd7967c89bda305b2]

CWS-TOOLING: integrate CWS sdfindall


2010-05-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [298b44563ee65922c8a1b3b8e8072bc7937a85e6]

unoawt: merge after pulling from CWS slidecopy


2010-04-29  Thomas Lange [tl]  <tl@openoffice.org>  [9f4e80d3c1a136a1b274eb2e39954360d4d74faf]

cws tl79: fixed problems after merging with DEV300_m77


2010-04-28  Christian Lippka  <christian.lippka@sun.com>  [a3ab5c7a6cdb4b5eb481002d56bb22ad7aaa613e]

renaissance2: rebase m77


2010-04-28  Thomas Lange [tl]  <tl@openoffice.org>  [3bdae060320de6edd01283611e1a41d56716363c]

cws tl79: merge


2010-04-27  Mihaela Kedikova  <misheto@openoffice.org>  [936c396a260ce9d69d343fe874563855dbb05b61]

gridcontrol_03: merge with DEV300_m77


2010-04-27  Thomas Lange [tl]  <tl@openoffice.org>  [efefac6e1473ea831d61781f6a74d51787988d4e]

cws tl79: merge with DEV300_m77


2010-04-22  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [2be76cb6292797f2762bb15e7c32eb4198ce3eaa]

slidecopy: removed accelerator/*/default.xml - they're not used for a long time now ... (accelerator config is now in Accelerators.xcu in officecfg. No need to confuse people with those dead files)


2010-04-21  Caolán McNamara  <cmc@openoffice.org>  [76defb6fd2dbf23fdcfcf78482d18cb00a0d6bed]

cmcfixes74: merge with DEV300 m75


2010-04-21  sb  <sb@openoffice.org>  [469d96369c3fb75de9d991a1f90a6610c1fbf1ff]

sb120: merged in DEV300_m77


2010-04-21  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [461a4aea077312487885709bedac3b2933d8cf38]

CWS gnumake2: merging minibranches


2010-04-20  Jens-Heiner Rechtien  <hr@openoffice.org>  [b4306018bfdfac1db87c7bc9aafaf292d8c35fad]

DEV300 masterfix: #i10000#: dbaccess: KeySet.[ch]xx: merge/build fixes


2010-04-19  Mathias Bauer  <mba@openoffice.org>  [40abd5cdc414ae892634e1f7e8f30dd04c018228]

CWS gnumake2: remove duplicate header in solver: vcl/imagebtn.hxx is just a copy of vcl/button.hxx


2010-04-19  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [7a0fd02a25320c9b8683ced75abd58f4ff5a141a]

dba33f: build problems ....


2010-04-19  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [359774a099ca5822c7a337fce27d210d49bb1a0d]

dba321b: #i110942# use default if key columsn are unknown


2010-04-17  Mathias Bauer  <mba@openoffice.org>  [77b4765b5f7510ee8ec38132f3746e9bdca6c8a1]

CWS gnumake2: rebase to DEV300_m76; fix build problems


2010-04-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [05c62e6191089e3e5f5b2e692ccbc7f16c49e4ac]

dba33f: merge with m76-branch


2010-04-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [a18f3aa8f1370ad697870e5ea1b1e3e8dfea4cc0]

DEV300: merge masterfix ea9085d6db4c@DEV300


2010-04-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [b289db01a725b038f34d225a21ece8c349a0af5f]

CWS-TOOLING: integrate CWS sb118


2010-04-15  sb  <sb@openoffice.org>  [491b05578e563bb8b8b388975964301fc46922be]

sb120: merged in backout from cws/sb118


2010-04-14  sb  <sb@openoffice.org>  [01ab0bdb1fcd0128fae0372c7f4cdda5224ac80f]

sb118: merged in backout


2010-04-12  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [fe7046254eaf88ed7a9ca6a0965a276f51fc2722]

slidecopy: merge


2010-04-12  Caolán McNamara  <cmc@openoffice.org>  [935a9559dcdeabdbdac6094a4c81d140215d9a4a]

sdfindall: merge with DEV300 m76


2010-04-12  Caolán McNamara  <cmc@openoffice.org>  [8a5b50b60524df04140d8a47a4bc316326882649]

cmcfixes74: #i110565 use radio buttons for mutually exclusive options in menus


2010-04-12  Caolán McNamara  <cmc@openoffice.org>  [1f8a331a2bc1a76f62e525691d8a047d0c3a3743]

cmcfixes74: #i110565 move the radiobuttons work to sdfindall


2010-04-09  Caolán McNamara  <cmc@openoffice.org>  [ecd0eeedc14f08303be9abe379e28bf9befb4c38]

cmcfixes74: merge with DEV300 m76


2010-04-08  Caolán McNamara  <cmc@openoffice.org>  [e31acaba3798fd2b23cbb925b574833ceb895bce]

cmcfixes74: #i110565 use checkboxes in menus for mutually exclusive options instead of checkboxes


2010-04-08  Caolán McNamara  <cmc@openoffice.org>  [eae03262894bd0a1b107e8d82d657f705fd48a93]

sdfindall: merge with DEV300 m75


2010-04-07  sb  <sb@openoffice.org>  [5dda4ca8f9c2cd0cd72a6b76ec0494ac754fa8b7]

sb120: merged in re/DEV300_next towards DEV300_m76 via cws/sb118


2010-04-07  sb  <sb@openoffice.org>  [ef0e609bc9b3ac1db579dfbf616ea1861e70f9f5]

sb118: merged in re/DEV300_next towards DEV300_m76


2010-03-26  Ocke Janssen  <oj@openoffice.org>  [bdf5c944bc0374f2f81098871e199a6d96bc0e98]

#110406# add new columns to name mataching map


2010-03-24  Ocke Janssen  <oj@openoffice.org>  [88a4a27988c28f148c16a06b569d808266aaa143]

 #i109549# cache row values when a filter value which is not part of the key values


2010-03-23  Mihaela Kedikova  <misheto@openoffice.org>  [0c07169117dad1c137473fe4d22ff8fbfb06a781]

gridcontrol_03: merge with DEV300_m75


2010-03-23  Vladimir Glazunov  <vg@openoffice.org>  [4dc94306b9d6f9a283e72ecd8d0986134aec29d1]

CWS-TOOLING: integrate CWS autorecovery


2010-03-17  Ocke Janssen  <oj@openoffice.org>  [d28084818ad929c56a8d43dfe98a4c3088d29ca8]

missing ;


2010-03-17  Ocke Janssen  <oj@openoffice.org>  [3b0a6257ca9b25ee6c2cd5167a796bd5920233b9]

#i109314# clear add pkey flag and clear name mapping when going back


2010-03-17  Ocke Janssen  <oj@openoffice.org>  [fe7f08e1428f727b378a78354a23ebbd07bccb2e]

correct wording


2010-03-17  Ocke Janssen  <oj@openoffice.org>  [a9b75e528bb888537aa128a8bbd130c6c2ff2bf3]

 #i110111# fix access column names problem


2010-03-17  Ocke Janssen  <oj@openoffice.org>  [d1f13f823084c064169d340af514a08859872dae]

#i109766# apply for patch for unhandled exception


2010-03-16  Thomas Lange [tl]  <tl@openoffice.org>  [9f0a51cbd10ca7cf3e6592204bff850462b101ff]

cws tl79: #i110053# remove old svtools LoginDialog


2010-03-11  sb  <sb@openoffice.org>  [553893b88a71e2b677e47e43a007d15177fe95fc]

merged in re/DEV300_next towards DEV300_m75


2010-03-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [1529b9aa479c0dda9333d45519de253ae5d8f9b9]

autorecovery: merged changes from m74. Still need to find out how to re-do two patches (to module_hidden_ooo.scp and file_ooo.scp in scp2/source/ooo) which do not apply anymore.


2010-03-10  Vladimir Glazunov  <vg@openoffice.org>  [34a011d9368cde1900694e8583f99aeb8b53e491]

CWS-TOOLING: integrate CWS chartmultiline


2010-03-09  sb  <sb@openoffice.org>  [666c3f0e3e7204eb3785037e175370a6e34a240b]

sb120: #i109978# removed --disable-qadevooo


2010-03-01  Ocke Janssen  <oj@openoffice.org>  [faf7bd65bbff32c651803dd30a3285018c24dfea]

#i109549# use setElementaryQuery


2010-02-26  Ingrid Halama  <iha@openoffice.org>  [305481fc71cb7995a2f14f413ab895ac85613345]

chart43: merge with DEV300_m72


2010-02-25  sb  <sb@openoffice.org>  [052deb7454db51c8625d9f11ebf1750d5f2d8686]

sb118: merged in DEV300_m72


2010-02-22  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [2794d673422feaa907f74ea06c2aa3f86de46e48]

autorecovery: connect: lock SolarMutex before locking own mutex (makes UISettings complex test case run, again)


2010-02-22  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [86b7bc983fdf54af1835068825508039cae2c371]

autorecovery: care for recovering a previously unmodified file (where SalvagedFile is empty)


2010-02-19  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [65a167f1c15433db9526a21452d7dc2d8bce08a6]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba33e


2010-02-19  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [71bf4120237a64baa39f9ce7872e0597bfbbd3b5]

autorecovery: 'using' directive needed to compile on unxsols4 without warning


2010-02-19  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [120347dee760ebe6a1db7cc9c2acca9dbf409a6f]

autorecovery: 'using' directive needed to compile on unxsols4 without warning


2010-02-19  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [d14bf094fd352d419f8b45c8555b5ba2908533b2]

dba33e: #i107475# set VerticalAlign at uno control


2010-02-18  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [4ffb84b090928a5b8d4b85dc349d1baf45fe38a0]

dba33f: #i108311#


2010-02-18  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [0858a95f73ba68e8a0548d474b50a821659fbdff]

autorecovery: oops, this variable needs to be available in a pro-build, too ...


2010-02-18  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [e343f9302b96c3e0cc9990bdb79b5f0d1383bbdd]

autorecovery: unary_function needs <functional>-inlude on Mac


2010-02-18  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [dd375df8498937cf6f0e5f6cf89e49b4467941e0]

dba33e: #i108128# catch exception when asking for driver


2010-02-17  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [694813dbe6405046febb9499fdf0cdd4f4dbfbd0]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba33f


2010-02-17  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [a482c4249760fe67e4f69eb34bf821ee0c309c7a]

dba33f: initially select complete text


2010-02-17  Vladimir Glazunov  <vg@openoffice.org>  [12d970576092ff0c85eb4deb1642d5f63391c4eb]

CWS-TOOLING: integrate CWS changefileheader2


2010-02-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [dcaa99ed87e13739b3a7aff7e5758844d7f6d487]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/autorecovery


2010-02-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [32cbcc6c302c133a86dbed091c701856c61fa575]

autorecovery: do not show errors when we're recovering the query designer


2010-02-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [bc7d7f22e983fa8dff6be46633f802038bb2b3d4]

autorecovery: recover non-document sub compontns hidden, too


2010-02-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [71fea37da21c17f147c756c782d25e207dc780c0]

autorecovery: do the recovery in setCurrentController, not in connectController - this ensures all knittings, in particular between controller and frame, already happened


2010-02-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [75885acffbfe4a39c95cd2267c390a528cb108fe]

autorecovery: recover query designer settings not yet finished: - query designer needs to be loaded hidden, and shown when the main window is shown - recovering table windows is not correct, yet (windows which have been added to the UI,   but do not yet add to the "latest known" statement, are not restored (probably) - closing the recovered, and modified, query designer somehow does not ask for saving


2010-02-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [6d2e73c36463479609a441d58f8193d9ef12c92d]

autorecovery: import query design settings (but do not recover the query designer)


2010-02-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [71b1eee21678cb83f21b7b4ceec24b2b356b650f]

autorecovery: remove unused local static method


2010-02-16  sb  <sb@openoffice.org>  [ee4153519d262746b0d8c005db7074824f1d80dd]

sb118: adapted remaining */qa/unoapi tests to new framework


2010-02-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [33badbb982ae1bbe0b41e1b6b8c4a486988d8114]

autorecovery: outsourced the SubComponentRecovery class into a dedicated file, in preparation of recovering query designs


2010-02-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [7ea80dc472aa3a29aea9b06a5042a3b34de4284f]

autorecovery: fixed member initialization order


2010-02-15  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [e88248307678217bbe0cd6f949b14d886efef4e7]

autorecovery: clarified the role of a doc's URL/Location as per agreement with MAV, XModel::getURL and XStorable::getLocation both need to return the logical document URL, even when the document has been recoved from another location. So, the DocFileLocation of the ModelImpl now is for internal purpose only. Consequently, ModelImpl's API has been reworked to better differ between the logical and the "loaded-from" URL of the document.


2010-02-15  Vladimir Glazunov  <vg@openoffice.org>  [86c16ea7ef165f30405950c267a05caf23af1a15]

CWS-TOOLING: integrate CWS mysqlconnector


2010-02-15  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [23404f113ac3013a2e032cf149390aefb682e034]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/autorecovery


2010-02-15  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [d06d557c31b0c337544d5c65e0a353d7a856d0d6]

autorecovery: when saving recovery information for a DB doc, export query designers, too


2010-02-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [0b47292e6e0d859358bcee8f18abc7818452586c]

Automated merge with http://hg.services.openoffice.org/cws/dba33f


2010-02-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [5f64b0ce440b213cfebbc68cb62e96924b742f25]

dba33f: #i53377# impl join rowse helper resultset which is updateable


2010-02-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [df0397b69065b4821e76bdcd32e2c6c211931111]

changefileheader2: #i10000#: convert files with CR/LF characters to CR only


2010-02-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [0ba69cbb5a52c4f0aba6202dcd0aca6885599665]

changefileheader2: #i109125#: change source file copyright notice from Sun Microsystems to Oracle; remove CVS style keywords (RCSfile, Revision)


2010-02-12  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [d07c834b559176635ea43f69940b4bf683404dca]

dba33f: fix delete


2010-02-11  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [71883930a8ac48f0aef6986413e3182630da9d39]

automated merge from dba33e


2010-02-10  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [5720b8eca4f321825675ea2123c38a455f4d558f]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/autorecovery


2010-02-10  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [53039ae9a5728c1367d5b7b7bb05f063056dfa02]

merge


2010-02-10  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [85554b00e21b4704cc66c6df4936d0f03b1d2959]

autorecovery: let the SingleDocController, and derived classes, support XModifiable


2010-02-10  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [13cebdd8611b87b1e375a0214fbe825b69361271]

Automated merge with http://hg.services.openoffice.org/cws/dba33e


2010-02-10  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [bfc80bd35a201dc36ad493aaff60fd449a71d09b]

dba33e: #i107717# some renaming and wording changed


2010-02-10  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [7c8ed4b4f0cfa6257912b08cbc876268a9c80db5]

dba33e: #i107717# some renaming and wording changed


2010-02-10  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [0acad0f1da2f86dd94e5d0d8dff367d0cb08da0a]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba33f


2010-02-10  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [c116c6fe4e14fce124f1a0324cfee769194d93ef]

autorecovery: when saving to a new location, dispose the forms/reports container after disposing the storages they're based on


2010-02-10  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [1fb994d387e67dab43d0ef3a24317fa86d7c459b]

dba33f: #i102366# parse function as predicate


2010-02-10  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [21ebdc7dcefd36bd522d1cad14e80075d45fa173]

dba33e: fix not operator


2010-02-09  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [cf8fc309da48c03057dcf065cb749bdc3f880f3a]

autorecovery: corrected assertion


2010-02-09  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [9a11e241db78b227b05e0d0a1e5e9ccab61575fe]

autorecovery: disposing; be prepared for disposal of a not-yet-fully-constructed instance (happens e.g. when throwing during initialization)


2010-02-09  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [41c919a5f23180af4b6683fca1624b2b3c261468]

autorecovery: GetDocumentServiceFromMediaType: try alternative, seemingly equivalent approach


2010-02-09  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [42478260293152025fb7794c7c5743f8035e062b]

autorecovery: make m_pView a private member of the GenericController, with defined access methods


2010-02-09  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [f6692e1ce94812d4b7c52cd91f496cba48de65c7]

autorecovery: do not hold another member pointing to m_pView, this is crash-prone in case of the base class deleting it (e.g. when initialization throws an exception)


2010-02-08  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [3af0ec6bcad16c14f0d0e40ecc24b673323b900f]

dba33f: #i108730# impl case case and rank functions


2010-02-08  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [fe15b8ca5713232ab387c32a5dd99cff95943ede]

dba33f: #i53377# make property IsReadOnly bound


2010-02-08  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [cf53b20a8a8a3de042b43c25dc3c61b6ef334481]

dba33f: don't ask every driver for a tables keys and consolidate some code fragments


2010-02-08  sb  <sb@openoffice.org>  [d60c0e1814bcb85ef656f681abe17beb0dc8c6b3]

sb118: merged in DEV300_m71


2010-02-05  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [7cf40c56e91fda5cc0e0103d0131d9eaeb78d412]

autorecovery: allow for a human-readable DocumentServiceName instead of this strange class ID when creating a document definition


2010-02-05  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [88d5c3f7376d4a97829e6110740b1d229042d77f]

autorecovery: merge


2010-02-05  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [14acc119eefa05e4198fa8b0cb3c53bb96b47236]

autorecovery: post-rebase conflicts solved (namespace tools is ambiguous now)


2010-02-05  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [6b67e4bab834528412ad0538260a50cab979889f]

autorecovery: merge


2010-02-05  Vladimir Glazunov  <vg@openoffice.org>  [dda67081a8358edda876cc151f8b688739369d1b]

CWS-TOOLING: integrate CWS svxsplit


2010-02-05  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [0ccd4d7dfcf5dc0324c1040f24f52e133be81ceb]

autorecovery: merge


2010-02-05  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [39e5893fe7d4926282b513b0ebf70e92037024e1]

autorecovery: merge after pulling CWS dba33e


2010-02-05  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [ce6355d159de3d732303d41d563cceeeca5295ee]

dba33f: #i108939# apply patch to remove unused code


2010-02-04  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [e8162c9e2e88774150c563241f06dc015f9d3499]

autorecovery: derive XReportDefinition from XModifiable2, extending XModifiable


2010-02-04  Mathias Bauer  <mba@openoffice.org>  [b2f4ef1a4864e7f167e0545a1e040f3b1391e2c6]

CWS svxsplit: merge with m71


2010-02-04  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [04fa1ec8da921c125c3e6d6a942b86a20d9e58b7]

autorecovery: form and report wizzard now also using XDatabaseDocumentUI, instead of manipulating document definitions

All database object wizards by now employ XDatabaseDocumentUI. This way, it is ensured that the controller
has the full control over the opened sub components.

Still, other third-party code could use direct access to the document definitions, and open sub documents this way.
This would go unnoticed by the application controller at the moment. I would be possible to fix this, by introducing
broadcasts from the document definitions, listened to by the controller. But as this sounds like a rare case, and
XDatabaseDocumentUI is the preferred way for third-party components, too, such an implementation is deferred to Later ...
2010-02-04  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [f6fedeaef680a2581ac34ab3729bb0a21db73e32]

autorecovery: need to lock the SolarMutex when disposing, some of the dependent components might need this when they die


2010-02-04  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [dd613019a78c0b146d9b3c734f0a2e2f0f9bc5a2]

autorecovery: post-rebase build problems solved


2010-02-04  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [0a88fb0016efcd72134cd12cade01e3b5d8ec397]

autorecovery: commit resolved merge (after rebase to m71)


2010-02-04  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [04cc8b2b8259a5c4b117332aa7c1f9364fa2e09e]

Merge from DEv300:m71


2010-02-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [37dc6cc75dc3fa9407ee1590a415ca175645d57a]

autorecovery: re-work the table wizard so that it does not open the table itself, but uses XDatabaseDocumentUI

Consequently, it does not need to return the created model/controller anymore. This way, the application controller
has full control over its sub components, which didn't work reliably before.

Other wizards (query/form/report) are to follow. For this purpose, they're also to be based on the newly introduced
DatabaseObjectWizard class.
2010-02-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [0dd3abf9a0ad9358879bc21d2e92486bd17fd74a]

autorecovery: when calling a pilot to create a database object, pass the XDatabaseDocumentUI, too


2010-02-02  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [a496fafc2beceb820ec437d0dc06367f0a662423]

autorecovery: when creating a new form/report by wizard, ensure that our sub component manager knows it by its proper name


2010-02-02  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [62c35ae728ac124e86f7cf3a4678c5fb428333d5]

autorecovery: let definition contents support the XHierarchicalName property, so clients can easily retrieve the hierarchical name of a content


2010-02-02  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [47c1ee63a94ada350b367efbea4236e35568146f]

autorecovery: allow the sub component manager to hold multiple objects of the same type, which are new and yet-unsaved (i.e. do not have a name, yet)


2010-02-02  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [d60f3030a5092dbaf1b9229d70629df88a82cf3f]

autorecovery: execute(open*): do not call getComponent just for checking whether it is a report definition, this implicitly changes the state of the embedded object, which can have side effects


2010-02-02  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [74ec4b3a7be3d23a0930d96971083519c5e9d5b9]

autorecovery: (caught by complex test) store: when we do not (yet) have an URL, store to storage, not to URL


2010-02-02  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [35dd9039cb43d455ea64545f0b0b0d452d50ea8f]

autorecovery: this slipped through my previous attempt to replace all instantiations of the deprecated sdb.InteractionHandler with task.InteractionHandler


2010-02-01  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [fa6582663f6cb9e0fd7d75d55ae675b21f8c4e7d]

autorecovery: more sophisticated configuration data for interaction handlers The generic css.task.InteractionHandler implementation in module uui is now able to instantiate "sub handlers", i.e. components to delegate a request to, based on the type of the request, and some configuration data.

The "old" (and now deprecated) configuration scheme at org.openoffice.ucb.InteractionHandler did not contain type
information, so any handlers registered there were always called when no default implementation for a given request
was available.

The "new" configuration scheme at org.openoffice.Interaction contains UNO type information. That is, a given handler
implementation can declare itself responsible for an arbitrary set of UNO types, and for each of those types, whether
it is also responsible for sub types.
The generic interaction handler implementation uses this configuration data, when it encounteres an interaction
request it cannot fullfill itself, to instantiate a component to delegate the request to.

As with the "old" data, such a component is required to support the css.task.XInteractionHandler2 interface. Also,
if it supports css.lang.XInitialization, then it will be initialized with a name-value pair, the name being
"Parent", the value being the XWindow interface of the parent window for any message boxes.

As an examplary implementation for this feature, the css.sdb.InteractionHandler has been deprecated. Now the
css.sdb.DatabaseInteractionHandler is reponsible for database-related interactions, and the new configuration scheme
is pre-filled with data assigning this responsibility.

Consequently, a lot of places previously creating an css.sdb.InteractionHandler have been modified to create the
default css.task.InteractionHandler.
2010-02-01  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [a706b8db9ab99e5be9d53acbc998092fcc7d2bb7]

autorecovery: recoverSubDocuments: propagate exceptions to the caller, this way aborting the complete recovery process


2010-01-29  sb  <sb@openoffice.org>  [709dd385c92c53ca73a4729e43e0e10cdb40bb96]

sb118: #i108776# changed addsym.awk to also export STLport num_put symbols, and simplified it by requiring that first section is labeled UDK_3_0_0; adapted map files accordingly, replacing many individual ones with solenv/src templates


2010-01-29  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [dff015b4368c5e47e2a89aaf9bf6121645824143]

autorecovery: saveToRecoveryFile => storeToRecoveryFile


2010-01-29  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [b4bf46b7dc8183ce48abfaea269487f4a1e128ff]

autorecovery: respect a media descriptor member "ForceRecovery". When set to <TRUE/>, then an attempt to recover sub documents in the "recovery" folder is made. In this course, the m_aArgs member of the ModelImpl was replaced with m_aMediaDescriptor, being a NamedValueCollection, for easier access.


2010-01-29  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [404f555d7c0dcf3d4549c773657da6e3c05e07d1]

autorecovery: recover-hidden now also available for new (yet unsaved) forms/reports


2010-01-29  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [9709daf4a8d48c02426cb4bb6e4ce720c2cfe27e]

autorecovery: recover forms/reports hidden, and show them when the main window is shown


2010-01-29  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [03fb4c27cbd060354c95236587627e44103a6128]

merge


2010-01-29  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [adf1205c52e2380e99f21499c5333f2a2574121a]

dba33f: when re-activating an embedded object, do not reset its modified state (plus do not the other initializations which are needed for the first activation only)


2010-01-29  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [a3dbe81a39a524412455ad39800fd7e58e01876b]

dba33f: when re-activating an embedded object, do not reset its modified state (plus do not the other initializations which are needed for the first activation only)


2010-01-29  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [914b12c87b872d095d1bb4f5292fae0cbf095d11]

autorecovery: removed dbdocrecovery.obj, should have happened when the cxx file was moved


2010-01-28  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [e0a099d9be79ddc5e2a0736acc35009436e65abf]

autorecovery: removed a few IMO useless dependencies


2010-01-28  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [552780c799248dd31d9ab43e796a5f3c631556a5]

autorecovery: creating dedicated core/recovery folder, taking current and future implementations regarding document recovery


2010-01-28  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [9143cc847eaf7c34fc395000ae4201f122fdbfd6]

autorecovery: move the responsibility for calling attachResource into recoverFromFile. This saves us from some problems with SFX-based documents, which change there Args during the load process (during macro confirmation), so a later attachResource from outside would overwrite those changed args


2010-01-28  Ingrid Halama  <iha@openoffice.org>  [25eec801f8569ba58e0e7f92bb8c6d39967ed3b2]

chartmultiline: merge with DEV300_m70


2010-01-28  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [c3415e881171384abd71671087cf8618c674708b]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba33f


2010-01-28  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [e9ef2a97438f9f749bb7bc4037f06e73824b87cc]

dba33f: #i108548# handle Label property from parse column and rowsetcolumn


2010-01-28  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [9e0c4090f6615d88c168566e5959955ecd63afdb]

dba33f: #i108730# impl case case and rank functions


2010-01-27  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [81afbece9f8fbe7800cb009bc00ab42509fd3c98]

dba33f: use a temp to gold controller


2010-01-27  Ivo Hinkelmann  <ihi@openoffice.org>  [ce662f8d9a756b39911067c75ce234468e5c6a22]

CWS-TOOLING: integrate CWS dba33d


2010-01-27  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [8aecc9566fe61fe20ae0bb49cb03550efff7f16b]

autorecovery: renamed local var shadowing another local var (GCC warning)


2010-01-27  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [d52c2a9996d8d37ee80c598439a7b8cb73bba8ba]

autorecovery: allow an empty URL in the attachResource call, which means 'determine the proper Location/URL yourself'. Needed so that not every client has to do this. Location precedes URL, this ensures that a recovered document, when saved, saves to the salvaged-file, not to the recovery-file


2010-01-27  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [e5417b4a2c9c0cfedaf426f070119c429d292d5e]

autorecovery: yet another slight refactoring of the DatabaseObjectView hierarchy, to allow the AppController, in newElement, to respect the additional args in all cases


2010-01-27  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [3b4ece13fac1c5f80259edcf010f446756b09583]

autorecovery: also recover new forms/reports, which were not yet stored


2010-01-27  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [b72c8e7efc5f719adda97a31971df740b3f568dd]

autorecovery: when creating new documents, allow for additional arguments to be passed


2010-01-27  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [a7dc06c9daec730806ee5a622892bd0f18c14694]

autorecovery: when creating new documents, allow for additional arguments to be passed


2010-01-27  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [8c555405ee22cfa00df59e9a71e4c23b6ffdbf0a]

autorecovery: prepareClose: do not load it component if it does not exist (anymore)


2010-01-26  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [791d3837208b8b43cfc50da594318b5df502096f]

autorecovery: introduce createComponent/WithArguments at the XDatabaseDocumentUI interface


2010-01-26  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [ca92cfe2a3e7f9741d634dee1f2154b48b921fbd]

autorecovery: mav sanctioned the approach of the (now so-called) RecoveryStorage


2010-01-26  Ivo Hinkelmann  <ihi@openoffice.org>  [707074028ae166647451e3eebfaf1a3ad2f62c6c]

CWS-TOOLING: integrate CWS kso42


2010-01-26  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [38e9a8d71115fa2e4025164a2a01e7d822a0032f]

autorecovery: unxlngi6: removed unused local variables


2010-01-25  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [9b1f2ca0639383b4ede09a26aa2a683db09dac49]

autorecovery: when the name of a document definition changes, update our component map


2010-01-25  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [b0826e25399cdf1a10bdac05f65aebbe199fb8b2]

autorecovery: broadcast name changes also when a newly created, formerly unnamed, doc is saved


2010-01-25  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [400b6104b5ed8fd2f653649796d03a0156190ce2]

autorecovery: introduce PersistentPath property at the document definition object


2010-01-25  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [14eecce02dab17de278652a92b71f3701587a7cb]

dba33e: wrong header from svtools


2010-01-25  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [9b0f685599c644e82227a9745417bf12a0d4f61e]

autorecovery: do not remove SalvagedFile from DBDoc's args if it still carries information


2010-01-22  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [6835d02e5a36e63dc23fe8e1cb30a3cade1cfd5f]

autorecovery: #i108366# attachResource: correct the calculation of DocFileLocation and DocURL, in case the doc has been recovered.


2010-01-22  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [e9b083866342b8b5358e1d9bbb1f28eba66bfed8]

dba33f: memeber ini


2010-01-22  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [93282ef587c28c3e0afacac1deaeee39c1fe8e3c]

dba33f: #i108548# handle Label property from parse column and rowsetcolumn


2010-01-22  Ocke Janssen  <oj@openoffice.org>  [4f26a5de16ad007b5566a856a2deebbf98403720]

#i108412# use setQuery and getQuery again


2010-01-22  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [5bd0b7f230439cde2476884b7f82b565ea113f51]

Automated merge with http://hg.services.openoffice.org/cws/dba33f


2010-01-22  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [efdc48a6712004ae4bc0bb36e922d9d274ebe690]

dba33e: wrong header included


2010-01-22  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [af31e75cbf7b7c41e4bf009b75bdab82e787daa5]

dba33f: #i108548# handle Label property from parse column and rowsetcolumn


2010-01-22  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [e9c377a4a4716fab4eefaa9d1a15ff81b539ca4b]

dba33f: #i108548# handle Label property from parse column and rowsetcolumn


2010-01-22  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [2f83c8e757d081b886a239a23ce069918594ddb2]

dba33f: #i108548# extend SingleSelectQueryComposer appendFilterByColumn with additonal parameter


2010-01-21  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [c45be511a39a9b441c803e0bb03a8e03c12a1fd0]

Automated merge with file:///net/so-cwsserv01/export/cws/dba33d/DEV300/ooo


2010-01-21  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [63796c643ccbcb7b8de4764afadc6159edec928f]

Automated merge with http://hg.services.openoffice.org/cws/dba33e


2010-01-21  Mathias Bauer  <mba@openoffice.org>  [52b9e4f9c11818ccfd8225a743fb8beb07702750]

resync to DEV300_m70


2010-01-21  sb  <sb@openoffice.org>  [1850f2495d1f5cfae93e98c8c0c624983c1e1853]

sb118: merged in DEV300_m70


2010-01-21  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [882062b9e7aa4fcfdee67ea84212200bae1442ac]

dba33e: merge to m70


2010-01-21  Ocke Janssen  <oj@openoffice.org>  [6393dfa37ca738799f8dff862657a1ae79005e22]

dba321a: #i108390# fix of query which is used


2010-01-21  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [0b2cdc8d931a3b731d838e5b12434ee4fd85cbe2]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba33d


2010-01-21  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [941f6a51d88889370c893ed795c112a639d3ba6d]

dba33d: #i108517# order of checks changed


2010-01-20  Frank Schönheit  <fs@openoffice.org>  [252d0f8edc9b666f40233c0df553e5540e1ca407]

#i10000#


2010-01-20  Frank Schönheit  <fs@openoffice.org>  [f60b2a72ab0e6b707393db5fbb0f1f3517bc8545]

 #i10000#


2010-01-20  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [5be40b07142e9e20e24f493976c98a5ad6551146]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba33d


2010-01-20  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [6aa33be5e6ba29cc641b4b0641db1a394763dc14]

dba33d: #i106772# cut decimal and numeric when greater than scale allows to be


2010-01-19  Kurt Zenker  <kz@openoffice.org>  [351f7cf2ab5fdcab464ee21ee910bd4fa0f96d21]

masterfix: #i10000# builderror fixes


2010-01-19  Ocke Janssen  <oj@openoffice.org>  [b5e005fa001b195fdd68817430942f3e5df4de85]

 #108415# #i108390# use filter from rowset and adjust changed parameter values when updated or inserted


2010-01-15  Kurt Zenker  <kz@openoffice.org>  [05e46c776a082e48059edc11395ec08c9806f665]

CWS-TOOLING: integrate CWS printerpullpages


2010-01-15  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [c46e762a5d09ade4cf583781095b5b40e605af30]

autorecovery: throw an exception when no storage can be created, otherwise we end up with a broken document


2010-01-15  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [4d1601e7324c7eae1c2fcd6c8cb51edebf138d15]

autorecovery: save/recover forms and reports

Still some lose ends. Most notably, the current code contains cases for other sub component types,
but has no real implementation - attempting to save/recover those other types will yield multiple
assertions only. Also, recovery of SRB-reports has not been tested, yet, chances are good there's
some work ahead here.

Other known open issues:
- recovering sub components immediately shows them, instead of initially hiding them, and showing
  only when the main document window is shown
- the implementation currently is no real session save, which would require saving information about
  *unmodified* open sub components (though not their actual content), and restoring them upon
  recovery.
- doing an implicit "connect" at the controller of the to-be-recovered database document is a requirement
  to actually load the sub components, but might yield problems in case this requires interaction
  (e.g. a login). Need to investigate
- the "recovery" storage is not removed from the database document storage after un/successful recovery
- cancelling the recovery of a "modified" database document always suggests to store this doc somewhere
2010-01-15  Kurt Zenker  <kz@openoffice.org>  [3ae613d002adb8f7312caf815bfa847cb7c15d75]

CWS-TOOLING: integrate CWS dba33b


2010-01-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [3556243f2963a24739a94d89365874676cc4d321]

Automated merge with file:///net/so-cwsserv01/export/cws/dba33e/DEV300/ooo


2010-01-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [69e683e9e395d704c12c38398024e6c67cac8378]

Automated merge with file:///net/so-cwsserv01/export/cws/dba33d/DEV300/ooo


2010-01-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [25d96df61b95419a1dcfb19130c29ebb8e5d05ea]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba33d


2010-01-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [fd292dd7abff82ef3c301d99cf54aef4a3cd4060]

dba33d: create sdb interaction


2010-01-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [07a247bd97b0e2a49e120312ee34c0c779fad28d]

dba33b: merge


2010-01-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [339674ed2f3f8452cc107e01608a0a6fb12eec0d]

dba33b: merge m69


2010-01-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [1c0cbdf8dc26574cb0c534adcac39ffe648417eb]

dba33d: #i106772# slice decimal value to scale


2010-01-14  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [fe3297d7a252ec41c743b4aa8fb4305b3aa20c59]

undo previous erroneous change, solar.hrc belongs to svl instead vcl now


2010-01-14  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [97c17bab3eb9b68fe91681f76d4f8b649b79fa76]

rebase to DEV300_m69


2010-01-14  Kurt Zenker  <kz@openoffice.org>  [666117f4e1b0a32a9d280821df164e58c64332f7]

CWS-TOOLING: integrate CWS dba32k_DEV300


2010-01-14  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [144e80e980631a0d70dc9fd0739b7747d3cb823e]

autorecovery: initial glue code for recovering forms/reports


2010-01-14  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [7e132a8ab73544d7a8159da15ecd1537da748cb7]

Automated merge with file:///net/so-cwsserv01/export/cws/dba33e/DEV300/ooo


2010-01-14  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [e6be976308b0e0fe036cea236f3c4718f15347d3]

Automated merge with file:///net/so-cwsserv01/export/cws/dba33d/DEV300/ooo


2010-01-14  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [1380b021a5eed58ec9c5a7d98b45f7ffe0559a18]

dba33d: #i104612# wrong string test


2010-01-14  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [c9f04ab5703f43ef834185ed74416881b7a745f3]

Automated merge with file:///net/so-cwsserv01/export/cws/dba33d/DEV300/ooo


2010-01-14  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [4650d546285d56ef901b40c79394b2b7b3208295]

dba33d: #i108312# check for other function type and pasre only the first child of the condition


2010-01-14  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [6cdc1bf9e0299425ef583f209d5f471b4d8a2ed6]

Automated merge with file:///net/so-cwsserv01/export/cws/dba33e/DEV300/ooo


2010-01-14  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [6eddccd418fb073606e0fdabafca5ee8f48aa406]

Automated merge with file:///net/so-cwsserv01/export/cws/dba33d/DEV300/ooo


2010-01-13  Mathias Bauer  <mba@openoffice.org>  [98042854f0e361fe69fde88b20cc576a511e6884]

#i107450#: move more code out of svx


2010-01-13  Ingrid Halama  <iha@openoffice.org>  [a6515886f60f4b42a190101a631bd59a9a22ea62]

chartmultiline: #i82971# complex categories (part3 - complex categories for internal data + load/save + copy/paste) + cleanup


2010-01-13  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [d5dd9e7ed9e39096be2071296593420ed38f0cca]

autorecovery: save open/modified (Writer-based) reports and forms, when doing a session/emergency save

Still, the documents are stored only, and not loaded. For storing, there's at least one known issue: The controller
is unable to deliver the proper object name for a form which has been newly created, and then saved. In this
case, an empty name (from the time where the form was created) will be returned, and used in the save process.
2010-01-13  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [2e3bf95e3466b0ec10fdd4c116f4befb62a4cc6a]

dba33d: set control as string


2010-01-13  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [9b96d50731d632e374e14d3be706830aff3214c4]

dba33f: #i104413# make column names unique


2010-01-13  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [af65e73e3058055f0445c91d2399be51a9b6e3bc]

Automated merge with http://hg.services.openoffice.org/cws/dba33f


2010-01-13  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [5580d728b5fee56679b1aecc8c5a8b77f8c0b2e3]

dba33f: #i20615# new feature to allow server side column descrriptions to be visible and changeable in the table designer.


2010-01-12  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [08284bee522c0639de09e147fc1cb7b3b4021f67]

autorecovery: initial implementation of a new save/recovery for database documents

For the moment, the document only stores and loads itself, as before.

In this course, the AutoRecovery service now delegates the decision whether or not a document
needs to be stored (to the "salvage location") to the document itself, using the new method
XDocumentRecovery::wasModifiedSinceLastSave, superseded the previous E_MODIFIED_SINCE_LAST_AUTOSAVE
flag.

XDocumentRecovery::wasModifiedSinceLastSave has been implemented for SfxBaseModel, yielding the same
behavior as before.

It has also been implemented for database documents, where the implementation is somewhat "sloppy",
in that it returns always <TRUE/> when any of the opened sub components of the document is modified.
2010-01-12  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [47df4f8c2cff2be049fbafd9fd8f704579314f79]

dba33f: wrong order of member ini


2010-01-11  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [09a32e2604896b0e56ebd5b93cdcf1cfdb7c4a6a]

dba33f: merge


2010-01-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [87a2ab34c7bf02f531f304f8ab442315b6c2b377]

dba33f: #i102631#


2010-01-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [ebf14edcc8acf77fcc23fd9c35af67c5250bfb67]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba33d


2010-01-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [7e287b2a47146aa7c5e9af41f58fe7d44020749d]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba33b


2010-01-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [c4eb1c9e93968ae9a4842670c0ddd7277d623c55]

dba33b: fix height of the advanced settings dialog, was too small with the recent addition of the 'primary key support' option


2010-01-11  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [aaea1b38cd4d2735fe91d2f04e609ba75324a516]

dba33f: #i108079# travel through connection, begin with table with highest number of connections


2010-01-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [3e198c3ba7334eeb2ef5f3f6f9c83affd98fedad]

dba33f: #i108038# (re-)add Selection support to the Copy Table Wizard


2010-01-11  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [20a9fdd5153c6f6b083e7737febe946674b80ec4]

dba33e: svx split


2010-01-08  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [05e13efc7d6b7ad734a6c5f39a70e9c05034dd7f]

autorecovery: merge after rebase to m69


2010-01-08  Mathias Bauer  <mba@openoffice.org>  [1956889ee9e2eb87b0ca7987aa4ad2b001b8a78a]

#i107450#: build all other modules with new editeng lib


2010-01-08  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [9685fc93dc045358e07aa72b8e386b17a49a4f25]

dba33f: merge from dba33e


2010-01-08  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [93b1472ad3f350026050dd82a5186182196212c7]

Automated merge with http://hg.services.openoffice.org/cws/dba33e


2010-01-08  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [278993e9bea94ecd0302005e54a0e3001be3bf1e]

dba33e: #i108128# check if default driver is available


2010-01-08  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [15e8b55c06c1ec08e5adc4c754defe2e6916809c]

dba33e: #i108092# when value is null set NAN


2010-01-08  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [4f9df38f724b402640f0b2b8e0c59ae25c9dbc5f]

dba33e: #i107654# handle functionname as well


2010-01-08  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [f928f5634ed412cc931beed5b99cb806f7694718]

dba33e: compile error


2010-01-07  Kai Sommerfeld  <kso@openoffice.org>  [1118bf3191cfd988719e8ec11256cc2392a5e253]

rebase to dev300 m69.


2010-01-07  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [9d890cdf5b06e7bac1ccbea26c58b9accf50d25f]

dba33e: #i107782# erase leading spaces


2010-01-07  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [6448fd0152e7a38d9f6d44c0f9de8afd7ab553a5]

dba33e: #i108037# disable column control when more than 1 is selected


2010-01-07  Frank Schönheit  <fs@openoffice.org>  [0e488c6b3cc58da559e32b3e6a0b904dc43d1ccf]

#i108123# getDataSourcePrefixFromMediaType: care for types where the config says 'no extension', but the actual file contains an extension


2010-01-07  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [f9a8eae50424726fd7a25f801521bf91f514f22c]

Automated merge with http://hg.services.openoffice.org/cws/dba33e


2010-01-07  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [fba8cd2eb430d92dcbfd3e446de8175ba7248262]

haschanged now quotes


2010-01-07  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [bd0728efa1c3a6c82ef1b6f9f857cedf6489e828]

enable hierachical queries


2010-01-06  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [6f79d7e20e12248958dacdbc7b8b09cfcad4b817]

autorecovery: allow creating SFX-based documents which do not support the XDocumentRecovery interface For this purpose, the SFX document factory methods got an additional parameter respectively flag ("DocumentRecoverySupport" resp. SFXMODEL_DISABLE_DOCUMENT_RECOVERY). This flag is used by database documents to remove the interface from sub documents (aka forms/reports). In this course, some of the functionality around those SFXMODELL_* flags, previously duplicated in all applications, has been consolidated into a new SfxObjectShell constructor.


2010-01-06  Kai Sommerfeld  <kso@openoffice.org>  [aa259c04e35cea518c8701b72f2381c9367b8426]

#i61429# - Adapted UCB clients to deprecated XContentCreator interface.


2010-01-06  Kai Sommerfeld  <kso@openoffice.org>  [b144d5f70030ff3eb312709e94fa77a2de8764dc]

whitespace cleanup.


2010-01-05  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [ffcef5a17320934d4f56ba5aeb91bec7195e747d]

autorecovery: define a new css.document.XDocumentRecovery interface, implement it in both SFX and DBACCESS, and use it in the autorecovery

In this course, the auto recovery learned to restore multiple views of a document. Also, in the course of the change,
the LoadDispatchListener became superfluous, and was removed.

Also, the loader code in dbaccess was slightly adjusted, since now the connectController call is in the responsibility
of the loader, and must not happen inside the XController::attachModel call anymore. This change made the
ModelControllerConnector class superfluous, so it has been removed, too.
2010-01-05  Mathias Bauer  <mba@openoffice.org>  [054f3be00c017c1dfebc0d025906fe238e7f8931]

merge commit for m68


2010-01-05  Ocke Janssen  <oj@openoffice.org>  [84d63acdbe7450adc450842df5f2cc27d9d58c8f]

#i107793# set props in endDoc


2010-01-05  Frank Schönheit  <fs@openoffice.org>  [7b906a4d1d3d346dbfee62882f39ab9270367446]

#i10000#


2010-01-04  Frank Schönheit  <fs@openoffice.org>  [0b985cb20acdbcbc6728f119a86382ee609c0eb1]

#i108019#


2010-01-04  Frank Schönheit  <fs@openoffice.org>  [1a33bf69bc44b12ef538a950601cf70d27c7dbf4]

#i108040#


2010-01-04  Frank Schönheit  <fs@openoffice.org>  [880fd626e30876e6dfa0c8f494bf511b044c6575]

#i107845# when composing the new filter, *first* use the old filter, then the new one - order matters


2009-12-21  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [3a5d33ccaddfceeefebd657696ca4da609ffd4aa]

dba33e: #i107717# allow the command definition to define the column names which should be shown


2009-12-18  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [0f22ab910d573214949551975d6895e1288999a4]

dba33e: remove unused header


2009-12-17  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [27cab85d20ef08021fa0fdbe881c4e573daebca7]

Automated merge with http://hg.services.openoffice.org/cws/dba33e


2009-12-17  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [9b336acfaa58d404f14fd31315543641f8c3a204]

merged


2009-12-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [af92b7bce17af3e2eaca0cbcd042dd0053a047e7]

dba33e: #i107438# allow loading documents hidden, by ensuring the document definition stays alive as long as the document is alive


2009-12-16  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [d8af8a850d6721e22d27813afc1fa7a72c58c94e]

dba33e: #i107717# impl first entry points for db extensions


2009-12-16  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [7849843e7df6dc86931b7676c0a9719c1483b07d]

dba33e: #i107715# check if parser is valid


2009-12-15  Mathias Bauer  <mba@openoffice.org>  [236e1f6704fede4fafdc2406cbc3da19695558c0]

#i107706#: liquidate goodies module


2009-12-14  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [e61a6a89da5fda1921fa03473681049c6042c05f]

dba33d: merge after pulling change sets from CWS dba33b


2009-12-14  Vladimir Glazunov  <vg@openoffice.org>  [b7c07c7d44a28db1e59a33eb9312e77b59d2bb87]

CWS-TOOLING: integrate CWS ooo32gsl09_DEV300


2009-12-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [c2b1de776e9adecbc74de9ecc600d62f93f81c38]

dba33b: #i10000# who would have thought the Solaris compiler includes the const-ness of a method argument in the name mangling ...


2009-12-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [f0eae3586da163c750fa81a8bf8efebb357d8192]

dba33b: #i10000#


2009-12-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [ba331911950c3bf9e18d647a6740bbffcec170d5]

dba33d: merge after pulling the latest changes from CWS dba33b


2009-12-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [df1412859f23fa9f7c0718870e21df70f83aebc6]

autorecovery: made JumpMark a argument of the to-be-created view. For this purpose, the loader moves this argument from the loader args to the args which are later passed to XModel2.createViewController, and the Controller implementation retrieves it from there. (In this course, XController2.getCreationArguments has been introduced, and implemented in the two known XController2 implementations in the code base.)


2009-12-11  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [fc250f1a8b56b5df8f1cd1988bdfab35a3ed38db]

mysqlconnector: initial import from CWS mysqlnative


2009-12-10  Mathias Bauer  <mba@openoffice.org>  [1151d03365f0359b142e1e3e232abb4692066763]

#i107450#: remove SdrObject dependency from OutlinerForwarder; EditEnginePool for ItempropertySet of EditObjects; split unoprov.hxx+cxx


2009-12-10  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [a03e699a37db06412900f8bced75cac5abb8869a]

dba33d: merge


2009-12-10  Kai Sommerfeld  <kso@openoffice.org>  [86b7cdb1265dbd386208beb6bb5237894113b035]

merged with DEV300_m67


2009-12-10  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [ffa96fa456610590f43d59d0f11ece54bbfdd450]

dba33d: merge with DEV300_m67


2009-12-09  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [30bb752f9353cf62e8fa6c0f50515e69d36c79e5]

dba33b: merge CWS head with head resulting from pulling DEV300_m67


2009-12-09  Vladimir Glazunov  <vg@openoffice.org>  [8a3357d3f94286b7a4218876f91a41dd1121ca66]

CWS-TOOLING: integrate CWS killnonpro


2009-12-08  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [23c909e572210e0d9f3aab59fc3943bab1ea23f0]

dba33e: if database is read only start with READ_ONLY concurrency


2009-12-07  Mathias Bauer  <mba@openoffice.org>  [6232df09f8363c3228e471248c11562f2a5ca2f2]

next merge


2009-12-07  Kurt Zenker  <kz@openoffice.org>  [49706d873f9ce608aaa12d9c6e9c3602c98daf29]

masterfix: #i10000# fixed conflict resolutions


2009-12-07  Frank Schönheit  <fs@openoffice.org>  [74a1ac4a82efeb6c105fe13c69bf20ca1e554b65]

#i107485#


2009-12-05  Mathias Bauer  <mba@openoffice.org>  [005b2661e55243667a42a4203a18db3db40d105c]

merge to m67


2009-12-04  Kurt Zenker  <kz@openoffice.org>  [806452bde48d5fe2d73bf0c0ec3732e8c1eb6e29]

CWS-TOOLING: integrate CWS dba32j_DEV300


2009-12-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [667236bd259d7d128124483415b66e1b4cfef15b]

dba33d: merge


2009-12-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [8d7a27cf07802a1450e08a79987c51e22da3feeb]

merge


2009-12-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [7f4cb0c692cd7c2cec963ebe00ba4f66493852fb]

dba33b: #i107369# don't use hierachical access when reading the node values, this is not supported with non-trivial names (e.g. names containing spaces etc.)


2009-12-03  Mathias Bauer  <mba@openoffice.org>  [09b896412a8d8e1e74ebb21b4a418e53e90b7465]

more resync fixes


2009-12-03  Mathias Bauer  <mba@openoffice.org>  [9b5af790b850142e2fe4647ba159796e04839020]

more resync fixes


2009-12-02  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [2bbbf257e008e74c42c8476ad6d9c373d5702639]

merge


2009-12-02  Kurt Zenker  <kz@openoffice.org>  [21f55737884c3df09cda38b60eb90a710a912bc6]

CWS-TOOLING: integrate CWS dba32i_DEV300


2009-12-02  Mathias Bauer  <mba@openoffice.org>  [4981cce8779fc9bd4e440e37493174733157abad]

merge with db33a


2009-12-02  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [4be275d6c8b2253590b2f5e78b293966a0b932b7]

Merge


2009-12-01  Kurt Zenker  <kz@openoffice.org>  [0102d5838ecdc01ede2bd66f30b8820ddf577fc3]

CWS-TOOLING: integrate CWS dba33a


2009-12-01  Oliver Bolte  <obo@openoffice.org>  [5eebd655ea3ded0d9ad7b51a52845918647e75d4]

CWS-TOOLING: integrate CWS dba32j 2009-11-26 09:30:10 +0100 msc  r277648 : #100000 fix urgent testscript error 2009-11-25 10:27:56 +0100 msc  r277625 : #i100000 fix urgent testscript error 2009-11-17 22:16:46 +0100 fs  r277544 : CWS-TOOLING: rebase CWS dba32j to branches/OOO320@277531 (milestone: OOO320:m5) 2009-11-17 14:26:47 +0100 fs  r277535 : ooops, didn't mean to commit this uncommented line 2009-11-14 20:50:29 +0100 fs  r277505 : add a --disable-pango switch to SM's configure options, and add a patch which makes certain code respect it (well, respect it better than currently, by not using some pango_x_* functions, which are not always available, even when pango itself is present) 2009-11-14 20:47:41 +0100 fs  r277504 : spelling 2009-11-13 14:04:00 +0100 fs  r277502 : #i100764# (commit approved by ab@openoffice.org): getModelFromBasic: do not start with the parent's parent when looking for ThisComponent, but walk up the anchestor chain, starting with the immediate parent 2009-11-13 11:04:15 +0100 fs  r277496 : #i100764# better heuristics for determining whether or not to participate in the ThisComponent game 2009-11-13 11:02:30 +0100 fs  r277495 : #i100764# set the WB_EXT_DOCUMENT style at the backing component's container window, when creating it without the TaskCreator (which would normally do this) 2009-11-11 13:49:11 +0100 fs  r277452 : #i106816# 2009-11-11 13:48:53 +0100 fs  r277451 : fix the CREATETARBAL target, which is expected to create the zips used as prebuilts. The *inc.zip missed the NSS files in case NSS was built externally 2009-11-11 12:15:34 +0100 fs  r277449 : update ignore list 2009-11-11 12:09:23 +0100 fs  r277448 : add a link to the Mozilla build tools download location 2009-11-11 12:07:16 +0100 fs  r277447 : add a link to the Mozilla build tools download location 2009-11-06 16:23:12 +0100 fs  r277393 : #i106643# 2009-11-03 23:20:29 +0100 fs  r277328 : #i106574# reverted the recent fix for issue #i105235#, and implemented a better one. 2009-11-02 12:59:48 +0100 fs  r277294 : #i106550# errorOccured: also display the error when we're not in a nested form action - form actions are allowed to be triggered by other instances as well


2009-12-01  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [72e6c32b288266c40dde9faaeb329e7a638bf647]

comparison between signed and unsigned integer expressions


2009-12-01  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [3b118c2a05182479ec269fa7aa4eaaf52d579b82]

add new line at end


2009-11-30  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [a9aa00d4e5560e435d5fee42b4605fe4f8d5bc5e]

merge


2009-11-30  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [7e6d4c6b9996d6b209a947c02e2d7f263318fc68]

merge


2009-11-30  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [3e555048366a968255ac80d12a3d722ac77c150d]

merge


2009-11-30  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [181f40feed515e46bfdeae0c7e1f36d82fe44242]

dba33b: remove typeinfo.h


2009-11-30  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [8cc3f69cafcd124dde3f1cd3db309976522920ef]

dba33d: #i107279# set numberformat with old one


2009-11-27  Jens-Heiner Rechtien  <hr@openoffice.org>  [7c8e3c2eca47fef295a4fb8aac51ce460c70422d]

dba33a: summary migration from SVN

2009-11-06 13:10:39 +0000 msc  r277387 : minor fix for automatic test
2009-11-06 13:09:33 +0000 msc  r277385 : minor fix for automatic test
2009-11-06 12:30:57 +0000 fs  r277383 : argh. On some virtual machines, waiting 5 seconds for the event to arrive is not enough. Increasing the timeout ...
2009-11-06 12:13:34 +0000 fs  r277382 : this diagnostic code should not have slipped in
2009-11-05 13:21:06 +0000 fs  r277369 : SHL2NOCHECK=TRUE (requested by hjs)
2009-11-04 14:09:46 +0000 msc  r277355 : minor fix for automatic testing
2009-11-04 13:23:02 +0000 msc  r277352 : minor fix for automatic testing
2009-11-04 10:53:28 +0000 msc  r277341 : minor fix for automated testscript
2009-11-04 08:30:58 +0000 msc  r277333 : minor fix for automatic test
2009-11-04 08:15:43 +0000 msc  r277332 : minor fix for automatic test
2009-11-03 14:25:44 +0000 fs  r277324 : #i10000#
2009-11-03 09:47:47 +0000 fs  r277315 : found yet another help ID zombie ... moved formhelpid.hrc content to propctrlr.hrc, where it belongs
2009-11-03 08:50:24 +0000 fs  r277312 : use createTempFileURL, which cares for some more specialities ...
2009-11-03 08:44:55 +0000 fs  r277311 : when creating a temp file for purpose of getting a temp file URL, the delete the file immediately. On some machines/JVMs, the file exists, with write access denied, which isn't Good (TM)
2009-10-22 13:06:17 +0000 fs  r277126 : removed wrong assertion
2009-10-21 08:10:35 +0000 fs  r277077 : reverted the previous change, which was nonsense
2009-10-21 07:19:43 +0000 fs  r277076 : export the component_foo functions, now that some of the objects are built with VISIBILITY_HIDDEN=TRUE
2009-10-21 07:08:35 +0000 fs  r277075 : spare useless call
2009-10-20 21:26:31 +0000 fs  r277072 : #i10000#
2009-10-20 08:06:04 +0000 fs  r277039 : CWS-TOOLING: rebase CWS dba33a to trunk@277035 (milestone: DEV300:m62)
2009-10-16 09:55:25 +0000 fs  r276960 : remove one of the superfluous implts_doLayout calls introduced with the previous patch
2009-10-15 13:18:52 +0000 fs  r276941 : removed the basic tests. According to cn, they're not used anymore (for a long time), and according to 'du -h', they take up 6.0M on my hard disc. For too much for useless code, /me thinks.
2009-10-15 13:06:51 +0000 fs  r276940 : #i10000# remove useless include (otherwise the compiler warning it provokes would need to be fixed by declaring VISIBILITY_HIDDEN=TRUE in the makefile.mk)
2009-10-15 12:52:39 +0000 fs  r276939 : #i10000#
2009-10-15 12:44:26 +0000 fs  r276938 : #i10000#
2009-10-15 12:00:33 +0000 fs  r276936 : #i10000#
2009-10-15 10:31:37 +0000 fs  r276934 : #i105259# prepare for the Hidden arg
2009-10-15 10:31:05 +0000 fs  r276933 : IsMaximized -> const
2009-10-15 09:50:15 +0000 fs  r276932 : during #i105259#:
introduce an option to the layout manager to preserve, if possible, the size of the content window
when layouting. Enable this option for embedded (SFX-based) documents opened for outplace editing.
(the option is incompatible with in-place editing, anyway)
This is because such embedded objects couple the (content) window size to the VisAreaSize, in that
both are used interchangeably. When an embedded object is closed, it remembers the VisAreaSize,
and restores it upon next open. This, however, leads to different content window sizes when the
window is closed with another toolbar set than used during opening.
This patch here prevents those different content window sizes. Also, now the content window size
doesn't change when, explicitly or implicitly, a toolbar is shown or hidden. Instead, the content
window size stays the same, and the container window size is adjusted.
2009-10-15 09:32:41 +0000 fs  r276931 : during #i105259#: UNO access to more attributes of top windows
2009-10-15 09:30:28 +0000 fs  r276930 : indention corrected (better readable)
2009-10-15 09:26:46 +0000 fs  r276929 : during #i105259#: access to more attributes of top windows
2009-10-14 10:04:39 +0000 fs  r276889 : connecting via services manager, not naming service
2009-10-12 11:31:08 +0000 fs  r276831 : during #i105806# FillPropertySet: do not attempt to set *AutoStyleName if it doesn't exist
2009-10-12 11:24:44 +0000 fs  r276830 : #i105806# getPropertyValue: throw an UnknownPropertyException for, well, unknown properties
2009-10-08 08:20:58 +0000 fs  r276774 : implSubmit: re-throw WrappedTargetExceptions unmodified
2009-10-07 19:19:42 +0000 fs  r276770 : #i105198# do not pass an CommandType if we do not have a command
2009-10-07 17:39:36 +0000 fs  r276768 : export the OWeakObject::disposeWeakConnectionPoint symbol
2009-10-07 12:59:17 +0000 fs  r276754 : #i87693#
2009-10-07 11:19:22 +0000 fs  r276752 : #i10000#
2009-10-07 10:21:08 +0000 fs  r276748 : #105482# do not require a controller, at least not in *all* circumstances (executed reports have a model, the ReportDefinition, but no Controller)
2009-10-07 10:04:08 +0000 fs  r276747 : copying the changes from CWS fwk121 herein, in particular the fix for
issue #i105371#
2009-10-07 09:58:30 +0000 fs  r276746 : copying the changes from CWS fwk121 herein, in particular the fix for
issue #i105371#
2009-10-07 09:48:14 +0000 fs  r276744 : removed (now) pointless assertion
2009-10-07 06:59:19 +0000 fs  r276740 : export the OWeakObject::disposeWeakConnectionPoint symbol
2009-10-07 06:44:43 +0000 fs  r276739 : OComponentHelper::release & WeakAggComponentImplHelperBase::release:
when our ref count drops to 0, call OWeakObject's disposeWeakConnectionPoint before (temporarily) incrementing
the ref count, again. This ensures that our adapter cannot create references to the dying object anymore.
(A complex test case in dbaccess (#i105505#) triggered such a situation, but in another class using an analogous
release/dispose/destroy pattern, namely WeakComponentImplHelperBase)
2009-10-07 06:37:20 +0000 fs  r276738 : found during some new complex test cases: call disposeWeakConnectionPoint before actually starting to destroy the object, this ensures no other threads will resurrect it while it is dying
2009-10-06 21:58:24 +0000 fs  r276734 : oops, two small corrections to the previous fix (hey, complex test cases are cool)
2009-10-06 21:51:16 +0000 fs  r276733 : log the name of the data source which cannot be revoked
2009-10-06 21:50:41 +0000 fs  r276732 : more detailed error message when cleanup fails
2009-10-06 21:50:01 +0000 fs  r276731 : reworked the ModelImpl caching. The new and improved UNO API test for css.sdb.RowSet
revealed some inconsistencies, in whether the objects are cached by their URL, or by their
registration name. This has been changed to caching by registration name.
2009-10-06 13:50:34 +0000 fs  r276714 : print diagnostics when we cannot clean up the test case
2009-10-06 13:45:02 +0000 fs  r276713 : this test failed all the time, since the core (rightfully) threw an exception. Disabled it for the moment, until issue 84253 is fixed
2009-10-06 12:52:46 +0000 fs  r276711 : rewrote this test. Now we do not re-use the same .odb across different test cases, as this leads to unreliable
(timing-dependent) results/failures. Instead, every test sets up a new odb file.
Also, did some re-factoring, improved the cleanup code, and caught a few more errors.
2009-10-06 12:51:07 +0000 fs  r276710 : DBTools taking a logger now
2009-10-06 12:50:42 +0000 fs  r276709 : taking a PrintWriter for logging purpose
2009-10-06 12:50:03 +0000 fs  r276708 : DBTools taking a logger now
2009-10-06 12:49:22 +0000 fs  r276707 : typo
2009-10-06 12:49:03 +0000 fs  r276706 : typo
2009-10-06 12:48:52 +0000 fs  r276705 : wrappers around some database-related services - initial versions only, to evolve over time, and intended to finally replace the DBTools class
2009-10-06 12:48:02 +0000 fs  r276704 : typo
2009-10-06 12:38:42 +0000 fs  r276702 : some better diagnostics, done during getting the API tests to work more reliably
2009-10-06 10:35:51 +0000 fs  r276698 : when living in, e.g., the DataSourceBrowser, we can't expect to find an XModifiable2, so don't assert its existence
2009-10-05 12:47:52 +0000 oj  r276677 : #i105607# check for read moved into if scope
2009-10-05 11:37:06 +0000 fs  r276676 : when saving a file fails, retrieve the error message from the InteractionRequestStringResolver - this is better than any generic message we can create
2009-10-05 10:04:23 +0000 oj  r276673 : #i105607# check for read moved into if scope
2009-10-05 09:46:17 +0000 fs  r276671 : #i10000#
2009-10-05 08:43:58 +0000 fs  r276664 : #i105505#
release: dispose the (base classes) weak connection point before disposing ourself,
and in particular before temporarily incrementing our ref count, again.
This way, we prevent that a separate thread re-surrects us (using the weak connection
point's queryAdapted) while we're in the process of destruction
2009-10-05 08:41:49 +0000 fs  r276663 : #i105505# +disposeWeakConnectionPoint (outsourced into dedicated method from ::release)
2009-10-05 08:40:26 +0000 fs  r276662 : no need to derived from OSubComponent, its features are not used, directly derive from WeakComponentImplFoo instead
2009-10-05 08:39:38 +0000 fs  r276661 : #i105505# diagnostics
2009-10-05 08:39:16 +0000 fs  r276660 : #i105505# +testDocumentRevenants
2009-10-05 08:36:01 +0000 fs  r276659 : #i105560# reverted the removal of GenericController::openHelpAgent - this is needed in module reportdesign
2009-10-04 19:53:30 +0000 fs  r276657 : #105560#
remove unused code
thanks to cmc@openoffice.org for submitting the patch
2009-10-04 19:50:28 +0000 fs  r276656 : #i105550# remove unused 'fire' method (thanks to cmc)
2009-10-03 16:13:15 +0000 fs  r276655 : CWS-TOOLING: rebase CWS dba33a to trunk@276429 (milestone: DEV300:m60)
2009-10-02 19:20:48 +0000 fs  r276651 : #i104117# lotta changed IDs ...
2009-10-02 10:52:24 +0000 fs  r276634 : #i105505#
If a model is created, and is a revenant of a previous incarnation, then ensure it is properly initialized.
In particular, in its ctor, set the state to "Initializing", not "Initialized", and then let the ModelImpl
call attachResource. This ensures that the model is initialized completely, including firing the necessary
events.
2009-10-02 10:51:08 +0000 fs  r276633 : #i105505# always do an attachResource at the newly loaded model, even if it (internally) was not really loaded, but only a revenant of a previous incarnation of this document
2009-10-01 11:10:13 +0000 fs  r276597 : do not rely on the name 'Standard' for the one and only form in a document
2009-10-01 10:36:29 +0000 fs  r276590 : #i105509# don't rely on default form component names, use indexes
2009-10-01 09:12:20 +0000 fs  r276582 : #i105505#
2009-09-30 07:55:21 +0000 fs  r276542 : removed some unsed methods / spared some unnecessary pixel<->logic conversion
2009-09-30 07:53:22 +0000 fs  r276541 : removed unneeded methods
2009-09-30 06:35:59 +0000 fs  r276538 : #i10000#
2009-09-29 13:45:02 +0000 fs  r276531 : refactored the Roadmap* classes, to be able to fix above-mentioned #i105113#
2009-09-29 10:27:10 +0000 fs  r276520 : #i105367#
2009-09-29 08:46:45 +0000 fs  r276510 : #i104956# cleaned up the makefiles
2009-09-28 21:00:07 +0000 fs  r276505 : #i104117# sourced those IDs out from extension.hrc
2009-09-28 20:59:05 +0000 fs  r276504 : no need to let one FREE...
2009-09-28 20:53:36 +0000 fs  r276503 : #i104117#
cleaned up the mess with help IDs in module extensions.
Formerly, extensions used to use help IDs which were declared in module svx, and vice versa.
Also, help ID ranges were not respected.
2009-09-28 11:25:36 +0000 fs  r276489 : typo
2009-09-28 11:25:10 +0000 fs  r276488 : #i105235#
2009-09-24 11:53:16 +0000 fs  r276423 : #i105234# do not zoom the control when they view information is still uninitialized (happens at least in Writer when opening a form document)
2009-09-24 09:42:28 +0000 fs  r276415 : #i105234# proper zoom handling for the nav bar
2009-09-24 09:42:19 +0000 fs  r276414 : #i105234# setZoom: care for precision errors caused by implicit conversion float->double
2009-09-16 11:11:43 +0000 fs  r276195 : #i105082#
consolidated the sub storage handling, by delegating more functionality into
the DocumentStorageAccess class. As a result, there won't be that many unnecessary
commits anymore. Also, the two different storage caches (in ModelImpl::m_aStorages
and DocumentStorageAccess::m_aExposedStorages) have been consolidated.
This is not really part of the fix of issue 105082, but it helped reducing the
calls to the storage/package implementation.
2009-09-15 21:42:27 +0000 fs  r276190 : don't calculate space for BOLD if the text is not really bold (speeds up rendering for large tree structures)
2009-09-15 20:20:23 +0000 fs  r276188 : getTypeInfo: fill m_aTypeInfoRows only if really all type infos could be retrieved
2009-09-15 20:19:29 +0000 fs  r276187 : do not continue loading when the controller initialization throws an error
2009-09-14 12:25:57 +0000 fs  r276119 : oops, this patch was not intended for this CWS
2009-09-14 12:13:57 +0000 fs  r276114 : #cr6875455# introduce a ReferenceDevice property for various control models
2009-09-14 10:33:02 +0000 fs  r276106 : removed dead file
2009-09-09 08:37:31 +0000 fs  r275972 : remove OSL_TRACE in VCLXButton dtor
2009-09-08 11:19:17 +0000 oj  r275926 : i76534# remove mnemonic from fixed text
2009-09-07 08:39:37 +0000 fs  r275874 : create CWS dba33a from cws/dba32g@275857 (CWS: dba32g)
2009-11-27  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [ef1e644386cab9f56cea761a6ff0711d5af6ea0a]

dba33d: #i106772# check if update and refetching works otherwise set iter to end and some resource handling for error messages


2009-11-26  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [b1cd271a62c9b04a1b090bcb6544c17eaea3b881]

dba33d: #i69262# allow functions to be grouped


2009-11-25  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [23912d182b137e119350f735801f087819301af9]

dba33d: #i104869# use the interaction handler to delegate UI


2009-11-25  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [e7a3bdd533277761077e07734adb225a19c7b62e]

dba33d: #i104712# qurtal expression fixed


2009-11-23  Mathias Bauer  <mba@openoffice.org>  [06ac09b79fcffc5fa8918711e52b8c1f3461cc44]

merge commit for m65


2009-11-23  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [ae42fd377f72928bee0eb9d400c38c5d4a71c335]

[CWS autorecovery] removed the dead code for loading in a separate thread Part of the code relied in the SfxCancellable, which is going to be removed. Also, this feature wasn't used anymore for a long time now, if we want to have it, again, we should better re-implement it.


2009-11-23  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [12df8633596a00e856e21d22dc1bcae49ed5c47c]

dba33d: #i107104# error in where <> having


2009-11-19  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [6599108defdcce5d4633f28e6edc7a9a2ca131e1]

dba33d: #i104844# check name and do not close when name is wrong


2009-11-18  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [1bdd86b60f85462bd20aeff90664ec923048be8b]

dba33d: #i105101# get table filter and type filter from ds when it is needed


2009-11-18  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [0dc46ce4f50995df65c065a063cdbdcd8163808f]

dba33d: #i106998# check if entzry is null


2009-11-18  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [d2c74fd936038195b387b21a5abb35d2e44f970d]

dba33d: #i97096# use column label when given


2009-11-18  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [55afdd97cf0e7356bea6a66cb43d98a18db3f11d]

commit pull


2009-11-17  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [c1b0febb05bf1189479e3e15c478d51b787ab383]

merge


2009-11-16  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [ac6c6564153ae7eee78d430cdb68bd9d0e2b466d]

dba33d: #i105554# apply patch from cmc


2009-11-16  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [4a584bcc982922eb3127132a6109fc3250e91cca]

dba33d: #i106737# set the databasedataprovider when doc is loaded


2009-11-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [d5f5c68072d28e3a784a714a3ed88f3455af680d]

ooops, broke the removal of registrations with the previous changed, fixed that


2009-11-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [83905fe1a6626413cd439d7a2fa86284b8c72717]

in the course of #i84012#: separate the display name of a database registration from the node name in der underlying configuration (the config structure for this was already there, it was just never used)


2009-11-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [81baaeb771bd0ee0fe1de82d70f113d2a7091c12]

#i84012# respect data source registrations which are read-only


2009-11-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [55bca54394896cfe4a24be4c6c7ceb49a964c470]

merge


2009-11-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [ed6293ea143649d26b47e100ad7dd2263877f0a6]

in preparation of #i84012#: introduced a dedicated interface (css.sdb.XDatabaseRegistrations) for dealing with data source registrations, this way hiding the concrete configuration details.


2009-11-16  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [9db1606c5e3a6dc87a9c911eed1a9dce41e120fa]

dba33d: pull from dba33b


2009-11-13  Kurt Zenker  <kz@openoffice.org>  [99eeb15b50b11fd96283e09712f15c1b6ede2313]

CWS-TOOLING: integrate CWS changehc02


2009-11-13  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [6f3b76608af4a823e7e6064df6611b2742b41d76]

merge with DEV300_m64


2009-11-13  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [17b5702d28fb0af316c6721da1755ee22f71298b]

Automated merge with file:///z:\so-cwsserv02\dba33b\DEV300\ooo


2009-11-13  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [2c23624f196dd22907a8d8ad664b2b55ad628bf4]

dba33b: #i106875# JavaDriverClassPath will now be read inside the JDBC driver


2009-11-13  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [952cad9e5f9fabdd50869a8a30b577d72ae0f62e]

#i105086# fix blob handling, map to bytes when possible


2009-11-13  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [b94d42c858002fa61cd0a17c9dc8d79fb4a82853]

some refactoring, done during creation of a test case for #i106643#


2009-11-11  Ocke Janssen  <Ocke.Janssen@sun.com>  [f026c8e1cc07a5c99b40afd1cbfda1e4f4ed0adc]

Automated merge with file:///z:\so-cwsserv02\dba33b\DEV300\ooo


2009-11-11  Ocke Janssen  <Ocke.Janssen@sun.com>  [87d51ea47fa33cd75840f4035c4e4c8e6a686ec3]

#i105086# impl clob and blob


2009-11-11  Ocke Janssen  <Ocke.Janssen@sun.com>  [f9c299b06c5a54c2c56fadd13d40f8e3b7f7830b]

#i105086# impl clob and blob


2009-11-11  Ocke Janssen  <Ocke.Janssen@sun.com>  [ec5381cf073472b1659e86241531c483021f923c]

#i105086# impl clob and blob


2009-11-11  Ocke Janssen  <Ocke.Janssen@sun.com>  [8891261198b276ef3ae0dba38cecdefb7c29f201]

#i105086# impl clob and blob


2009-11-11  Ocke Janssen  <Ocke.Janssen@sun.com>  [b4be60024390b8255edd806f9d58aae8b8faf2a9]

#i105086# impl clob and blob


2009-11-11  Ocke Janssen  <Ocke.Janssen@sun.com>  [929ec5066fc5b4b8de7d2717fc04b2921f89cea5]

#i105086# impl clob and blob


2009-11-05  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [13316f10108f13d5bf0ef03d6f849d1634cc18a3]

#i100764# better heuristics for determining whether or not to participate in the ThisComponent game


2009-11-05  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [b3834f943a7a0d8f807e3908a4b536a976bc2b30]

diagnostics


2009-11-04  mb93783  <mb93783@macpro-dev1>  [ba433f9cbca9d8c73cd79cc416fe170f0e8616e5]

#i106432#, #i103496#: some fixes found while building on more platforms


2009-11-04  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [40edc742a9cf7cd38a70d50154691ed667b1fca7]

CRMDatabase now has built-in capabilities to load on creation


2009-11-04  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [d9c7bc4c68fe85c7d503b66b16c30faf2c934fd9]

a little less deadlock-prone ...


2009-11-04  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [143881d165ee10c513b9d2e373cb546721385960]

moved complex.dbaccess.CRMDatabase.java to connectivity.tools, to be able to use it outside of dbaccess


2009-11-04  Frank SchÃ¶nheit [fs]  <frank.schoenheit@sun.com>  [60708f375f38e0ee149ed099a5ed98ecdb53b089]

added test case (UISettings.checkTransparentQueryColumnSettings) for #i67020#


2009-11-03  Frank SchÃ¶nheit [fs]  <frank.schoenheit@sun.com>  [86dc209d34f9af04694c40b41dd4c286fc39f9a8]

css.form.XFormController superseded by css.form.runtime.XFormController


2009-11-03  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [36741aa1910218c620901d8a670c43042a4626eb]

#i104678# use high contrast mode setting instead of IsDark (paradigm shift begun with issue i35482)


2009-11-03  Frank SchÃ¶nheit [fs]  <frank.schoenheit@sun.com>  [a7a06c408b421cb003a29ca0a74dc20a04cfeb73]

removed some XUnoTunnel usage (unused in one case, and unnecessary in another)


2009-11-03  Frank SchÃ¶nheit [fs]  <frank.schoenheit@sun.com>  [84808b634c4950b4940925d2fcddf051f4d039a9]

final step for #i67020#


2009-11-03  Frank SchÃ¶nheit [fs]  <frank.schoenheit@sun.com>  [7d5aa148c8d1c70a732311ed0f96208cd099a8a5]

one step towards fixing issue #i67022#: query columns now use the ColumnSettings of the underlying table column, if - this table column can be determined - the query column doesn't have own settings (which would overrule the table col settings)

However, we're not there, yet: Changing the settings of the table column is not reflected
in the query column until closing and re-opening the database document. That's up to a next
implementation step.
2009-11-02  Mathias Bauer  <mba@openoffice.org>  [afa8a5031534b7a03d5b0955dce1ca8eaeebda2b]

#i106421#: create new cui resource file


2009-11-02  Frank SchÃ¶nheit [fs]  <frank.schoenheit@sun.com>  [8b8a260028bd6cc8162cc86585575fed4df25695]

more column class refactoring in preparation of #i67202#. Removed unneeded classes, consolidated the property handling of the various Column classes


2009-11-02  Frank SchÃ¶nheit [fs]  <frank.schoenheit@sun.com>  [136de0033d9df7a17d6e65d509b8bddd08f46552]

properly determine the ControlDefault


2009-11-02  Frank SchÃ¶nheit [fs]  <frank.schoenheit@sun.com>  [b13263882e86d55f2d334f7470848b8954cf43f7]

removed wrong assertion


2009-11-02  Ocke Janssen  <oj@openoffice.org>  [78b3568c2985a3be0ecd3fe44bd72e8a717af623]

i105959# simply logic again


2009-10-30  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [5cfe354c23422beedd7e64cdcf3dbc3034e72ab2]

re-factoring, in preparation of fixing issue #i67020#


2009-10-30  Ocke Janssen  <oj@openoffice.org>  [5a1d0f004a63cdff5116962837f2f833d2ee1910]

#i105959# duplicate contion row when new or criteria was found


2009-10-29  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [9a3896fb2ca53eb267bf465787b51ee56a036780]

merging latest changes (pushed to cwsserv by oj)


2009-10-29  Ocke Janssen  <Ocke.Janssen@sun.com>  [a74090bd82997e6adb2bb4ed2162361e1e800787]

Automated merge with file:///z:\so-cwsserv02\dba33b\DEV300\ooo


2009-10-29  Ocke Janssen  <Ocke.Janssen@sun.com>  [387c487d0d25939fc7c2e4a661ed92b4cb89be42]

check if sequence exists


2009-10-29  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [227e4e709cba45cfe8f560d0e63a091892fa0cd5]

step 2 of the FormController UNOization: UNOized all the incoming and outgoing calls, now the interface is completely UNO-based


2009-10-28  Ocke Janssen  <Ocke.Janssen@sun.com>  [6fdb5c79bc8715d1e2a13b7eb5ee3b9534cb1030]

#i104836# add accelerator for AddField command


2009-10-27  Ocke Janssen  <Ocke.Janssen@sun.com>  [c1c953ea376d4506c6ff940948b32d2770bcff08]

#i105481# add new namespaces from xmloff


2009-10-27  Release Engineers  <releng@openoffice.org>  [f7adfce6730dacc29f89e06a47f2e270956ca532]

Create DEV300_m63 milestone tag from trunk@277194


2009-10-26  Mathias Bauer  <mba@openoffice.org>  [eda8a2c3a037b0caf360af05baff3a90f2df2052]

merge commit for m62


2009-10-23  Frank Schoenheit  <frank.schoenheit@sun.com>  [98b94a38170ee5e34f75e7a97fd4253399bf8b8e]

#i10000#


2009-10-23  Frank Schönheit  <frank.schoenheit@sun.com>  [0e794f96dfed2003d41d633983037cd0c19e3899]

step 1 of the FormController UNOization: base the outgoing calls in the FormController implementation on (new) UNO API, instead of using implementation classes


2009-10-23  Frank Schoenheit  <frank.schoenheit@sun.com>  [ffb793826b9c0ba555e5182059c7afeae0313b97]

#i10000#


2009-10-23  Frank Schoenheit  <frank.schoenheit@sun.com>  [5192dcd9c7f83586feb3b56fe81171fa84cb5c11]

#i10000#


2009-10-23  Frank Schönheit  <frank.schoenheit@sun.com>  [5e7ab25ba9fb9a6e3b80b1a23054dbe72947983d]

step 0 of an UNOization of the css.form.(X)FormController implementation: move the API to css.form.runtime, so we can later add new API chunks without breaking compatibility of the existing API in css.form


2009-10-23  Ocke Janssen  <oj@openoffice.org>  [bef859a2c83b7e96f92953e313af623ee8d65b26]

#i105959# handle parameter like column_ref


2009-10-23  Ocke Janssen  <Ocke.Janssen@sun.com>  [aa4f3e58db43a0498a580f07575630b5a5f52c5d]

#i106215# truncate file stream before using it for storage


2009-10-22  Ocke Janssen  <oj@openoffice.org>  [f0de84a9ceba2a0f916e3c464637b13ad2f17aef]

#i105959# change config when doc location has changed


2009-10-22  Ocke Janssen  <oj@openoffice.org>  [2607b2b02cbc46da1d474321571fd399068f09ba]

#i106072# attachprovider at the end of doc


2009-10-20  Release Engineers  <releng@openoffice.org>  [0c507c1992688f6b54d3ab551c402d6ef44b7bed]

Create DEV300_m62 milestone tag from trunk@277034


2009-10-19  Kurt Zenker  <kz@openoffice.org>  [4e2e430e9f32ab44ab7c2d19b3f286d216912585]

#i10000# add missing include DriversConfig.hxx


2009-10-16  Frank Schönheit  <frank.schoenheit@sun.com>  [045b53277349c17893790f731ec72c23e511a470]

during #i104329#: got rid of DataSourceUI, whose functionality can be reached easier since the database/type information is configuration-based. In this course, got rid of some other duplicated and/or unnecessary code


2009-10-16  Frank Schönheit  <frank.schoenheit@sun.com>  [b1eb3409755926b211cbf43f81417bf2bed1c321]

#i104329# introduce a dedicated PrimaryKeySupport property at DataSource.Settings, which determines whether a data source should (be assumed to) support primary keys. Valid values are TRUE (=> supports), FALSE (=> doesn't support) and VOID (=> use the old heuristics, i.e. consult XDatabaseMetaData.supportsCoreSQLGrammar)


2009-10-16  Mathias Bauer  <mba@openoffice.org>  [e25168bd2da926d3b70a1058b3f11d9554ee5866]

#i103496#: split svtools; improve ConfitItems


2009-10-14  Kurt Zenker  <kz@openoffice.org>  [e0501f7c811c6ed3a6ce4aa8cd21241b66823f5e]

CWS-TOOLING: integrate CWS dba32h 2009-10-12 12:21:44 +0200 msc  r276827 : remove warning for issue 102712 because the issue is fixed 2009-10-05 07:14:20 +0200 oj  r276658 : #105585# add missing dependency for OOO_UI 2009-10-02 12:50:19 +0200 fs  r276632 : #i105505# If a model is created, and is a revenant of a previous incarnation, then ensure it is properly initialized. In particular, in its ctor, set the state to "Initializing", not "Initialized", and then let the ModelImpl call attachResource. This ensures that the model is initialized completely, including firing the necessary events. 2009-10-02 12:46:12 +0200 fs  r276631 : #i105505# always do an attachResource at the newly loaded model, even if it (internally) was not really loaded, but only a revenant of a previous incarnation of this document 2009-10-01 13:09:07 +0200 fs  r276596 : do not rely on the name 'Standard' for the one and only form in a document 2009-10-01 12:35:56 +0200 fs  r276589 : #i105509# don't rely on default form component names, use indexes 2009-10-01 11:19:18 +0200 fs  r276584 : copying the fix for #i105082# into this CWS 2009-10-01 11:13:22 +0200 fs  r276583 : improved logs 2009-10-01 11:10:44 +0200 fs  r276581 : #i105505# 2009-10-01 08:07:57 +0200 fs  r276575 : manual merge of trunk, to allow cwslocalize to run 2009-09-30 22:48:30 +0200 fs  r276574 : removed that strange ONLOAD definition 2009-09-30 12:58:18 +0200 fs  r276553 : copy fix for #i105387# into this CWS, as the issue prevents us from finalizing the CWS 2009-09-30 12:56:45 +0200 fs  r276552 : copy fix for #i105387# into this CWS, as the issue prevents us from finalizing the CWS 2009-09-30 11:47:45 +0200 fs  r276549 : #i105235# 2009-09-29 12:27:40 +0200 fs  r276521 : #i105367# 2009-09-28 12:08:17 +0200 oj  r276485 : #i105371# export version in manifest.xml as well 2009-09-28 12:07:02 +0200 oj  r276484 : #i105371# export version in manifest.xml as well 2009-09-28 09:48:01 +0200 oj  r276481 : #i105366# init drivers when not empty 2009-09-25 14:31:27 +0200 fs  r276466 : CWS-TOOLING: rebase CWS dba32h to trunk@276429 (milestone: DEV300:m60) 2009-09-24 13:52:54 +0200 fs  r276422 : #i105234# do not zoom the control when they view information is still uninitialized (happens at least in Writer when opening a form document) 2009-09-24 11:42:03 +0200 fs  r276413 : #i105234# proper zoom handling for the nav bar 2009-09-24 11:41:40 +0200 fs  r276412 : #i105234# setZoom: care for precision errors caused by implicit conversion float->double 2009-09-23 12:21:22 +0200 oj  r276377 : remove dos lineends 2009-09-23 11:44:52 +0200 oj  r276376 : #i105216# load config on demand 2009-09-23 11:44:19 +0200 oj  r276375 : #i105216# load config on demand 2009-09-23 11:43:35 +0200 oj  r276374 : #i105216# load config on demand 2009-09-21 09:13:03 +0200 oj  r276307 : #i105158# use Thread support 2009-09-18 13:06:50 +0200 fs  r276277 : #i105147# 2009-09-18 11:48:23 +0200 oj  r276271 : #i105158# new method for thread safety 2009-09-18 10:42:56 +0200 fs  r276266 : CWS-TOOLING: rebase CWS dba32h to trunk@276192 (milestone: DEV300:m59) 2009-09-18 08:30:03 +0200 oj  r276263 : #i105016# load correct ldap so 2009-09-17 13:42:31 +0200 oj  r276240 : change count of check boxes 2009-09-17 13:32:59 +0200 oj  r276239 : revert false to true for currency 2009-09-17 09:14:46 +0200 oj  r276220 : #i104901# add patch for every issue 2009-09-17 09:10:29 +0200 oj  r276219 : #i104901# add patch for every issue 2009-09-11 13:47:49 +0200 oj  r276060 : #i104901# fix for indentity 2009-09-11 12:14:14 +0200 fs  r276056 : #i104594# allow to render controls without an SdrPageView 2009-09-11 11:49:31 +0200 fs  r276055 : CWS-TOOLING: rebase CWS dba32h to trunk@276043 (milestone: DEV300:m58) 2009-09-10 08:41:40 +0200 oj  r276021 : #i104911# export variable-set not for repeating sections


2009-10-14  Ocke Janssen  <Ocke.Janssen@sun.com>  [8d31fe5dfe8703650928f5b0a1d16fc66a51c884]

#i105139# set visible size


2009-10-09  Philipp Lohmann  <Philipp.Lohmann@Sun.COM>  [8dc19e33b9cd3f946055a1967c7934dab7fafc1d]

merge with m61


2009-10-08  hg  <hg@oosvn01.>  [779250c9117d58090d707da4b65825bbc52a7d3e]

merge with m55


2009-10-06  Release Engineers  <releng@openoffice.org>  [04fb2a0047071a6d2ca76eff480a7ce1929d2ebb]

Create DEV300_m61 milestone tag from trunk@276697


2009-10-06  Mathias Bauer  <mba@openoffice.org>  [e1d4a1c84012b4168807ee828ab61c5933cc69b3]

#103496#: move VCL free ConfigItems to unotools


2009-09-25  Mathias Bauer  <mba@openoffice.org>  [6b196c043833bfb73fcfe1146d64e2721a039e96]

merge commit


2009-09-24  Release Engineers  <releng@openoffice.org>  [2a05747f83fbf060c002424f9815cc3778f21e5a]

Create DEV300_m60 milestone tag from trunk@276428


2009-09-17  Ivo Hinkelmann  <ihi@openoffice.org>  [c2df8a1d1925811cb79fb97150bf20b019b60e6f]

CWS-TOOLING: integrate CWS encsig09 2009-09-14 15:11:29 +0200 oc  r276125 : #i105049# MacroSignatur needs Macro 2009-09-09 17:09:46 +0200 jl  r276005 : #i103989# could not signe encrypted doc containing a formular object 2009-09-09 13:11:24 +0200 jl  r275985 : #i103989# could not signe encrypted doc containing a formular object 2009-09-08 15:54:02 +0200 mav  r275934 : #i103906# fix the automation test scenario ( tempfile should be writable for the user ) 2009-09-07 14:01:39 +0200 mav  r275895 : #i103906# fix the problem with reload 2009-09-07 09:34:48 +0200 mav  r275871 : #i104786# do the ODF version check only for ODF documents 2009-09-07 08:19:06 +0200 mav  r275870 : #i104389# fix text 2009-09-06 22:24:21 +0200 mav  r275867 : #i104786# check the consistency of ODF version 2009-09-06 22:23:24 +0200 mav  r275866 : #i104786# check the consistency of ODF version 2009-09-06 22:23:00 +0200 mav  r275865 : #i104786# check the consistency of ODF version 2009-09-06 22:22:36 +0200 mav  r275864 : #i104786# check the consistency of ODF version 2009-09-06 22:22:03 +0200 mav  r275863 : #i104786# check the consistency of ODF version 2009-09-02 17:09:30 +0200 mav  r275722 : #i104715# let repairing mechanics use the streams correctly 2009-09-01 16:52:49 +0200 mav  r275670 : #i104389# notify user not to trust the corrupted document 2009-09-01 16:31:37 +0200 mav  r275668 : #i104389# use vnd.sun.star.zip: protocol to access zip files 2009-09-01 16:30:32 +0200 mav  r275667 : #i104389# use vnd.sun.star.zip: protocol to access zip files 2009-09-01 16:22:13 +0200 jl  r275666 : #i104339# small content change 2009-09-01 14:20:42 +0200 jl  r275660 : #i103519# remove some debug output 2009-09-01 13:51:52 +0200 jl  r275659 : #i103519# NSS uses '\' for escaping in distinguished names 2009-09-01 12:49:47 +0200 mav  r275655 : #i104389# use zip-mode to read from jar files 2009-09-01 12:40:22 +0200 mav  r275653 : #i104389# use zip-mode to read from jar files 2009-09-01 12:32:29 +0200 mav  r275652 : #i104389# use constants 2009-08-31 21:58:00 +0200 mav  r275637 : #i10000# fix warning 2009-08-31 21:11:17 +0200 mav  r275636 : #i104227# adding of scripting signature removes the document signature 2009-08-31 20:55:05 +0200 mav  r275635 : #i103905# ZipStorage supports Compressed property 2009-08-31 20:53:55 +0200 mav  r275634 : #i103905# adjust macro signature transfer to usage of ZipStorage 2009-08-31 15:30:49 +0200 jl  r275609 : #i103989# warning is shown as long the user does not click 'OK' 2009-08-31 14:36:10 +0200 jl  r275608 : #i103989# changed warning text when signing macro and there is a document signature. This warning is only displayed once 2009-08-31 13:34:41 +0200 mav  r275603 : #i104452# disable macros in repaired documents 2009-08-31 13:33:42 +0200 mav  r275602 : #i104452# disable macros in repaired documents 2009-08-31 13:03:56 +0200 jl  r275600 : #i45212# signature dialog could not be started when using read-only documents 2009-08-31 09:26:13 +0200 mav  r275583 : #i104578# store the additional entry as the last one to workaround parsing problem in OOo3.1 and later 2009-08-30 20:54:25 +0200 mav  r275562 : #i10000# adopt for unix 2009-08-30 10:56:00 +0200 mav  r275561 : CWS-TOOLING: rebase CWS encsig09 to trunk@275331 (milestone: DEV300:m56) 2009-08-28 16:34:00 +0200 mav  r275539 : #i104578# write necessary info in manifest.xml for ODF1.2 encrypted document 2009-08-28 14:04:22 +0200 mav  r275533 : #104587# fix handling of readonly streams 2009-08-28 13:58:10 +0200 mav  r275531 : #i104389# fix the broken document handling 2009-08-28 11:40:39 +0200 mav  r275522 : #i104389# fix the signature streams check 2009-08-27 21:48:12 +0200 mav  r275509 : #i103927# show the warning 2009-08-27 21:47:48 +0200 mav  r275508 : #i103927# show the warning 2009-08-27 16:45:59 +0200 jl  r275495 : #i45212# remove unused variable 2009-08-27 16:34:00 +0200 jl  r275494 : #i103989# 2009-08-27 13:54:28 +0200 jl  r275482 : #i103519# fixed replacement of 'S' by 'ST' 2009-08-27 12:32:21 +0200 mav  r275472 : #i10000# fix warning 2009-08-27 11:58:11 +0200 mav  r275467 : #i104389# handle the entry path correctly 2009-08-26 17:18:35 +0200 jl  r275438 : #i103519# subject and issuer distinguished names were not properly displayed. The strings were obtained by system functions (Windows, NSS), which use quotes to escape the values, when they contain special characters 2009-08-26 11:00:20 +0200 mav  r275403 : #i10000# fix warnings 2009-08-26 08:25:45 +0200 mav  r275392 : #i10000# fix warning 2009-08-26 08:02:22 +0200 mav  r275391 : #i10000# adopt for linux 2009-08-26 07:40:30 +0200 mav  r275390 : #i10000# fix warning 2009-08-26 07:35:28 +0200 mav  r275389 : #i10000# use correct include file name 2009-08-25 15:01:41 +0200 jl  r275356 : #i103989# better check for mimetype of streams 2009-08-25 09:07:09 +0200 mav  r275335 : CWS-TOOLING: rebase CWS encsig09 to trunk@274622 (milestone: DEV300:m54) 2009-08-24 18:17:02 +0200 mav  r275329 : #i103927# check the nonencrypted streams 2009-08-24 18:14:14 +0200 mav  r275328 : #i103927# check the nonencrypted streams 2009-08-24 17:59:34 +0200 mav  r275327 : #i103927#,#i104389# check the package consistency and nonencrypted streams 2009-08-24 16:18:28 +0200 jl  r275323 : #i103989# added comment 2009-08-24 13:08:47 +0200 jl  r275305 : #i45212# #i66276# only write the X509Certificate element once and allow to add remove several certificates at a time 2009-08-21 12:57:28 +0200 ufi  r275239 : 104339 2009-08-21 08:39:05 +0200 jl  r275213 : #i10398# comparing URIs of signed files with the 'element list' 2009-08-20 13:39:47 +0200 jl  r275178 : #i10398# displaying 'new partially signed' status in the status bar 2009-08-20 13:35:39 +0200 jl  r275177 : #i10398# displaying 'new partially signed' status in the status bar 2009-08-20 13:29:06 +0200 jl  r275176 : #i10398# displaying 'new partially signed' status in the status bar 2009-08-20 13:26:21 +0200 jl  r275175 : #i10398# displaying 'new partially signed' status in the status bar 2009-08-20 12:05:09 +0200 ufi  r275170 : i104339 2009-08-19 12:24:54 +0200 jl  r275146 : #i10398# displaying 'old signature' icon and status in signature dialog 2009-08-18 15:18:48 +0200 jl  r275111 : #i103989# document signatures containing manifest.xml are now validated according to the final ODF1.2 spec 2009-08-18 11:41:06 +0200 mav  r275087 : #i103927# detect if encrypted ODF1.2 document contains nonencrypted streams 2009-08-18 11:35:13 +0200 mav  r275085 : #i103927# detect if encrypted ODF1.2 document contains nonencrypted streams 2009-08-14 17:32:41 +0200 jl  r274999 : #i103989# using c14n tranformation for XML streams 2009-08-14 15:27:43 +0200 jl  r274987 : #i103989# remove special handling for encrypted document streams in UriBindingHelper::OpenInputStream, since we use zip storage this is not necessary anymore 2009-08-14 15:08:10 +0200 jl  r274983 : #i103989# Showing a message when adding or removing a macro signature, that the document signature will be removed 2009-08-14 14:57:27 +0200 jl  r274982 : #i103989# accesing Sequence at invalid index 2009-08-11 08:55:02 +0200 mav  r274846 : #i103905# let signing service know if there is already a valid document signature 2009-08-10 11:33:37 +0200 jl  r274799 : #i103905# do not truncate the stream 2009-08-10 10:43:47 +0200 mav  r274797 : #i103905# provide the storage version 2009-08-07 16:58:46 +0200 jl  r274780 : #i103989# 2009-08-07 16:56:19 +0200 jl  r274779 : #i103989# using odf version string etc. 2009-08-07 15:20:53 +0200 mav  r274771 : #i103905# provide the storage version 2009-08-07 15:19:12 +0200 mav  r274770 : #i103905# provide the storage version 2009-08-07 12:41:45 +0200 mav  r274758 : #103930# do not store thumbnail in case of encrypted document 2009-08-07 12:36:52 +0200 mav  r274757 : #i103905# provide the storage version 2009-08-07 12:15:54 +0200 mav  r274754 : #i103760# the signed state is not lost on saving 2009-08-07 12:06:19 +0200 mav  r274753 : #i103760# avoid warning regarding signature removal on export 2009-08-07 12:06:01 +0200 mav  r274752 : #i103760# avoid warning regarding signature removal on export 2009-08-06 08:47:34 +0200 mav  r274703 : #i103905# allow to transport ODF version to the signing component 2009-08-05 21:34:42 +0200 mav  r274701 : #i103905# allow to transport ODF version to the signing component 2009-08-05 15:48:17 +0200 mav  r274683 : #i103905# allow to transport ODF version to the signing component 2009-08-05 14:58:12 +0200 jl  r274673 : #i103989# documentsignature now signes all streams except documentsignatures.xml, all streams are processed as binary files 2009-08-05 12:00:32 +0200 mav  r274648 : #i103905# allow to transport ODF version to the signing component 2009-08-04 10:57:04 +0200 jl  r274612 : #i103989# added XInitialization 2009-07-31 10:32:27 +0200 mav  r274516 : #i103905# use zip storage to sign documents 2009-07-30 14:01:33 +0200 mav  r274489 : #i103906# optimize the usage of temporary medium 2009-07-30 14:00:28 +0200 mav  r274488 : #i103906# optimize the usage of temporary medium 2009-07-30 13:59:09 +0200 mav  r274487 : #i103906# optimize the usage of temporary medium 2009-07-30 13:50:44 +0200 mav  r274485 : #i103906# optimize the usage of temporary medium 2009-07-30 13:49:53 +0200 mav  r274484 : #i103906# optimize the usage of temporary medium 2009-07-30 13:49:13 +0200 mav  r274483 : #i103906# optimize the usage of temporary medium 2009-07-30 13:47:09 +0200 mav  r274482 : #i103905#,#i103906# let the signing process use zip-storage; optimize the usage of temporary medium 2009-07-21 09:10:31 +0200 mav  r274159 : CWS-TOOLING: rebase CWS encsig09 to trunk@273468 (milestone: DEV300:m51) 2009-05-05 08:39:01 +0200 mav  r271496 : #i100832# allow to sign macros only when there are any


2009-09-17  Ivo Hinkelmann  <ihi@openoffice.org>  [0f75b586e6bb0f05d2b11b09c8bedc35655a1f15]

CWS-TOOLING: integrate CWS defaultdoclang 2009-08-21 14:44:21 +0200 cmc  r275260 : CWS-TOOLING: rebase CWS defaultdoclang to trunk@275001 (milestone: DEV300:m55) 2009-08-10 17:43:32 +0200 cmc  r274833 : CWS-TOOLING: rebase CWS defaultdoclang to trunk@274622 (milestone: DEV300:m54) 2009-07-24 11:46:58 +0200 cmc  r274297 : CWS-TOOLING: rebase CWS defaultdoclang to trunk@274203 (milestone: DEV300:m53) 2009-07-10 12:22:16 +0200 cmc  r273884 : #i99577# tweak the widths a bit 2009-07-08 15:17:58 +0200 cmc  r273834 : #i99577 tidy up indentation 2009-07-04 16:09:18 +0200 cmc  r273721 : #i99577# a "default" document language that reflects what the locale language is


2009-09-17  Ivo Hinkelmann  <ihi@openoffice.org>  [2e850d9943b152bc290f25e7b88b46431ce3ca22]

CWS-TOOLING: integrate CWS boost134 2009-09-09 10:30:24 +0200 fs  r275970 : #i100127# provided by rene: check whether system-boost's function.hpp compiles without exception support 2009-09-04 21:58:00 +0200 fs  r275832 : indention 2009-09-04 21:57:10 +0200 fs  r275831 : #i10000# type in boost/spirit check. Thanks to thb 2009-09-04 10:58:54 +0200 fs  r275787 : #i100127# provided by tono@openoffice.org: mingw needs using directives for std::min/max 2009-09-04 10:31:54 +0200 fs  r275782 : #i100127# (approved by hjs) on Solaris, set GNUTAR to /usr/sfw/bin/gtar, this is available on baseline machines (Solaris 10.x), but not necessarily available in LD_LIBRARY_PATH 2009-08-19 21:47:55 +0200 rene  r275161 : #i10000# check for the header actually used now 2009-08-17 21:55:31 +0200 fs  r275073 : CWS-TOOLING: rebase CWS boost134 to trunk@275001 (milestone: DEV300:m55) 2009-07-16 09:39:25 +0200 fs  r274031 : #i100127# extract download/% with GNUTAR instead of TAR 2009-07-14 09:18:15 +0200 fs  r273960 : CWS-TOOLING: rebase CWS boost134 to trunk@273858 (milestone: DEV300:m52) 2009-07-13 09:55:14 +0200 fs  r273919 : #i100127# use boost 1.39, not 1.34 2009-07-13 09:45:57 +0200 fs  r273918 : use GNUTAR when extracting download/%.tar.gz, not TAR (necessary with boost 1.39 tarball) 2009-07-10 21:10:52 +0200 fs  r273905 : #i100127# spirit now part of boost 2009-07-06 12:12:13 +0200 fs  r273732 : #i10000# lngconvex, used in src/wizards, is built in shell => added missing module dependency 2009-07-02 15:34:51 +0200 fs  r273660 : #i100127# 2009-07-02 13:35:24 +0200 fs  r273645 : #i100127# MSVC needs some hinting when using boost::bind on (some) member functions 2009-07-02 10:33:59 +0200 fs  r273625 : removed unused include (lead to an internal compiler error with MSVC and boost 1.34+) 2009-07-02 09:44:35 +0200 fs  r273619 : change some include orders, prevents 'internal compiler errors' with MSVC 2009-07-01 09:19:25 +0200 fs  r273547 : #i100127# who the heck is defining max as something unusable? 2009-07-01 09:17:28 +0200 fs  r273546 : #i100127# defining min/max is causing trouble now 2009-07-01 09:15:40 +0200 fs  r273545 : #i100127# reverted previous patch, and properly fixed the problem by defining BOOST_MEM_FN_ENABLE_CDECL, and disabling warning 4180 2009-07-01 09:14:23 +0200 fs  r273544 : #i100127# re-disable warning 4180, still needed for some files 2009-07-01 09:07:33 +0200 fs  r273543 : #i100127# reverted previous patch, and properly fixed the problem by defining BOOST_MEM_FN_ENABLE_CDECL 2009-06-24 11:00:32 +0200 fs  r273319 : oops, re-introduced some inc locations 2009-06-23 22:10:02 +0200 fs  r273304 : #i100127# disable warning C4180 2009-06-23 22:08:36 +0200 fs  r273303 : #i100127# disable warning C4180 2009-06-16 12:26:49 +0200 fs  r273015 : #i10000# (provided by mst@openoffice.org) 2009-06-15 09:10:27 +0200 fs  r272962 : #i10000# use -r instead of -a when copying the include files, this prevents the spurious 'failed to preserve ownership' errors 2009-06-11 23:55:06 +0200 fs  r272902 : #i100127# 2009-06-11 23:54:47 +0200 fs  r272901 : #i100127# 2009-06-11 23:54:05 +0200 fs  r272900 : make compile on unxsol[i|s]4 2009-06-10 10:12:22 +0200 fs  r272798 : #i100127# don't deliver from within unxlngi6/misc/build/boost, but from a 'normalized' location unxlngi6/inc 2009-06-10 09:48:00 +0200 fs  r272795 : #i100127# use 1.34.1 unconditionally on all platforms


2009-09-16  Ivo Hinkelmann  <ihi@openoffice.org>  [299879c8ea863b19e1bb2aecdd3d49b69036d0a1]

CWS-TOOLING: integrate CWS l10nframework01


2009-09-14  Kurt Zenker  <kz@openoffice.org>  [5644f33fdbab4d62965cd5f87a2211bae8230ee3]

CWS-TOOLING: integrate CWS dba32g 2009-09-09 07:53:55 +0200 oj  r275964 : replace strlen with rtl_str_getLength 2009-09-07 20:59:10 +0200 fs  r275913 : disable the CopyTableWizard test until issue 104869 is fixed 2009-09-07 12:17:31 +0200 oj  r275885 : #i104810# remove de as lang 2009-09-05 22:26:21 +0200 fs  r275857 : protect StateChanged against re-entrance 2009-09-05 22:25:52 +0200 fs  r275856 : don't attempt to classify the parent of a form as control 2009-09-05 22:25:29 +0200 fs  r275855 : protect against re-entrance 2009-09-05 00:11:40 +0200 fs  r275835 : #i10000# 2009-09-04 23:25:50 +0200 fs  r275834 : #i10000# 2009-09-04 23:23:47 +0200 fs  r275833 : #i10000# 2009-09-04 21:49:37 +0200 fs  r275830 : #i10000# correct wrong conflict resolution 2009-09-04 20:59:51 +0200 fs  r275829 : CWS-TOOLING: rebase CWS dba32g to trunk@275801 (milestone: DEV300:m57) 2009-09-04 11:08:32 +0200 oj  r275791 : #i104780# new version 1.2.0 2009-09-03 22:29:21 +0200 fs  r275775 : OSL_TRACE doesn't need \n anymore 2009-09-03 08:33:21 +0200 fs  r275743 : CWS-TOOLING: rebase CWS dba32g to trunk@275331 (milestone: DEV300:m56) 2009-09-02 13:48:12 +0200 fs  r275708 : removed useless include 2009-09-02 13:45:43 +0200 fs  r275707 : more since tags, which are used across offapi/udkapi 2009-09-02 13:23:04 +0200 fs  r275705 : should *not* have the dtor, copy ctor, and assignment operator compiler-generated, else we run into trouble as soon as the compiler creates different versions of our singleton member's static data in different libraries 2009-09-02 12:32:45 +0200 fs  r275704 : AutoIncrementIsPrimaryKey is a driver setting, not a data source setting 2009-09-02 11:42:49 +0200 fs  r275701 : URL meta data are meta data which are valid for all connections of this type, not per-data-source properties. Settings them as data source properties is a hack. 2009-09-02 08:43:34 +0200 fs  r275696 : 3.x.x is not a valid 'since' tag 2009-09-01 16:05:24 +0200 fs  r275665 : #i104686# don't treat controls bound to read-only columns as required 2009-09-01 13:10:22 +0200 fs  r275657 : #i104574# use PageUp/Down to scroll through the complete page 2009-09-01 07:04:48 +0200 oj  r275641 : #i104104# correct line ends 2009-08-31 15:52:34 +0200 fs  r275612 : #i104410# 2009-08-31 12:29:05 +0200 fs  r275596 : #i104364# 2009-08-31 12:28:56 +0200 fs  r275595 : #i104364# 2009-08-31 11:43:09 +0200 fs  r275593 : #i104649# JavaDriverClassPath is also a known JDBC-bridge setting 2009-08-31 11:41:37 +0200 fs  r275592 : #i104649# 2009-08-28 21:48:27 +0200 fs  r275552 : during #i96862#: renamed the configuration data which controls availability of certain DBA-related UI 2009-08-28 21:48:17 +0200 fs  r275551 : #i96862# do not show the 'Create a new database' option when a) no embedded/dBase driver is installed or b) the configuration requests to hide the option 2009-08-28 21:47:19 +0200 fs  r275550 : during #i96862#: renamed the configuration data which controls availability of certain DBA-related UI 2009-08-28 21:46:41 +0200 fs  r275549 : #i96862# renamed and extended the configuration data which controls availability of certain DBA-related UI 2009-08-28 15:10:19 +0200 fs  r275535 : #i96862# if no embedded driver is installed, use dBase for creating new DBs. If no dBase driver is installed, too, do not offer the 'Create new database' option 2009-08-28 14:03:04 +0200 fs  r275532 : #i104454# allow multiple fields to display the same column 2009-08-28 13:14:00 +0200 fs  r275528 : #i104584# driver meta data do not belong into a data source's settings 2009-08-28 13:09:57 +0200 fs  r275527 : properly chech the MySQL type buttons (else next/back in the wizard leads to state with two buttons checked) 2009-08-28 13:09:17 +0200 fs  r275526 : #i104584# driver meta data do not belong into a data source's settings 2009-08-28 13:07:18 +0200 fs  r275525 : BooleanComparisonMode is a property, or a feature - but not a driver meta data 2009-08-28 11:00:31 +0200 fs  r275521 : #i104580# 2009-08-28 10:40:05 +0200 fs  r275519 : #i104577# correct assertion: If the template node type is ANY, then any value type is allowed 2009-08-28 10:09:30 +0200 fs  r275518 : #i104575# implement Named Pipe UI 2009-08-28 10:09:07 +0200 fs  r275517 : pass the trigger-event to IWindowOperator::operateOn / work with VclWindowEvents, not VclSimpleEvents 2009-08-27 14:27:36 +0200 fs  r275484 : ImplPosTabPage: respect mbEmptyViewMargin for WINDOWALIGN_LEFT 2009-08-27 13:43:56 +0200 fs  r275480 : merging latest changes from CWS dba32f herein 2009-08-27 13:23:07 +0200 fs  r275475 : #i103882# 2009-08-27 11:56:55 +0200 fs  r275466 : #i104544# SetState: Do not call Update at the window which we just set text for. It should (sic\!) not be needed, but causes trouble 2009-08-27 11:55:34 +0200 fs  r275465 : #i104544# do not allow re-entrance for impl_ensureControl_nothrow Actually, this is part of the fix only. I also removed the code which triggered this re-entrance (from the grid control implementation), but to ensure it won't happen, again, I added some safety herein. 2009-08-27 10:14:11 +0200 fs  r275459 : preparations for supporting a 'NamedPipe' parameter for the MySQL Connector/OOo 2009-08-27 10:13:21 +0200 fs  r275458 : preparations for supporting a 'NamedPipe' setting for the MySQL Connector/OOo 2009-08-27 10:11:14 +0200 fs  r275456 : outsourced the MySQLNative settings into a dedicated class, to not duplicate all the code in two tab page implementations 2009-08-26 14:18:13 +0200 fs  r275422 : #i10000# 2009-08-26 13:26:36 +0200 fs  r275419 : ignore output paths 2009-08-26 13:23:38 +0200 fs  r275417 : support the LocalSocket property for the MySQL native driver 2009-08-26 13:17:05 +0200 fs  r275416 : some re-factoring, to outsource the tab page for setting up the MySQLNative connection, into a dedicated class (needed later) 2009-08-26 13:15:15 +0200 fs  r275415 : support a NoThousandSep property for NumericFormatters - I'm tired of correcting this at runtime, instead of controlling it in the resource 2009-08-26 11:45:08 +0200 fs  r275410 : oops, 'flat' shouldn't have got lost 2009-08-26 09:38:57 +0200 fs  r275398 : #i102631# when saving the document fails, ensure that the interaction handler really can handle/display the error 2009-08-26 09:37:05 +0200 fs  r275397 : #i102631# don't let non-IO/RuntimeExceptions escape from DatabaseDocument::store*, wrap them into an IOException 2009-08-26 09:35:39 +0200 fs  r275395 : let the default interaction handler implement XInteractionHandler2 2009-08-25 13:51:34 +0200 fs  r275352 : #i102631# createTempFile: pass URL through FileHelper.getOOoCompatibleFileURL 2009-08-25 13:49:23 +0200 fs  r275351 : #i102631# createTempFileURL: immediately delete the file implicitly created by createTempFile, we really only need the URL 2009-08-24 14:49:07 +0200 fs  r275318 : #i10000# 2009-08-24 14:36:03 +0200 fs  r275315 : properly terminate message with 0 character 2009-08-24 14:35:45 +0200 fs  r275314 : trace method concepts in non-pro, if special flag is enabled 2009-08-24 14:24:17 +0200 fs  r275312 : #i98973# filter some more events for grid control columns 2009-08-24 14:15:23 +0200 fs  r275311 : #i98973# implement XComboBox for combo box cells 2009-08-24 13:39:24 +0200 fs  r275308 : #i98973# do not display the 'actionPerformed' event for grid combo box columns 2009-08-24 12:52:03 +0200 fs  r275303 : #i98973# implement XCheckBox and XButton for check box cells 2009-08-24 11:56:05 +0200 oj  r275300 : #i104447# wrong default for orientation 2009-08-24 10:51:21 +0200 fs  r275296 : in the script selector dialog, interpret a double click onto a function as OK 2009-08-24 10:50:56 +0200 fs  r275295 : localize some to-be-displayed names, consolidate some code regarding form/control naming 2009-08-21 14:28:05 +0200 fs  r275255 : #i98973# implement KeyListeners 2009-08-21 14:27:20 +0200 fs  r275254 : #i98973# move the conversion VCL[Mouse|Key]Event->Awt[Mouse|Key]Event from vclxwindow.cxx to VCLUnoHelper 2009-08-21 14:08:50 +0200 fs  r275248 : #i98973# implement Mouse- and MouseMotion-broadcasting 2009-08-21 13:31:08 +0200 fs  r275244 : #i98973# implement text and change listeners at text cells 2009-08-21 12:47:38 +0200 fs  r275234 : #i104399# some refactoring: If the MySQL Connector/OOo is installed, it registers for the sdbc:mysqlc: protocol (now known as DST_MYSQL_NATIVE_DIRECT). However, we do not want to display this in the UI, instead we display "MySQL" only, which collects DST_MYSQL_ODBC, DST_MYSQL_JDBC, and DST_MYSQL_NATIVE. 2009-08-21 12:45:18 +0200 fs  r275232 : #i104399# also register for the sdbc:mysql:mysqlc protocol, decide at runtime (depending on the availability of sdbc:mysqlc:), whether it is really accepted. This prevents that the C/OOo extension needs to register *our* implementation name for the sdbc:mysql:mysqlc: protocol, which would be somewhat weird 2009-08-20 16:18:48 +0200 fs  r275190 : merging the latest changes from CWS dba32f (which this CWS was created from) 2009-08-19 20:19:59 +0200 fs  r275160 : add some spacing between the radios 2009-08-19 14:50:15 +0200 fs  r275150 : #i98973# slightly refactoring the grid cell implementations, to prepare for proper events being fired. Implement focus events for the moment, more to come. 2009-08-19 10:53:38 +0200 fs  r275142 : #i99936# initialize newly created models 2009-08-18 23:03:48 +0200 fs  r275132 : merging latest changes from CWS dba32f 2009-08-18 15:14:08 +0200 fs  r275110 : #i102819# SetColumnPos: SCROLL_CLIP is deadly here


2009-09-10  Kurt Zenker  <kz@openoffice.org>  [047ac57398f1242037fe44820e7024de4e95a15e]

CWS-TOOLING: integrate CWS os2port06dev300 2009-09-05 22:49:00 +0200 ydario  r275858 : #i99588# applied os2port06 diff to DEV300 tree.


2009-09-09  Mathias Bauer  <mba@openoffice.org>  [595834be2b412b1bac89ec77e9094b469e03fabf]

merge commit to DEV300_m57


2009-09-08  Oliver Bolte  <obo@openoffice.org>  [ac27e5a191413f26e9a0ccc68f6db7b3d16f10cf]

CWS-TOOLING: integrate CWS dbaperf3 2009-08-28 08:04:41 +0200 oj  r275515 : wrong replacement 2009-08-28 07:57:44 +0200 oj  r275514 : declaration of 'nRealSize' shadows a previous local 2009-08-20 10:17:11 +0200 oj  r275168 : CWS-TOOLING: rebase CWS dbaperf3 to trunk@275001 (milestone: DEV300:m55) 2009-08-19 11:50:49 +0200 oj  r275145 : #ii102891# minimize metadata calls 2009-06-22 12:20:15 +0200 oj  r273213 : compile error 2009-06-22 12:19:45 +0200 oj  r273212 : compile error 2009-06-18 08:54:08 +0200 oj  r273099 : #i102891# reduce calls to databasemetadata 2009-06-18 08:19:55 +0200 oj  r273095 : #i102891# reduce calls to databasemetadata


2009-09-08  Oliver Bolte  <obo@openoffice.org>  [66fa84c758ac66c1882cff507cae7cd7edf6b4ee]

CWS-TOOLING: integrate CWS dba32f 2009-08-31 10:43:51 +0200 msc  r275590 : #no issuezilla available# make the testcase more error proof 2009-08-31 10:43:28 +0200 msc  r275589 : #no issuezilla available# make the testcase more error proof 2009-08-31 10:40:33 +0200 msc  r275588 : i85993 remove bugid 2009-08-31 10:38:28 +0200 msc  r275587 : i100000 2009-08-27 13:27:32 +0200 fs  r275476 : #i103882# 2009-08-27 12:47:54 +0200 fs  r275474 : #i104544# do not allow re-entrance for impl_ensureControl_nothrow Actually, this is part of the fix only. I also removed the code which triggered this re-entrance (from the grid control implementation), but to ensure it won't happen, again, I added some safety herein. 2009-08-27 12:47:16 +0200 fs  r275473 : #i104544# SetState: Do not call Update at the window which we just set text for. It should (sic\!) not be needed, but causes trouble 2009-08-27 10:18:05 +0200 mav  r275461 : #i103266# do not allow any stream operation on package streams while commiting the package 2009-08-20 15:25:48 +0200 fs  r275184 : #i104362# fall back to a ViewObjectContactOfSdrObj in case we don't have a page view 2009-08-20 15:25:06 +0200 fs  r275183 : AUGMENT_LIBRARY_PATH 2009-08-20 15:10:34 +0200 fs  r275182 : AUGMENT_LIBRARY_PATH 2009-08-20 09:50:36 +0200 oj  r275167 : #i104266# notify propertyforward when new dest was created 2009-08-19 08:01:28 +0200 mav  r275133 : #i103266# fix the typo 2009-08-18 22:45:34 +0200 fs  r275131 : #i10000# 2009-08-18 13:53:07 +0200 oj  r275105 : #i104266# set column settings after alter columns 2009-08-18 13:41:49 +0200 fs  r275103 : #i102550# do not interpret names of existing data sources as system path 2009-08-18 13:13:05 +0200 oj  r275097 : #i103882# use correct number Format 2009-08-18 12:59:13 +0200 fs  r275094 : #i104181# 2009-08-18 09:07:48 +0200 fs  r275079 : updated readme to refer to proper 1.1.14 2009-08-18 08:32:31 +0200 oj  r275077 : #i104187# wrong default for FirstCellAsLabel corrected 2009-08-18 08:10:00 +0200 oj  r275076 : #i104187# dispose status controller to avoid access of dead statusBar in sfx 2009-08-17 21:56:19 +0200 fs  r275074 : merge fix for issue #102564# from dba32e 2009-08-17 15:34:40 +0200 fs  r275058 : don't set MaxFieldSize to 0 unconditionally 2009-08-17 14:33:57 +0200 oj  r275054 : #i103528# patch for bitxtor 2009-08-17 14:12:26 +0200 oj  r275051 : #i104160# fix VerticalAlignment 2009-08-17 14:11:47 +0200 oj  r275050 : #i104160# fix VerticalAlignment 2009-08-14 15:54:04 +0200 mav  r274989 : #i103266# avoid possibility for race condition 2009-08-13 13:52:43 +0200 fs  r274939 : improved diagnostics 2009-08-13 13:52:28 +0200 fs  r274938 : typo 2009-08-13 12:51:03 +0200 fs  r274934 : #i103763# provided by cloph: correct libIDL check when compiling Mozilla 2009-08-13 12:43:23 +0200 fs  r274933 : #i103763# provided by cloph: allow to cross-compile prebuilt zips on Mac 2009-08-13 12:41:15 +0200 fs  r274932 : #i103371# fire PREPARECLOSEDOC even for embedded objects (why not?) 2009-08-13 12:24:49 +0200 fs  r274930 : #i99890# remove 'Insert Control' from the popup menu 2009-08-13 12:23:38 +0200 fs  r274929 : #i99890# DoToolboxAction: assert unknown/unimplemented actions 2009-08-13 09:32:07 +0200 fs  r274923 : #i103721# 2009-08-13 09:26:32 +0200 fs  r274922 : #i99894# provided by dtardon: xforms_nowFunction: use proper memory allocation function 2009-08-13 09:20:21 +0200 fs  r274921 : #i103938# provided by cmc: pass proper arguments to OUString::intern 2009-08-12 22:34:28 +0200 fs  r274916 : #i104139# when executing a PopupMenu, pass the POPUPMENU_NOMOUSEUPCLOSE flag


2009-09-04  Release Engineers  <releng@openoffice.org>  [27ba5712df7e35706b422e9a86369f45c7cf159b]

Create DEV300_m57 milestone tag from trunk@275796


2009-09-04  Release Engineers  <releng@openoffice.org>  [78b2469e3100f285804149231ea151f0c61a40f4]

#i10000# fixed encoding


2009-08-26  Vladimir Glazounov  <vg@openoffice.org>  [489760d07ff1b54af5e5d15723b12b9c6b4a5504]

